<?php

  require('includes/application_top.php');

    $search = isset($_GET['search']) ? $_GET['search'] : '';

    if( tep_not_null($search) ){

        $query_raw = "select * from piraeusbank_data WHERE orders_id LIKE '%".$search."%' OR MerchantReference LIKE '%".$search."%' order by Timestamp desc";

    } else {

        $query_raw = "select * from piraeusbank_data order by Timestamp desc";

    }
  $split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $query_raw, $query_numrows);
  $query = tep_db_query($query_raw);

  require(DIR_WS_INCLUDES . 'template_top.php');
?>
      <div class="pageHeading col-sm-6">
        <h3>Κωδικοί αναφοράς πληρωμών με κάρτα</h3>
      </div>
      <div class="pageHeading col-sm-6">

          <div class="spacerTop20 text-right spacerBottom10">

        <?php echo tep_draw_form('reports', 'bank_payments_reports.php', tep_get_all_get_params(array('search')), 'get'); ?>
                  <?php echo tep_draw_input_field('search', '', 'size="42" class="form-control form-control-inline" placeholder="Κωδ. παραγγελίας. ή κωδ. αν. συναλλαγής"') . tep_draw_hidden_field('action', 'search');

                echo tep_hide_session_id(); ?>

<button type="submit" class="btn btn-info">Εύρεση</button>
<?php if(tep_not_null($search)){ ?>
      <a href="<?php echo tep_href_link('bank_payments_reports.php'); ?>" class="btn btn-danger">Επαναφορά</a>
<?php } ?>
                </form>


        </div>


      </div>

      <div class="col-xs-12 col-md-12">
        <table class="table table-hover table-bordered">
          <thead>
            <tr class="">
              <th class="">Order Id</th>
              <th class="">Result Code</th>
              <th class="">Result Description</th>
              <th class="">Timestamp</th>
              <th class="">Amount</th>
              <th class="">MerchantReference</th>
              <th class="">SupportReferenceID</th>
              <th class="">StatusFlag</th>
              <th class="">ResponseCode</th>
              <th class="">TransactionId</th>
              <th class="">AuthStatus</th>
              <th class="">PaymentMethod</th>
              <th class="">Status</th>
            </tr>
          </thead>
          <tbody>
<?php


  while ($actions = tep_db_fetch_array($query)) {

?>
            <tr class="" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)">
              <td class="text-center">
                  <?php if((int)$actions['orders_id'] > 0) { ?>
                  <a href="<?php echo tep_href_link('orders.php','oID='.$actions['orders_id'].'&action=edit') ?>"><?php echo $actions['orders_id']; ?></a>
                  <?php } else { ?>
                      <?php echo $actions['orders_id']; ?>
                  <?php } ?>
            </td>
              <td class="text-center"><?php echo $actions['ResultCode']; ?></td>
              <td class="text-center"><?php echo $actions['ResultDescription']; ?></td>
              <td class="text-center"><?php echo tep_datetime_short($actions['Timestamp']); ?></td>
              <td class="text-center"><?php echo $actions['Amount']; ?></td>
              <td class="text-center"><?php echo $actions['MerchantReference']; ?></td>
              <td class="text-center"><?php echo $actions['SupportReferenceID']; ?></td>
              <td class="text-center"><?php echo $actions['StatusFlag']; ?></td>
              <td class="text-center"><?php echo $actions['ResponseCode']; ?></td>
              <td class="text-center"><?php echo $actions['TransactionId']; ?></td>
              <td class="text-center"><?php echo $actions['AuthStatus']; ?></td>
              <td class="text-center"><?php echo $actions['PaymentMethod']; ?></td>
              <td class="text-center"><?php echo $actions['Status']; ?></td>
            </tr>
<?php
  }
?>
          </tbody>
        </table>
        <table class="table">
          <tr>
            <td class="smallText hidden-xs" valign="top"><?php echo $split->display_count($query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_ENTRIES); ?></td>
            <td class="smallText text-right"><?php echo $split->display_links($query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], null); ?></td>
          </tr>
        </table>
      </div>

<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
