<?php

define('HEADING_TITLE', 'Διαχείριση Διαφημιστικών Πλαισίων');

define('TABLE_HEADING_BANNERS', 'Διαφημιστικά Πλαίσια');
define('TABLE_HEADING_GROUPS', 'Ομάδες');
define('TABLE_HEADING_STATISTICS', 'Εμφανίσεις / Κλικ');
define('TABLE_HEADING_STATUS', 'Κατάσταση');
define('TABLE_HEADING_ACTION', 'Ενέργεια');

define('TEXT_BANNERS_TITLE', 'Τίτλος Διαφημιστικού Πλαισίου:');
define('TEXT_BANNERS_URL', 'Διεύθυνση URL:');
define('TEXT_BANNERS_GROUP', 'Ομάδα:');
define('TEXT_BANNERS_NEW_GROUP', ', ή εισάγετε νέα ομάδα παρακάτω');
define('TEXT_BANNERS_IMAGE', 'Εικόνα:');
define('TEXT_BANNERS_IMAGE_LOCAL', ', ή εισάγετε τοπικό αρχείο παρακάτω');
define('TEXT_BANNERS_IMAGE_TARGET', 'Προορισμός Εικόνας (Αποθήκευση Σε):');
define('TEXT_BANNERS_HTML_TEXT', 'Κείμενο Σε HTML:');
define('TEXT_BANNERS_EXPIRES_ON', 'Λήγει Στις:');
define('TEXT_BANNERS_OR_AT', ', ή σε');
define('TEXT_BANNERS_IMPRESSIONS', 'προβολές.');
define('TEXT_BANNERS_SCHEDULED_AT', 'Προγραμματισμένο Για Τις:');
define('TEXT_BANNERS_BANNER_NOTE', '<strong>Σημειώσεις Διαφημιστικού Πλαισίου:</strong><ul><li>Χρησιμοποιήστε εικόνα ή κείμενο σε HTML για το διαφημιστικό πλαίσιο - όχι και τα δύο.</li><li>Το κείμενο σε HTML έχει προτεραιότητα έναντι της εικόνας</li></ul>');
define('TEXT_BANNERS_INSERT_NOTE', '<strong>Σημειώσεις Εικόνας:</strong><ul><li>Οι κατάλογοι μεταφόρτωσης πρέπει να έχουν τα κατάλληλα (εγγράψιμα) δικαιώματα πρόσβασης.</li><li>Μη συμπληρώσετε το πεδίο \'Αποθήκευση Σε\' εάν δεν μεταφορτώνετε κάποια εικόνα στον εξυπηρετητή (δηλαδή, εάν χρησιμοποιείτε τοπική -που υπάρχει ήδη στον εξυπηρετητή- εικόνα).</li><li>Το πεδίο \'Αποθήκευση Σε\' πρέπει να περιέχει έναν ήδη υπάρχων κατάλογο, με κάθετο στο τέλος (π.χ., banners/).</li></ul>');
define('TEXT_BANNERS_EXPIRCY_NOTE', '<strong>Σημειώσεις Λήξης:</strong><ul><li>Μόνο ένα από τα δύο πεδία πρέπει να συμπληρωθεί.</li><li>Εάν το διαφημιστικό πλαίσιο δεν προορίζεται για να λήξει αυτόματα, αφήστε αυτά τα πεδία κενά.</li></ul>');
define('TEXT_BANNERS_SCHEDULE_NOTE', '<strong>Σημειώσεις Προγραμματισμού:</strong><ul><li>Εάν οριστεί προγραμματισμός, το διαφημιστικό πλαίσιο θα ενεργοποιηθεί σε εκείνη την ημερομηνία.</li><li>Όλα τα προγραμματισμένα διαφημιστικά πλαίσια επισημάνονται ως ανενεργά, μέχρι εκείνην την ημερομηνία, οπότε και θα επισημανθούν ως ενεργά.</li></ul>');

define('TEXT_BANNERS_DATE_ADDED', 'Ημερομηνία Προσθήκης:');
define('TEXT_BANNERS_SCHEDULED_AT_DATE', 'Προγραμματισμένο Για Τις: <strong>%s</strong>');
define('TEXT_BANNERS_EXPIRES_AT_DATE', 'Λήγει Στις: <strong>%s</strong>');
define('TEXT_BANNERS_EXPIRES_AT_IMPRESSIONS', 'Λήγει Σε: <strong>%s</strong> προβολές');
define('TEXT_BANNERS_STATUS_CHANGE', 'Αλλαγή Κατάστασης: %s');

define('TEXT_BANNERS_DATA', 'Δ<br />Ε<br />Δ<br />Ο<br />Μ<br />Ε<br />Ν<br />Α');
define('TEXT_BANNERS_LAST_3_DAYS', 'Teleftaies 3 Meres');
define('TEXT_BANNERS_BANNER_VIEWS', 'Προβολές Διαφημιστικών Πλαισίων');
define('TEXT_BANNERS_BANNER_CLICKS', 'Κλικ');

define('TEXT_INFO_DELETE_INTRO', 'Διαγραφή αυτού του διαφημιστικού πλαισίου;');
define('TEXT_INFO_DELETE_IMAGE', 'Διαγραφή εικόνας διαφημιστικού πλαισίου');

define('SUCCESS_BANNER_INSERTED', 'Επιτυχία: Το διαφημιστικό πλαίσιο προστέθηκε.');
define('SUCCESS_BANNER_UPDATED', 'Επιτυχία: Το διαφημιστικό πλαίσιο ενημερώθηκε.');
define('SUCCESS_BANNER_REMOVED', 'Επιτυχία: Το διαφημιστικό πλαίσιο αφαιρέθηκε.');
define('SUCCESS_BANNER_STATUS_UPDATED', 'Επιτυχία: Η κατάσταση του διαφημιστικού πλαισίου ενημερώθηκε.');

define('ERROR_BANNER_TITLE_REQUIRED', 'Σφάλμα: Απαιτείται το όνομα του διαφημιστικού πλαισίου.');
define('ERROR_BANNER_GROUP_REQUIRED', 'Σφάλμα: Απαιτείται η ομάδα του διαφημιστικού πλαισίου.');
define('ERROR_IMAGE_DIRECTORY_DOES_NOT_EXIST', 'Σφάλμα: Ο κατάλογος προορισμού δεν υπάρχει: %s');
define('ERROR_IMAGE_DIRECTORY_NOT_WRITEABLE', 'Σφάλμα: Ο κατάλογος προορισμού δεν είναι εγγράψιμος: %s');
define('ERROR_IMAGE_DOES_NOT_EXIST', 'Σφάλμα: Η εικόνα δεν υπάρχει.');
define('ERROR_IMAGE_IS_NOT_WRITEABLE', 'Σφάλμα: Η εικόνα δεν μπορεί να αφαιρεθεί.');
define('ERROR_UNKNOWN_STATUS_FLAG', 'Σφάλμα: Άγνωστη ετικέτα κατάστασης.');

define('ERROR_GRAPHS_DIRECTORY_DOES_NOT_EXIST', 'Σφάλμα: Ο κατάλογος graphs δεν υπάρχει. Δημιουργήστε τον κατάλογο \'graphs\' μέσα στον κατάλογο \'images\'.');
define('ERROR_GRAPHS_DIRECTORY_NOT_WRITEABLE', 'Σφάλμα: Ο κατάλογος graphs δεν είναι εγγράψιμος.');
?>
