<?php

require('includes/application_top.php');

$time=time();

$service = 'skroutz';

$data = array('categories'=>array(),'products'=>array());

$pes_query = tep_db_query("SHOW TABLES LIKE 'products_external_services'");

if(!tep_db_num_rows($pes_query)){

  tep_db_query(
  "
  CREATE TABLE `products_external_services` (
    `products_external_services_id` int(11) NOT NULL,
    `products_external_services_service` varchar(255) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'skroutz',
    `products_external_services_data` longtext COLLATE utf8_unicode_ci NOT NULL
  ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci ROW_FORMAT=COMPACT;
  "
  );

  tep_db_query(
  "
  ALTER TABLE `products_external_services`
    ADD PRIMARY KEY (`products_external_services_id`),
    ADD UNIQUE KEY `products_services_service` (`products_external_services_service`);
  "
  );

}

//var_dump($pes_query->num_rows);

if( isset($_GET['action']) ){

  if( $_GET['action'] === 'save' ){


    $categories = $_POST['categories_category'];
    $products = $_POST['categories_product'];

    if( tep_not_null($categories) ){

      $data['categories'] = $categories;

    } else {

      $data['categories'] = array();

    }

    if( tep_not_null($products) ){

      $data['products'] = $products;

    } else {

      $data['products'] = array();

    }

    $json_data = json_encode($data);

    tep_db_query("INSERT INTO products_external_services (products_external_services_service,products_external_services_data) VALUES('".$service."','".$json_data."') ON DUPLICATE KEY UPDATE products_external_services_data = '".$json_data."' ");

    tep_redirect(tep_href_link(FILENAME_PRODUCTS_EXTERNAL_SERVICES));

  }

}

$query = tep_db_query("SELECT products_external_services_data FROM products_external_services WHERE products_external_services_service = '".$service."' LIMIT 1");
if( tep_db_num_rows($query) > 0 ){

  $row = tep_db_fetch_array($query);

  if( tep_not_null($row['products_external_services_data']) ){

    $data = json_decode($row['products_external_services_data'],true);

    if( !isset($data['categories']) ) $data['categories'] = array();
    if( !isset($data['products']) ) $data['products'] = array();

  }

} else {


}

$categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id='" . (int)$languages_id ."' order by sort_order, cd.categories_name");

$items = array();

while ($categories = tep_db_fetch_array($categories_query)) {
    $items[$categories['categories_id']] = array('name' => $categories['categories_name'], 'parent_id' => $categories['parent_id'], 'id' => $categories['categories_id']);
}

 //GET ALL PRODUCTS
$products_query = tep_db_query("select ptc.categories_id, p.products_id, p.products_model, pd.products_name
FROM " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, ". TABLE_PRODUCTS_TO_CATEGORIES ." ptc
WHERE p.products_id = pd.products_id AND ptc.products_id = pd.products_id AND ptc.products_id = p.products_id AND pd.language_id='".(int)$languages_id."' order by pd.products_id ");

$products = array();

while ($products_row = tep_db_fetch_array($products_query)) {
  $products[$products_row['categories_id']][] = $products_row;
}

//var_dump($items);

//echo tep_draw_tree_with_checkboxes($items,$products,$selected_categories,$selected_products,2,true,$selected_categories_selected,$selected_products_selected);

require(DIR_WS_INCLUDES . 'template_top.php'); ?>

  <div class="pageHeading">
    <h2>Δημιουργία Xml (Skroutz)</h2>
  </div>
  <hr>
  <div class="row">

    <div class="col-md-6">

<?php

      echo tep_draw_form('stores', FILENAME_PRODUCTS_EXTERNAL_SERVICES, 'action=save', 'post', '');

      echo tep_draw_checkboxes_tree($items,$products,$data['categories'],$data['products']); ;
      echo '';
      echo '<button class="btn btn-success spacerTop10">Αποθήκευση</button>';
      echo '<form>';

?>

    </div>
    <div class="col-md-6">

<?php echo 'Επιλεγμένα προϊόντα: '.count($data['products']); ?>
      <hr>

      <a target="_blank" href="<?php echo tep_catalog_href_link('products_xml_feed.php'); ?>" class="btn btn-default">Εμφάνιση Xml feed</a>

    </div>


  </div>

<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>

<?php

function tep_draw_checkboxes_tree($items=array(),$products=array(),$checked_categories=array(),$checked_products=array(),$root_id = 0,$mainUlClass='ol-tree',$submenuUlClass='submenu'){

    $stc_view=0;
    $citems=count($items);


    if($citems<=0) return '';
    elseif($citems==1) $children[] = $items; //in case we have one category item without subcategories, rare but possible
    else foreach( $items as $item ) $children[$item['parent_id']][] = $item;


    //var_dump($root_id);
    //var_dump($children);
    //var_dump($children[$root_id]);

    // loop will be false if the root has no children (i.e., an empty categories!)
    $loop = !empty( $children[$root_id] );

    $parent = $root_id;
    $parent_stack = array();
    $html=array();//store html code
    $stack=array();//helper array so to know the current level

    $pic=''; //products_in_category string

    $html[]='<ol id="store_tree" class="'.$mainUlClass.'">';
    while ( $loop && ( ( $option = each( $children[$parent] ) ) || ( $parent > $root_id ) ) ){

      if ( $option === false ){

        $parent = array_pop( $parent_stack );

        $html[] = str_repeat( "\t", ( count( $parent_stack ) + 1 ) * 2 ) . '</ol>';
        $html[] = str_repeat( "\t", ( count( $parent_stack ) + 1 ) * 2 - 1 ) . '</li>';//END OF LAST LEAF

        array_pop( $stack );

      }elseif ( !empty( $children[$option['value']['id']] ) ){

//      if(isset($into_categories[$option['value']['id']])){

        $tab = str_repeat( "\t", ( count( $parent_stack ) + 1 ) * 2 - 1 );
        $stack[]=$option['value']['id'];

          $rt=$root_id>0 ? $root_id.'_' : '';

          //$cpath_new = count($stack)<=0 ? 'cPath='.$rt.$option['value']['id'] : 'cPath='.$rt.implode('_',$stack);

          $html[]=$tab.'<li>';

          //if($stc_view==2) $foundPids=tep_products_in_category_count($option['value']['id']);
          //elseif($stc_view==3) $foundPids=tep_products_in_specific_category_count($option['value']['id']);
          //else $foundPids=0;

          $foundPids = tep_products_in_category_count($option['value']['id']);

          $plusIcon=isset($products[$option['value']['id']]) && (bool)$products[$option['value']['id']] ? '' : '&nbsp;<span class="toggleSubmenu glyphicon glyphicon-plus-sign"></span>';

          //$level=count($parent_stack);

          //$html[]='<label><input name="categories_category['.$option['value']['id'].']" value="'.$option['value']['id'].'" type="checkbox" '.( isset($categories_here[$option['value']['id']]) ?'disabled="disabled" checked="checked"' : '').' class="chkbox" data-type="category">&nbsp;<span class="'.(isset($selected_categories[$option['value']['id']])?'text-success' : '').'">'.stripslashes($option['value']['name']).'</span></label>&nbsp;&raquo;&nbsp;(' . $foundPids . ')'.$plusIcon;


          $html[]='<label><input name="categories_category['.$option['value']['id'].']" value="'.$option['value']['id'].'" type="checkbox" '.( isset($checked_categories[$option['value']['id']]) ?'checked="checked"' : '').' class="chkbox" data-type="category">&nbsp;<span class="'.(isset($selected_categories[$option['value']['id']])?'text-success' : '').'">'.stripslashes($option['value']['name']).'</span></label>&nbsp;&raquo;(' . $foundPids . ')&nbsp;'.$plusIcon;

          if(isset($products[$option['value']['id']]) && (bool) $products[$option['value']['id']] ){
            $html[]='&nbsp;<span class="toggleSubmenu glyphicon glyphicon-plus-sign"></span>&nbsp;<ol id="products_submenu_'.$option['value']['id'].'" class="'.$submenuUlClass.'">';
            foreach($products[$option['value']['id']] as $product){ //if(!isset($into_products[$product['products_id']])) continue;
              $html[]='<li><label><input '.(isset($checked_products[$product['products_id']])?' checked="checked"' : '').' type="checkbox" value="'.$product['products_id'].'" name="categories_product['.$product['products_id'].']" class="chkbox" data-type="product" data-level="'.$level.'">&nbsp;<span class="'.(isset($selected_products[$product['products_id']])?'text-success':'').'">'.$product['products_name'].'&nbsp;<i class="small">[&nbsp;'.$product['products_model'].'&nbsp;]</i></span></label></li>';
            }
            $html[]='</ol>';

          }

         // $html[]='&nbsp;<span class="toggleSubmenu glyphicon glyphicon-plus-sign"></span>';

        $html[] = $tab . "\t" . '<ol id="submenu_'.$option['value']['id'].'" class="'.$submenuUlClass.'" >';

        $parent_stack[]=$option['value']['parent_id'];
        $parent = $option['value']['id'];
//}

      }else{

       //if(isset($into_categories[$option['value']['id']])){

        $rt=$root_id>0 ? $root_id.'_' : '';

        //$cpath_new= count($stack)<=0 ? 'cPath='.$rt.$option['value']['id'] : 'cPath='.$rt.implode('_',$stack).'_'.$option['value']['id'];

        $html[]=str_repeat( "\t", ( count( $parent_stack ) + 1 ) * 2 - 1 ).'<li>';

          //$foundPids=tep_products_in_category_count($option['value']['id']);
          //$foundPids=tep_products_in_specific_category_count($option['value']['id']);

          $foundPids = tep_products_in_category_count($option['value']['id']);

          $plusIcon=isset($products[$option['value']['id']]) && (bool)$products[$option['value']['id']] ? '' : '&nbsp;<span class="toggleSubmenu glyphicon glyphicon-plus-sign"></span>';

          //$html[]='<label><input name="categories_category['.$option['value']['id'].']" value="'.$option['value']['id'].'" type="checkbox" '.( isset($categories_here[$option['value']['id']]) ?'disabled="disabled" checked="checked"' : '').' class="chkbox">&nbsp;<span class="'.(isset($selected_categories[$option['value']['id']])?'text-success' : '').'">'.stripslashes($option['value']['name']).'</span></label>&nbsp;&raquo;&nbsp;(' . $foundPids . ')'.$plusIcon;

          $html[]='<label><input name="categories_category['.$option['value']['id'].']" value="'.$option['value']['id'].'" type="checkbox" '.( isset($checked_categories[$option['value']['id']]) ?'checked="checked"' : '').' class="chkbox">&nbsp;<span class="'.(isset($selected_categories[$option['value']['id']])?'text-success' : '').'">'.stripslashes($option['value']['name']).'</span></label>&nbsp;&raquo;(' . $foundPids . ')&nbsp;'.$plusIcon;

          //$level=count($parent_stack);

          if(isset($products[$option['value']['id']]) && (bool) $products[$option['value']['id']] ){
            $html[]='&nbsp;<span class="toggleSubmenu glyphicon glyphicon-plus-sign"></span>&nbsp;<ol id="products_submenu_'.$option['value']['id'].'" class="'.$submenuUlClass.'">';
            foreach($products[$option['value']['id']] as $product){ //if(!isset($into_products[$product['products_id']])) continue;
              $html[]='<li><label><input '.(isset($checked_products[$product['products_id']])?' checked="checked"' : '').' type="checkbox" value="'.$product['products_id'].'" name="categories_product['.$product['products_id'].']" class="chkbox">&nbsp;<span class="'.(isset($selected_products[$product['products_id']])?'text-success':'').'">'.$product['products_name'].'&nbsp;<i class="small">[&nbsp;'.$product['products_model'].'&nbsp;]</i></span></label></li>';
            }
            $html[]='</ol>';

          }

          //$html[]='&nbsp;<span class="toggleSubmenu glyphicon glyphicon-plus-sign"></span>';

        $html[]='</li>';
      //}

      }

    }
    $html[]='</ol>';

    //var_dump($html);

    return implode( "\r\n", $html );

}


?>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>