<?php

// look in your $PATH_LOCALE/locale directory for available locales..
// on RedHat6.0 I used 'en_US'
// on FreeBSD 4.0 I use 'en_US.ISO_8859-1'
// this may not work under win32 environments..
//@setlocale(LC_TIME, 'el_GR.UTF8');
@setlocale(LC_TIME, 'el_EL.utf-8');
//mb_internal_encoding("UTF-8");
define('DATE_FORMAT_SHORT', '%d/%m/%Y');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%A %d %B, %Y'); // this is used for strftime()
define('DATE_FORMAT', 'd/m/Y'); // this is used for date()
define('PHP_DATE_TIME_FORMAT', 'd/m/Y H:i:s'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');
define('JQUERY_DATEPICKER_I18N_CODE', 'el'); // leave empty for en_US; see http://jqueryui.com/demos/datepicker/#localization
define('JQUERY_DATEPICKER_FORMAT', 'dd/mm/yy'); // see http://docs.jquery.com/UI/Datepicker/formatDate

////
// Return date in raw format
// $date should be in format mm/dd/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 0, 2) . substr($date, 3, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 3, 2) . substr($date, 0, 2);
  }
}

// Global entries for the <html> tag
define('HTML_PARAMS','dir="ltr" lang="el"');

// charset for web pages and emails
define('CHARSET', 'utf-8');

// page title
define('TITLE', 'Πλατφόρμα Διαχείρισης');

// header text in includes/header.php
define('HEADER_TITLE_TOP', 'Διαχείριση');
define('HEADER_TITLE_SUPPORT_SITE', 'Υποστήριξη');
define('HEADER_TITLE_ONLINE_CATALOG', 'Ηλεκτρονικό Κατάστημα');
define('HEADER_TITLE_ADMINISTRATION', 'Διαχείριση');

// text for gender
define('MALE', 'Άντρας');
define('FEMALE', 'Γυναίκα');

// text for date of birth example
define('DOB_FORMAT_STRING', 'dd/mm/yyyy');

// configuration box text in includes/boxes/configuration.php
define('BOX_HEADING_CONFIGURATION', 'Παραμετροποίηση');
define('BOX_CONFIGURATION_MYSTORE', 'Το Κατάστημά Μου');
define('BOX_CONFIGURATION_LOGGING', 'Καταγραφή');
define('BOX_CONFIGURATION_CACHE', 'Κρυφή Μνήμη');
define('BOX_CONFIGURATION_ADMINISTRATORS', 'Διαχειριστές');
define('BOX_CONFIGURATION_STORE_LOGO', 'Λογότυπο Καταστήματος');

// modules box text in includes/boxes/modules.php
define('BOX_HEADING_MODULES', 'Λειτουργίες');

// categories box text in includes/boxes/catalog.php
define('BOX_HEADING_CATALOG', 'Κατάλογος');
define('BOX_CATALOG_CATEGORIES_PRODUCTS', 'Κατηγορίες/Προϊόντα');
define('BOX_CATALOG_CATEGORIES_PRODUCTS_ATTRIBUTES', 'Χρακτηριστικά Προϊόντων');
define('BOX_CATALOG_MANUFACTURERS', 'Κατασκευαστές');
define('BOX_CATALOG_REVIEWS', 'Κριτικές');
define('BOX_CATALOG_SPECIALS', 'Προσφορές');
define('BOX_CATALOG_PRODUCTS_EXPECTED', 'Αναμένονται Σύντομα');
define('BOX_TOOLS_PRODUCTS_EXTERNAL_SERVICES', 'Δημιουργία Xml (Skroutz)');

// customers box text in includes/boxes/customers.php
define('BOX_HEADING_CUSTOMERS', 'Πελάτες');
define('BOX_CUSTOMERS_CUSTOMERS', 'Πελάτες');
define('BOX_CUSTOMERS_ORDERS', 'Παραγγελίες');

// orders box text in includes/boxes/orders.php
define('BOX_HEADING_ORDERS', 'Παραγγελίες');
define('BOX_ORDERS_ORDERS', 'Παραγγελίες');

// taxes box text in includes/boxes/taxes.php
define('BOX_HEADING_LOCATION_AND_TAXES', 'Τοποθεσίες / Φ.Π.Α.');
define('BOX_TAXES_COUNTRIES', 'Χώρες');
define('BOX_TAXES_ZONES', 'Ζώνες');
define('BOX_TAXES_GEO_ZONES', 'Ζώνες Φ.Π.Α.');
define('BOX_TAXES_TAX_CLASSES', 'Κατηγορίες Φ.Π.Α.');
define('BOX_TAXES_TAX_RATES', 'Τιμές Φ.Π.Α.');

// reports box text in includes/boxes/reports.php
define('BOX_HEADING_REPORTS', 'Αναφορές');
define('BOX_REPORTS_PRODUCTS_VIEWED', 'Προϊόντα Που Προβλήθηκαν');
define('BOX_REPORTS_PRODUCTS_PURCHASED', 'Προϊόντα Που Αγοράστηκαν');
define('BOX_REPORTS_ORDERS_TOTAL', 'Παραγγελίες Πελατών-Σύνολο');

// tools text in includes/boxes/tools.php
define('BOX_HEADING_TOOLS', 'Εργαλεία');
define('BOX_TOOLS_ACTION_RECORDER', 'Καταγραφή Ενεργειών');
define('BOX_TOOLS_BACKUP', 'Αντίγραφο Βάσης');
define('BOX_TOOLS_BANNER_MANAGER', 'Διαχείριση Διαφημιστικών Πλαισίων');
define('BOX_TOOLS_CACHE', 'Έλεγχος Κρυφής Μνήμης');
define('BOX_TOOLS_DEFINE_LANGUAGE', 'Ορισμός Γλωσσών');
define('BOX_TOOLS_MAIL', 'Αποστολή E-mail');
define('BOX_TOOLS_NEWSLETTER_MANAGER', 'Διαχείριση Ενημερωτικών Μηνυμάτων');
define('BOX_TOOLS_SEC_DIR_PERMISSIONS', 'Δικαιώματα Πρόσβασης Καταλόγου');
define('BOX_TOOLS_SERVER_INFO', 'Πληροφορίες Εξυπηρετητή');
define('BOX_TOOLS_VERSION_CHECK', 'Έλεγχος Έκδοσης');
define('BOX_TOOLS_WHOS_ONLINE', 'Ποιος Είναι Συνδεδεμένος');
define('BOX_TOOLS_PAGES', 'Σελίδες');
define('BOX_TOOLS_HSLIDER', 'Slider Εικόνων');
define('BOX_TOOLS_HSLIDER', 'Slider Εικόνων');
define('BOX_TOOLS_SPECIALS', 'Προσφορές');

// localizaion box text in includes/boxes/localization.php
define('BOX_HEADING_LOCALIZATION', 'Τοπική Προσαρμογή');
define('BOX_LOCALIZATION_CURRENCIES', 'Νομίσματα');
define('BOX_LOCALIZATION_LANGUAGES', 'Γλώσσες');
define('BOX_LOCALIZATION_ORDERS_STATUS', 'Καταστάσεις Παραγγελιών');

// javascript messages
define('JS_ERROR', 'Παρουσιάστηκαν σφάλματα κατά την επεξεργασία της φόρμας.!\nΚάντε τις ακόλουθες διορθώσεις:\n\n');

define('JS_OPTIONS_VALUE_PRICE', '* Το νέο χαρακτηριστικό προϊόντος χρειάζεται μία αξία.\n');
define('JS_OPTIONS_VALUE_PRICE_PREFIX', '* Το νέο χαρακτηριστικό προϊόντος χρειάζεται ένα πρόθεμα.\n');

define('JS_PRODUCTS_NAME', '* Το νεο προϊόν χρειάζεται ένα όνομα\n');
define('JS_PRODUCTS_DESCRIPTION', '* Το νεο προϊόν χρειάζεται μία περιγραφή\n');
define('JS_PRODUCTS_PRICE', '* Το νεο προϊόν χρειάζεται μία αξία\n');
define('JS_PRODUCTS_WEIGHT', '* Το νεο προϊόν χρειάζεται μία τιμή βάρους\n');
define('JS_PRODUCTS_QUANTITY', '* Το νεο προϊόν χρειάζεται μία τιμή ποσότητας\n');
define('JS_PRODUCTS_MODEL', '* Το νεο προϊόν χρειάζεται μία τιμή για τον τύπο\n');
define('JS_PRODUCTS_IMAGE', '* Το νεο προϊόν χρειάζεται μία τιμή για την εικόνα\n');

define('JS_SPECIALS_PRODUCTS_PRICE', '* Πρέπει να οριστεί νέα τιμή για αυτό το προϊόν.\n');

define('JS_GENDER', '* Το \'Φύλο\' πρέπει να περιέχει μία επιλογή.\n');
define('JS_FIRST_NAME', '* Το \'Όνομα\' πρέπει να περιέχει τουλάχιστον ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' χαρακτήρες.\n');
define('JS_LAST_NAME', '* Το \'Επώνυμο\' πρέπει να περιέχει τουλάχιστον ' . ENTRY_LAST_NAME_MIN_LENGTH . ' χαρακτήρες.\n');
define('JS_DOB', '* Η \'Ημερομηνία Γέννησης\' πρέπει να είναι της μορφής xx/xx/xxxx (ημέρα/μήνας/έτος).\n');
define('JS_EMAIL_ADDRESS', '* Η \'Διεύθυνση E-Mail\' πρέπει να περιέχει τουλάχιστον ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' χαρακτήρες.\n');
define('JS_ADDRESS', '* Η \'Διεύθυνση\' πρέπει να περιέχει τουλάχιστον ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' χαρακτήρες.\n');
define('JS_POST_CODE', '* Ο \'Ταχυδρομικός Κώδικας\' πρέπει να περιέχει τουλάχιστον ' . ENTRY_POSTCODE_MIN_LENGTH . ' χαρακτήρες.\n');
define('JS_CITY', '* Η \'Πόλη\' πρέπει να περιέχει τουλάχιστον ' . ENTRY_CITY_MIN_LENGTH . ' χαρακτήρες.\n');
define('JS_STATE', '* Ο \'Νομός\' πρέπει να περιέχει μία επιλογή.\n');
define('JS_STATE_SELECT', '-- Επιλέξτε Παραπάνω --');
define('JS_ZONE', '* Ο \'Νομός\' πρέπει να επιλεγεί από τη λίστα για αυτή τη χώρα.');
define('JS_COUNTRY', '* Η \'Χώρα\' πρέπει να περιέχει μία επιλογή.\n');
define('JS_TELEPHONE', '* Ο \'Τηλεφωνικός Αριθμός\' πρέπει να περιέχει τουλάχιστον ' . ENTRY_TELEPHONE_MIN_LENGTH . ' χαρακτήρες.\n');
define('JS_PASSWORD', '* Ο \'Κωδικός\' και η \'Επιβεβαίωση\' πρέπει να συμπίπτουν και να περιέχουν τουλάχιστον ' . ENTRY_PASSWORD_MIN_LENGTH . ' χαρακτήρες.\n');

define('JS_ORDER_DOES_NOT_EXIST', 'Ο Αριθμός Παραγγελίας %s δεν υπάρχει.');

define('CATEGORY_PERSONAL', 'Προσωπικά Στοιχεία');
define('CATEGORY_ADDRESS', 'Διεύθυνση');
define('CATEGORY_CONTACT', 'Επικοινωνία');
define('CATEGORY_COMPANY', 'Επιχείρηση');
define('CATEGORY_OPTIONS', 'Επιλογές');

define('ENTRY_AFM','Α.Φ.Μ.');
define('ENTRY_GENDER', 'Φύλο:');
define('ENTRY_GENDER_ERROR', '&nbsp;<span class="errorText">απαιτείται</span>');
define('ENTRY_FIRST_NAME', 'Όνομα:');
define('ENTRY_FIRST_NAME_ERROR', '&nbsp;<span class="errorText">τουλάχ. ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' χαρακ.</span>');
define('ENTRY_LAST_NAME', 'Επώνυμο:');
define('ENTRY_LAST_NAME_ERROR', '&nbsp;<span class="errorText">τουλάχ. ' . ENTRY_LAST_NAME_MIN_LENGTH . ' χαρακ.</span>');
define('ENTRY_DATE_OF_BIRTH', 'Ημερομηνία Γέννησης:');
define('ENTRY_DATE_OF_BIRTH_ERROR', '&nbsp;<span class="errorText">(π.χ. 21/05/1970)</span>');
define('ENTRY_EMAIL_ADDRESS', 'Διεύθυνση E-Mail:');
define('ENTRY_EMAIL_ADDRESS_ERROR', '&nbsp;<span class="errorText">min ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' χαρακ.</span>');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', '&nbsp;<span class="errorText">Η διεύθυνση e-mail δεν είναι έγκυρη.</span>');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', '&nbsp;<span class="errorText">Η διεύθυνση e-mail υπάρχει ήδη.</span>');
define('ENTRY_COMPANY', 'Όνομα Επιχείρησης:');
define('ENTRY_STREET_ADDRESS', 'Διεύθυνση:');
define('ENTRY_STREET_ADDRESS_ERROR', '&nbsp;<span class="errorText">τουλάχ. ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' χαρακ.</span>');
define('ENTRY_SUBURB', 'Προάστιο:');
define('ENTRY_POST_CODE', 'Ταχυδρομικός Κώδικας:');
define('ENTRY_POST_CODE_ERROR', '&nbsp;<span class="errorText">τουλάχ. ' . ENTRY_POSTCODE_MIN_LENGTH . ' χαρακ.</span>');
define('ENTRY_CITY', 'Πόλη:');
define('ENTRY_CITY_ERROR', '&nbsp;<span class="errorText">τουλάχ. ' . ENTRY_CITY_MIN_LENGTH . ' χαρακ.</span>');
define('ENTRY_STATE', 'Νομός:');
define('ENTRY_STATE_ERROR', '&nbsp;<span class="errorText">απαιτείται</span>');
define('ENTRY_COUNTRY', 'Χώρα:');
define('ENTRY_COUNTRY_ERROR', 'Επιλέξτε χώρα από τη λίστα.');
define('ENTRY_TELEPHONE_NUMBER', 'Τηλεφωνικός Αριθμός:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', '&nbsp;<span class="errorText">τουλάχ. ' . ENTRY_TELEPHONE_MIN_LENGTH . ' χαρακ.</span>');
define('ENTRY_FAX_NUMBER', 'Αριθμός Fax:');
define('ENTRY_NEWSLETTER', 'Ενημερωτικά Μηνύματα:');
define('ENTRY_NEWSLETTER_YES', 'Εγγραφή');
define('ENTRY_NEWSLETTER_NO', 'Διαγραφή');

// images
define('IMAGE_ANI_SEND_EMAIL', 'Αποστολή E-Mail');
define('IMAGE_BACK', 'Πίσω');
define('IMAGE_BACKUP', 'Αντίγραφο Ασφαλείας');
define('IMAGE_CANCEL', 'Ακύρωση');
define('IMAGE_CONFIRM', 'Επιβεβαίωση');
define('IMAGE_COPY', 'Αντιγραφή');
define('IMAGE_COPY_TO', 'Αντιγραφή Σε');
define('IMAGE_DETAILS', 'Λεπτομέρειες');
define('IMAGE_DELETE', 'Διαγ.');
define('IMAGE_EDIT', 'Επεξ.');
define('IMAGE_EMAIL', 'E-mail');
define('IMAGE_EXPORT', 'Εξαγωγή');
define('IMAGE_ICON_STATUS_GREEN', 'Ενεργό');
define('IMAGE_ICON_STATUS_GREEN_LIGHT', 'Ορισμός Ως Ενεργού');
define('IMAGE_ICON_STATUS_RED', 'Ανενεργό');
define('IMAGE_ICON_STATUS_RED_LIGHT', 'Ορισμός Ως Ανενεργού');
define('IMAGE_ICON_INFO', 'Πληροφορίες');
define('IMAGE_INSERT', 'Εισαγωγή');
define('IMAGE_LOCK', 'Κλείδωμα');
define('IMAGE_MODULE_INSTALL', 'Εισαγωγή Λειτουργίας');
define('IMAGE_MODULE_REMOVE', 'Αφαίρεση Λειτουργίας');
define('IMAGE_MOVE', 'Μετακίνηση');
define('IMAGE_NEW_BANNER', 'Νέο Διαφημιστικό Πλαίσιο');
define('IMAGE_NEW_CATEGORY', 'Νέα Κατηγορία');
define('IMAGE_NEW_COUNTRY', 'Νέα Χώρα');
define('IMAGE_NEW_CURRENCY', 'Νέο Νόμισμα');
define('IMAGE_NEW_FILE', 'Νέο Αρχείο');
define('IMAGE_NEW_FOLDER', 'Νέος Φάκελος');
define('IMAGE_NEW_LANGUAGE', 'Νέα Γλώσσα');
define('IMAGE_NEW_NEWSLETTER', 'Νέο Ενημερωτικό Μήνυμα');
define('IMAGE_NEW_PRODUCT', 'Νέο Προϊόν');
define('IMAGE_NEW_TAX_CLASS', 'Νέα Κατηγορία Φ.Π.Α.');
define('IMAGE_NEW_TAX_RATE', 'Νέα Τιμή Φ.Π.Α.');
define('IMAGE_NEW_TAX_ZONE', 'Νέα Ζώνη Φ.Π.Α.');
define('IMAGE_NEW_ZONE', 'Νέα Ζώνη');
define('IMAGE_ORDERS', 'Παραγγελίες');
//define('IMAGE_ORDERS_INVOICE', 'Τιμολόγιο');
define('IMAGE_ORDERS_INVOICE', 'Voucher');
define('IMAGE_ORDERS_PACKINGSLIP', 'Δελτίο Αποστολής');
define('IMAGE_PREVIEW', 'Προεπισκόπηση');
define('IMAGE_RESTORE', 'Ανάκτηση');
define('IMAGE_RESET', 'Εκκαθάριση');
define('IMAGE_SAVE', 'Αποθήκευση');
define('IMAGE_SEARCH', 'Αναζήτηση');
define('IMAGE_SELECT', 'Επιλογή');
define('IMAGE_SEND', 'Αποστολή');
define('IMAGE_SEND_EMAIL', 'Αποστολή E-mail');
define('IMAGE_UNLOCK', 'Ξεκλείδωμα');
define('IMAGE_UPDATE', 'Ενημέρωση');
define('IMAGE_UPDATE_CURRENCIES', 'Ενημέρωση Συναλλαγματικής Ισοτιμίας');
define('IMAGE_UPLOAD', 'Μεταφόρτωση');

define('ICON_CROSS', 'ψευδές');
define('ICON_CURRENT_FOLDER', 'Τρέχων Φάκελος');
define('ICON_DELETE', 'Διαγραφή');
define('ICON_ERROR', 'Σφάλμα');
define('ICON_FILE', 'Αρχείο');
define('ICON_FILE_DOWNLOAD', 'Λήψη');
define('ICON_FOLDER', 'Φάκελος');
define('ICON_LOCKED', 'Κλειδωμένο');
define('ICON_PREVIOUS_LEVEL', 'Προηγούμενο Επίπεδο');
define('ICON_PREVIEW', 'Προεπισκόπηση');
define('ICON_STATISTICS', 'Στατιστικά');
define('ICON_SUCCESS', 'Επιτυχία');
define('ICON_TICK', 'αληθές');
define('ICON_UNLOCKED', 'Ξεκλείδωμα');
define('ICON_WARNING', 'Προειδοποίηση');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', 'Σελίδα %s από %d');
define('TEXT_DISPLAY_NUMBER_OF_BANNERS', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> διαφημιστικά πλαίσια)');
define('TEXT_DISPLAY_NUMBER_OF_COUNTRIES', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> χώρες)');
define('TEXT_DISPLAY_NUMBER_OF_CUSTOMERS', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> πελάτες)');
define('TEXT_DISPLAY_NUMBER_OF_CURRENCIES', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> νομίσματα)');
define('TEXT_DISPLAY_NUMBER_OF_ENTRIES', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> καταχωρήσεις)');
define('TEXT_DISPLAY_NUMBER_OF_LANGUAGES', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> γλώσσες)');
define('TEXT_DISPLAY_NUMBER_OF_MANUFACTURERS', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> κατασκευαστές)');
define('TEXT_DISPLAY_NUMBER_OF_NEWSLETTERS', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> ενημερωτικά μηνύματα)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> παραγγελίες)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS_STATUS', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> καταστάσεις παραγγελιών)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> προϊόντα)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_EXPECTED', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> προϊόντα που αναμένονται)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> κριτικές προϊόντων)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> προϊόντων σε προσφορά)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_CLASSES', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> κατηγορίες Φ.Π.Α.)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_ZONES', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> ζώνες Φ.Π.Α.)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_RATES', 'Εμφάνιση <strong>%d</strong> έως <strong>%d</strong> (από <strong>%d</strong> τιμές Φ.Π.Α.)');
define('TEXT_DISPLAY_NUMBER_OF_ZONES', 'Displaying <strong>%d</strong> to <strong>%d</strong> (of <strong>%d</strong> zones)');

define('PREVNEXT_BUTTON_PREV', '&lt;&lt;');
define('PREVNEXT_BUTTON_NEXT', '&gt;&gt;');

define('TEXT_DEFAULT', 'προεπιλογή');
define('TEXT_SET_DEFAULT', 'Ορισμός ως προεπιλογής');
define('TEXT_FIELD_REQUIRED', '&nbsp;<span class="fieldRequired">* Απαιτείται</span>');

define('TEXT_CACHE_CATEGORIES', 'Πλαίσιο Κατηγοριών');
define('TEXT_CACHE_MANUFACTURERS', 'Κουτί Κατασκευαστών');
define('TEXT_CACHE_ALSO_PURCHASED', 'Λειτουργία Αγοράστε Επίσης');

define('TEXT_NONE', '--κανένα--');
define('TEXT_TOP', 'Κορυφή');

define('ERROR_DESTINATION_DOES_NOT_EXIST', 'Σφάλμα: Ο προορισμός δεν υπάρχει.');
define('ERROR_DESTINATION_NOT_WRITEABLE', 'Σφάλμα: Ο προορισμός δεν είναι εγγράψιμος.');
define('ERROR_FILE_NOT_SAVED', 'Σφάλμα: Δεν αποθηκεύτηκε η μεταφόρτωση του αρχείου.');
define('ERROR_FILETYPE_NOT_ALLOWED', 'Σφάλμα: Ο τύπος μεταφόρτωσης του αρχείου δεν επιτρέπεται.');
define('SUCCESS_FILE_SAVED_SUCCESSFULLY', 'Επιτυχία: Το αρχείο μεταφορτώθηκε.');
define('WARNING_NO_FILE_UPLOADED', 'Προειδοποίηση: Δε μεταφορτώθηκε αρχείο.');

//AAS
define('BOX_HEADING_AAS','A.A.S.');
define('BOX_AAS_ACCESS_AAS','Access AAS');
define('BOX_AAS_SUPPORT','Support');
define('BOX_AAS_DISCUSSION_BOARD','Discussion Board');
define('BOX_AAS_DONATIONS','Make a Donation');
//AAS

define('BOX_CATALOG_STOXO', 'Στοχοποίηση Προϊόντων');
define('BOX_CUSTOMERS_ORDERS_WITHOUT_ACCOUNT', 'Παραγγελίες χωρίς λογαριασμό');
define('STOXOPOIHSH', 'Στοχοποίηση');
define('APOSTOXOPOIHSH', 'Κατάργηση Στοχοποίησης');


//CUSTOM


define('BOX_HEADING_ADMIN_NEWS', 'Νέα Εταιρίας');
define('BOX_NEWS_ADMIN_SHOW', 'Νέα Εταιρίας');
define('BOX_NEWS_ADMIN_ADD', 'Πρόσθεση νέου');
define('BOX_NEWS_ADMIN_SHOW_DELETED', 'Κάδος Διεγραμμένων');
define('NEWS_DATE', 'Ημερομηνία');
define('NEWS_TITLE', 'Τίτλος');
define('NEWS_ACTIONS', 'Ενέργεια');
define('NEWS_TEXT', 'Μήνυμα');
define('SAVE', 'Αποθήκευση');
define('RELOAD', 'Επαναφόρτωση Νέου');
define('SHOW_DELETED_MSG', 'Κάδος Διεγραμμένων');
define('NEWS_SHOW_NEWS_MSG', 'Εμφάνιση Νέων');
define('NEWS_EDIT_OK', 'Επιτυχής Αποθήκευση Αλλαγών');
define('NEWS_EDIT_ERROR1', 'Το πεδίο [Τίτλος] δεν πρέπει να είναι κενό');
define('NEWS_EDIT_ERROR2', 'Το πεδίο [Μήνυμα] δεν πρέπει να είναι κενό');
define('EDIT_NEWS', 'Επεξεργασία Νέου');
define('ADD_NEWS', 'Πρόσθεση Νέου');
define('ADD', 'Προσθήκη');
define('EDIT', 'Επεξεργασία');
define('DELETE', 'Αποστολή Στον Κάδο');
define('UNDELETE', 'Επαναφορά');
define('ACTIVE', 'Ενεργό');
define('ACTIVENO', 'Μη Ενεργό');
define('SETNOACTIVE', 'Αλλαγή σε μη Ενεργό');
define('SETACTIVE', 'Αλλαγή σε Ενεργό');
define('NEWS_ACTIVE', 'Κατάσταση');
define('NO_DELETED_NEWS', '--- ');
define('BOX_HEADING_ADMIN_DIATAXEIS', 'Υγειονομικές Διατάξεις');
define('BOX_DIATAXEIS_ADMIN_SHOW', 'Υγειονομικές Διατάξεις');
define('BOX_DIATAXEIS_ADMIN_ADD', 'Πρόσθεση Υγειονομικής Διάταξης');
define('BOX_NEWS_ADMIN_SHOW_DELETED', 'Εμφάνιση Διεγραμμένων Υγειονομικών Διατάξεων');
define('DIATAXEIS_SHOW_DELETED_MSG', 'Υγειονομικές Διατάξεις');
define('NO_DIATAXEIS', 'Δεν έχετε εισαγάγει Υγειονομικές Διατάξεις');
define('NO_DELETED_DIATAXEIS', 'Δεν έχετε διαγράψει Υγειονομικές Διατάξεις');
define('ADD_DIATAXI', 'Προσθήκη Νέας Διάταξης');
define('EDIT_DIATAXI', 'Επεξεργασία Υπάρχουσας Διάταξης');
define('SAVE_DIATAXI', 'Αποθήκευση Αλλαγών Διάταξης');
define('TEXT_CUSTOM', 'Κείμενο');

define('BOX_HEADING_ADMIN_STARTPAGE', 'Κείμενο Αρχικής Σελίδας');
define('BOX_STARTPAGE_ADMIN_SHOW', 'Εμφάνιση Κειμένων Αρχικής Σελίδας');
define('BOX_STARTPAGE_ADMIN_ADD', 'Πρόσθεση Κειμένου Αρχικής Σελίδας');
define('BOX_STARTPAGE_ADMIN_SHOW_DELETED', 'Κάδος Διεγραμμένων');
define('EDIT_STARTPAGE', 'Επεξεργασία Κειμένου Αρχικής Σελίδας');
define('SAVE_STARTPAGE', 'Αποθήκευση Αλλαγών Κειμένου Αρχικής Σελίδας');
define('NO_STARTPAGE', 'Δεν έχετε εισαγάγει Κειμένα Αρχικής Σελίδας');
define('ADD_STARTPAGE', 'Προσθήκη Νέου Κειμένου Αρχικής Σελίδας');
define('NO_DELETED_STARTPAGE', 'Δεν έχετε διαγράψει Κειμένα Αρχικής Σελίδας');

define('BOX_HEADING_ADMIN_SERVICES', 'Υπηρεσίες');
define('BOX_SERVICES_ADMIN_SHOW', 'Υπηρεσίες');
define('BOX_SERVICES_ADMIN_ADD', 'Πρόσθεση Υπηρεσίας');
define('EDIT_SERVICE', 'Επεξεργασία Υπηρεσίας');
define('SAVE_SERVICE', 'Αποθήκευση Υπηρεσίας');
define('ADD_SERVICE', 'Πρόσθεση Νέας Υπηρεσίας');
define('SERVICES_SHOW_DELETED_MSG', 'Υπηρεσίες');
define('NO_DELETED_SERVICES', 'Δεν έχετε διαγράψει Υπηρεσίες');
define('NO_SERVICES', 'Δεν έχετε προσθέσει Υπηρεσίες');
define('SETNOVISIBLE', 'Να Μην Εμφανίζεται Η Ημερομηνία');
define('SETVISIBLE', 'Να Εμφανίζεται Η Ημερομηνία');
define('SETTITLENOVISIBLE', 'Να Μην Εμφανίζεται Ο Τίτλος');
define('SETTITLEVISIBLE', 'Να Εμφανίζεται Ο Τίτλος');
define('DELETEFOREVER', 'Μόνιμη Διαγραφή');
define('BUTTON_CANCEL_GO_BACK', 'Άκυρο, Επιστροφή');

define('LINKS_DESCRIPTION', 'Περιγραφή');
define('BOX_HEADING_ADMIN_LINKS', 'Σύνδεσμοι');
define('BOX_LINKS_ADMIN_SHOW', 'Εμφάνιση Συνδέσμων');
define('BOX_LINKS_ADMIN_ADD', 'Πρόσθεση Σύνδεσμου');
define('TEXT_LINK_CUSTOM', 'Σύνδεσμος');
define('NO_LINKS', 'Δεν έχετε εισάγει σύνδεσμο');
define('TEXT_LINK_DESCRIPTION_CUSTOM', 'Περιγραφή');
define('EDIT_LINK', 'Επεξεργασία Συνδέσμου');
define('SAVE_LINK', 'Αποθήκευση Συνδέσμου');
define('ADD_LINK', 'Πρόσθεση Συνδέσμου');
define('NO_DELETED_LINKS', 'Δεν υπάρχουν διεγραμμένοι σύνδεσμοι');

define('SETNOVISIBLEDESCRIPTION', 'Να μην εμφανίζεται η περιγραφή');
define('SETVISIBLEDESCRIPTION', 'Να εμφανίζεται η περιγραφή');

define('LINKS_EDIT_ERROR1', 'Σφάλμα ο τίτλος δεν μπορεί να είναι κενός');
define('LINKS_EDIT_ERROR2', 'Σφάλμα η περιγραφή δεν μπορεί να είναι κενή');
define('LINKS_EDIT_ERROR3', 'Σφάλμα ο σύνδεσμος δεν μπορεί να είναι κενός');

//PRODUCTS FILTERS BY JOHN BAROUNIS
define('PRODUCTS_FILTERS_MANAGEMENT','Products Filters Management');

define('TEXT_PRODUCTS_FILTERS','Products Filters:');
define('TEXT_PRODUCTS_FILTERS_NO_SECTIONS_FILTERS_FOUND','No assigned Sections - Filters found in this category. Assign using the %s.');

define('TEXT_PRODUCTS_FILTERS_EXCLUDED_FILTERS_NOTIFICATION','Filters in red color are not visible in the front store because they have been excluded via the %s');
//PRODUCTS FILTERS BY JOHN BAROUNIS

define('TEXT_IMAGE_NONEXISTENT','Δεν υπάρχει εικόνα!');

define('HEADER_TITLE_PAGES','Σελίδες / Άρθρα');
define('HEADER_TITLE_HSLIDER','Slider αρχικής σελίδας');
define('MESSAGES','Μηνύματα');
define('STORES_NOTIFICATIONS','Ειδοποιήσεις');
define('HEADER_TITLE_CATALOG','Διαχείριση');
define('HEADER_TITLE_LOGOFF','Αποσύνδεση');

define('HEADER_TITLE_STORES_PRODUCTS_NOTIFICATIONS','Αποστολή Προϊόντων');
define('ERROR_SOMETHING_WENT_WRONG','Κάτι πήγε στραβά. Παρακαλώ προσπαθήστε ξανά.');
define('TEXT_NOTE_GLORIA_PRODUCT_STATUS_INACTIVE','Το επιλεγμένο προϊόν είναι μη διαθέσιμο στη Gloria.');
define('TEXT_NOTE_GLORIA_PRODUCT_QUANTITY_ZERO','Το επιλεγμένο προϊόν έχει μηδενική διαθεσιμότητα στη Gloria.');
define('NOT_ALLOWED_ACCESS_DENIED','Δεν επιτρέπεται η πρόσβαση.');

define('HEADER_TITLE_ORDER_GLORIA','<b>Παραγγελία στο Gloria.gr</b>');