<?php

  require('includes/application_top.php');

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();

  $from = isset($_GET['from']) ? tep_db_prepare_input($_GET['from']) : '';
  $to = isset($_GET['to']) ? tep_db_prepare_input($_GET['to']) : '';

  $orders_statuses = array();
  $orders_status_array = array();
  $orders_status_query = tep_db_query("select orders_status_id, orders_status_name from " . TABLE_ORDERS_STATUS . " where language_id = '" . (int)$languages_id . "'");
  while ($orders_status = tep_db_fetch_array($orders_status_query)) {
    $orders_statuses[] = array('id' => $orders_status['orders_status_id'],
                               'text' => $orders_status['orders_status_name']);
    $orders_status_array[$orders_status['orders_status_id']] = $orders_status['orders_status_name'];
  }

  $erp_domain = '';

  $action = (isset($_GET['action']) ? $_GET['action'] : '');

  if (tep_not_null($action)) {
    switch ($action) {
      case 'update_order':
        $oID = tep_db_prepare_input($_GET['oID']);
        $status = tep_db_prepare_input($_POST['status']);
        $comments = tep_db_prepare_input($_POST['comments']);

        $order_updated = false;
        $check_status_query = tep_db_query("select customers_name, customers_email_address, orders_status, date_purchased from " . TABLE_ORDERS . " where orders_id = '" . (int)$oID . "'");
        $check_status = tep_db_fetch_array($check_status_query);

        if ( ($check_status['orders_status'] != $status) || tep_not_null($comments)) {
          tep_db_query("update " . TABLE_ORDERS . " set orders_status = '" . tep_db_input($status) . "', last_modified = now() where orders_id = '" . (int)$oID . "'");

          $customer_notified = '0';
          if (isset($_POST['notify']) && ($_POST['notify'] == 'on')) {
            $notify_comments = '';
            if (isset($_POST['notify_comments']) && ($_POST['notify_comments'] == 'on')) {
              $notify_comments = sprintf(EMAIL_TEXT_COMMENTS_UPDATE, $comments) . "\n\n";
            }

            $email = STORE_NAME . "\n" . EMAIL_SEPARATOR . "\n" . EMAIL_TEXT_ORDER_NUMBER . ' ' . $oID . "\n" . EMAIL_TEXT_INVOICE_URL . ' ' . tep_catalog_href_link(FILENAME_CATALOG_ACCOUNT_HISTORY_INFO, 'order_id=' . $oID, 'SSL') . "\n" . EMAIL_TEXT_DATE_ORDERED . ' ' . tep_date_long($check_status['date_purchased']) . "\n\n" . sprintf(EMAIL_TEXT_STATUS_UPDATE, $orders_status_array[$status])."\n".$notify_comments;

            tep_mail($check_status['customers_name'], $check_status['customers_email_address'], EMAIL_TEXT_SUBJECT, $email, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);

            $customer_notified = '1';
          }

          tep_db_query("insert into " . TABLE_ORDERS_STATUS_HISTORY . " (orders_id, orders_status_id, date_added, customer_notified, comments) values ('" . (int)$oID . "', '" . tep_db_input($status) . "', now(), '" . tep_db_input($customer_notified) . "', '" . tep_db_input($comments)  . "')");

          $order_updated = true;
        }

        if ($order_updated == true) {
         $messageStack->add_session(SUCCESS_ORDER_UPDATED, 'success');
        } else {
          $messageStack->add_session(WARNING_ORDER_NOT_UPDATED, 'warning');
        }

        tep_redirect(tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action')) . 'action=edit'));
        break;
      case 'deleteconfirm':
        $oID = tep_db_prepare_input($_GET['oID']);

        tep_remove_order($oID, $_POST['restock']);

        tep_redirect(tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action'))));
        break;
      case 'send':
        $oID = tep_db_prepare_input($_GET['oID']);

        //tep_db_query("UPDATE orders SET sent=1 WHERE orders_id='".$oID."'");

        tep_redirect(tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action'))));
        break;
    }
  }

  include(DIR_WS_CLASSES . 'order.php');

  if (($action == 'send_to_gloria' || $action == 'submit_order_to_gloria' || $action == 'view_send_to_gloria' ) && isset($_GET['oID'])) {

    $oID = tep_db_prepare_input($_GET['oID']);

    $order = new order($oID);

    $order_products_ids = array();
    foreach ($order->products as $value) {

      $order_products_ids[$value['products_id']] = $value['products_id'];

    }

    $is_local_products_query = tep_db_query("SELECT products_id, is_local FROM products WHERE products_id IN (".implode(',',array_keys($order_products_ids)).")");
    $order_has_atleast_one_product_from_gloria = 0;
    while($row = tep_db_fetch_array($is_local_products_query)){

      if( $row['is_local'] == '0' ){

        $order_has_atleast_one_product_from_gloria = 1;

        break;

      }

    }

    if( !$order_has_atleast_one_product_from_gloria ){

      $messageStack->add_session(NOT_ALLOWED_NO_GLORIA_PRODUCTS_FOUND_IN_ORDER, 'error');

      tep_redirect(tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action'))));

    }

}

  if (($action == 'edit' || $action == 'send_to_gloria' || $action == 'submit_order_to_gloria' || $action == 'view_send_to_gloria' ) && isset($_GET['oID'])) {
    $oID = tep_db_prepare_input($_GET['oID']);

    $orders_query = tep_db_query("select orders_id from " . TABLE_ORDERS . " where orders_id = '" . (int)$oID . "'");
    $order_exists = true;
    if (!tep_db_num_rows($orders_query)) {
      $order_exists = false;
      $messageStack->add(sprintf(ERROR_ORDER_DOES_NOT_EXIST, $oID), 'error');
    }
  }




  if (($action == 'send_to_gloria' || $action == 'view_send_to_gloria' ) && ($order_exists == true)) {

  //connect to gloria
  $store_db_access=false;
  if(@tep_db_connect(DB_MAIN_SERVER,DB_MAIN_SERVER_USERNAME, DB_MAIN_SERVER_PASSWORD, DB_MAIN_DATABASE, DB_MAIN_LINK)) $store_db_access=true;

  if($store_db_access){

    $configuration_query = tep_db_query("SELECT configuration_value FROM configuration WHERE configuration_key = 'ERP_DOMAIN' LIMIT 1",DB_MAIN_LINK);

    $configuration = tep_db_fetch_array($configuration_query);

    $erp_domain = $configuration['configuration_value'];

    $store_query = tep_db_query("SELECT stores_id, customers_code, stores_handle,stores_package, stores_template, stores_general_discount,stores_profit_threshold, stores_prices_discount FROM stores WHERE stores_id = '".STORE_ID."' LIMIT 1",DB_MAIN_LINK);

    $store = tep_db_fetch_array($store_query);

    $customers_code = $store['customers_code'];

    $customer_query = tep_db_query("SELECT customers_id, customers_default_address_id FROM customers WHERE customers_code = '".$customers_code."' LIMIT 1",DB_MAIN_LINK);

    $customer = tep_db_fetch_array($customer_query);
    $customers_id = $customer['customers_id'];
    $customers_default_address_id = $customer['customers_default_address_id'];
    $address_id = $customers_default_address_id;

    //var_dump($customer_id);

    $abook_discount = array();
    $abook_discount_query = tep_db_query("SELECT entry_discount_value,entry_discount_type FROM address_book WHERE address_book_id='".(int)$customers_default_address_id."' AND entry_discount_status=1 LIMIT 1",DB_MAIN_LINK);
    $abook_discount = tep_db_fetch_array($abook_discount_query);

    //var_dump($abook_discount);


    $payments=array();
    $payments_query=tep_db_query("SELECT configuration_key,configuration_title,configuration_value,configuration_id FROM configuration WHERE configuration_group_id=17 ORDER BY sort_order ASC",DB_MAIN_LINK);
    while($row=tep_db_fetch_array($payments_query)) $payments[$row['configuration_id']]=$row;

    $sends=array();
    $sends_query=tep_db_query("SELECT configuration_key,configuration_title,configuration_value,configuration_id FROM configuration WHERE configuration_group_id=18 ORDER BY sort_order ASC",DB_MAIN_LINK);
    while($row=tep_db_fetch_array($sends_query)) $sends[$row['configuration_id']]=$row;

    //get ADDRESS BOOK DATA
    $abook=array();
    $abook_query=tep_db_query("SELECT * FROM address_book WHERE address_book_id='".(int)$address_id."' LIMIT 1",DB_MAIN_LINK);
    $abook=tep_db_fetch_array($abook_query);

    //get CUSTOMERS FLAG
    $customers_flag=array();
    $c_query=tep_db_query("SELECT customers_flag FROM customers WHERE customers_code='".$customers_code."' LIMIT 1",DB_MAIN_LINK);
    $customers_flag_resp=tep_db_fetch_array($c_query);
    $customers_flag=(int)$customers_flag_resp['customers_flag'];

    //var_dump($customers_flag);

    $address_query = tep_db_query("select entry_firstname as firstname, entry_lastname as lastname, entry_company as company, entry_street_address as street_address, entry_suburb as suburb, entry_city as city, entry_postcode as postcode, entry_state as state, entry_zone_id as zone_id, entry_country_id as country_id from " . TABLE_ADDRESS_BOOK . " where customers_id = '" . (int)$customers_id . "' and address_book_id = '" . (int)$address_id . "'",DB_MAIN_LINK);
    $address = tep_db_fetch_array($address_query);

    $country_id = $abook['entry_country_id'];

    $address_format_query = tep_db_query("select address_format_id as format_id from " . TABLE_COUNTRIES . " where countries_id = '" . (int)$country_id . "'",DB_MAIN_LINK);
    if (tep_db_num_rows($address_format_query)) {
      $address_format = tep_db_fetch_array($address_format_query);
      $format_id = $address_format['format_id'];
    } else {
      $format_id = '1';
    }

    $address_html = tep_address_format($format_id, $address, false, '', "\n");

    //var_dump($s);


    tep_db_close(DB_MAIN_LINK);

  } else{

      $messageStack->add_session(ERROR_COULD_NOT_CONNECT_TO_GLORIA, 'error');

      tep_redirect(tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action')) . 'action=edit'));
  }


}

if (($action == 'submit_order_to_gloria') && ($order_exists == true)) {


  $payment_method = isset($_POST['payment_method']) ? tep_db_prepare_input($_POST['payment_method']) : '';
  $send_method = isset($_POST['send_method']) ? tep_db_prepare_input($_POST['send_method']) : '';
  $comments = isset($_POST['comments']) ? tep_db_prepare_input($_POST['comments']) : '';

  $products_quantity_sent_to_gloria = isset($_POST['products_quantity_sent_to_gloria']) ? $_POST['products_quantity_sent_to_gloria'] : '';

  if( tep_not_null($payment_method) && tep_not_null($send_method) && tep_not_null($products_quantity_sent_to_gloria) && is_array($products_quantity_sent_to_gloria) ){

    foreach( $products_quantity_sent_to_gloria as $key => $value ){

      tep_db_query("UPDATE orders_products SET products_quantity_sent_to_gloria = '".(int)$value."' WHERE orders_products_id = '".(int)$key."'");

    }

    $oID = tep_db_prepare_input($_GET['oID']);

    tep_db_perform('orders', array(

      'sent' => '1',
      'gloria_payment_method'=>$payment_method,
      'gloria_send_method'=>$send_method,
      'gloria_comments'=>$comments,

    ), 'update', "orders_id = '" . (int)$oID . "' ");

      //send notification email to gloria

    //connect to gloria
    $store_db_access=false;
    if(@tep_db_connect(DB_MAIN_SERVER,DB_MAIN_SERVER_USERNAME, DB_MAIN_SERVER_PASSWORD, DB_MAIN_DATABASE, DB_MAIN_LINK)) $store_db_access=true;

    if($store_db_access){

      tep_db_perform('stores_orders', array(

        'stores_id'=>STORE_ID,
        'orders_id'=>(int)$oID,

      ),'insert','',DB_MAIN_LINK);

      $configuration_query = tep_db_query("SELECT configuration_value FROM configuration WHERE configuration_key = 'STORE_OWNER_EMAIL_ADDRESS' LIMIT 1",DB_MAIN_LINK);

      $configuration = tep_db_fetch_array($configuration_query);

      $STORE_OWNER_EMAIL_ADDRESS = $configuration['STORE_OWNER_EMAIL_ADDRESS'];

      //Let's build a message object using the email class
      $mimemessage = new email(array('X-Mailer: Gloria'));

      $message = STORE_NEW_ORDER_SENT_FROM.' '.STORE_NAME.', '.STORE_OWNER.', '.STORE_OWNER_EMAIL_ADDRESS.'<br>'.STORE_NEW_ORDER_ID.' '.$oID;

      // Build the text version
      $text = strip_tags($message);
      if (EMAIL_USE_HTML == 'true') {
        $mimemessage->add_html($message, $text);
      } else {
        $mimemessage->add_text($text);
      }

      $mimemessage->build_message();
      //while ($mail = tep_db_fetch_array($mail_query)) {
      $mimemessage->send(STORE_OWNER, $STORE_OWNER_EMAIL_ADDRESS, '', STORE_OWNER_EMAIL_ADDRESS, STORE_NEW_ORDER_SUBJECT);
      //}

    }

    tep_db_close(DB_MAIN_LINK);

    $messageStack->add_session(SUCCESS_ORDER_SEND_TO_GLORIA, 'success');

    tep_redirect(tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action'))));

  } else {

    $messageStack->add_session(ERROR_VALID_DATA_SUBMITTED, 'error');

    tep_redirect(tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action')) . 'action=send_to_gloria'));

  }


}

  require(DIR_WS_INCLUDES . 'template_top.php');
?>


<?php
  if (($action == 'view_send_to_gloria') && ($order_exists == true)) {

    $order = new order($oID);

?>


    <table border="0" width="100%" cellspacing="0" cellpadding="2">

      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>

            <td class="pageHeading"><?php

              echo HEADING_TITLE_GLORIA_ORDER_STATUS;

              switch( $order->info['gloria_sent_to_erp'] ){

                case '0':

                  echo HEADING_TITLE_GLORIA_ORDER_STATUS_UNDER_PROCESS;

                break;

                case '1':

                  echo HEADING_TITLE_GLORIA_ORDER_STATUS_PROCESSED;

                  if( tep_not_null($order->info['orders_erp_docid']) ){

                    echo '&nbsp;<button data-oed="'.$order->info['orders_erp_docid'].'" id="check_erp_order_status" class="btn btn-default btn-xs">'.CHECK_ERP_ORDER_STATUS.'</button>&nbsp;<span id="check_erp_order_status_result"></span>';

                  }

                break;

              }
if( $order->info['gloria_sent_to_erp'] == '1' && tep_not_null($order->info['orders_erp_docid']) ){ ?>

<script>

    $('#check_erp_order_status').on('click',function( e ){

      e.preventDefault();

      var jthis = $(this);

      var txt = jthis.text();

      $('#check_erp_order_status_result').html('<i class="fa fa-cog fa-spin"></i>');

      jthis.addClass('disabled');

      var oed = jthis.data('oed');

      $.ajax({

        url: "<?php echo $erp_domain; ?>/Test/Service.svc/GetOrderStatus",

        method:'POST',

        data: '"'+oed+'"',

        contentType: 'text/json',

      }).done(function (msg,statusText, xhr) {

        if(xhr.status==200){

          $('#check_erp_order_status_result').html(msg.Status+' / '+msg.State);

        } else {

          $('#check_erp_order_status_result').html('---');

        }

        jthis.removeClass('disabled');

      }).fail(function () {

        $('#check_erp_order_status_result').html('---');

        jthis.removeClass('disabled');

      });

      return false;

    });

</script>

<?php } ?>
            </td>

            <td class="smallText" align="right"><?php echo tep_draw_button(IMAGE_BACK, 'triangle-1-w', tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action')))); ?></td>
          </tr>
        </table></td>
      </tr>

      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>


          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table class="table table-bordered spacerTop30 spacerBottom30" width="100%" border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main" valign="top"><strong><?php echo ENTRY_CUSTOMER; ?></strong></td>
                <td class="main"><?php echo tep_address_format($order->customer['format_id'], $order->customer, 1, '', '<br />'); ?></td>
              </tr>
              <tr>
                <td class="main"><strong><?php echo ENTRY_TELEPHONE_NUMBER; ?></strong></td>
                <td class="main"><?php echo $order->customer['telephone']; ?></td>
              </tr>
              <tr>
                <td class="main"><strong><?php echo ENTRY_EMAIL_ADDRESS; ?></strong></td>
                <td class="main"><?php echo '<a href="mailto:' . $order->customer['email_address'] . '"><u>' . $order->customer['email_address'] . '</u></a>'; ?></td>
              </tr>
            </table></td>
            <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main" valign="top"><strong><?php echo ENTRY_SHIPPING_ADDRESS; ?></strong></td>
                <td class="main"><?php echo tep_address_format($order->delivery['format_id'], $order->delivery, 1, '', '<br />'); ?></td>
              </tr>
            </table></td>
            <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main" valign="top"><strong><?php echo ENTRY_BILLING_ADDRESS; ?></strong></td>
                <td class="main"><?php echo tep_address_format($order->billing['format_id'], $order->billing, 1, '', '<br />'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main"><strong><?php echo ENTRY_PAYMENT_METHOD; ?></strong> <?php echo $order->info['payment_method']; ?></td>
          </tr>
<?php
    if (tep_not_null($order->info['cc_type']) || tep_not_null($order->info['cc_owner']) || tep_not_null($order->info['cc_number'])) {
?>
          <tr>
            <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_TYPE; ?></td>
            <td class="main"><?php echo $order->info['cc_type']; ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_OWNER; ?></td>
            <td class="main"><?php echo $order->info['cc_owner']; ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_NUMBER; ?></td>
            <td class="main"><?php echo $order->info['cc_number']; ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_EXPIRES; ?></td>
            <td class="main"><?php echo $order->info['cc_expires']; ?></td>
          </tr>
<?php
    }
?>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table class="table table-bordered table-striped">
          <thead>
          <tr class="dataTableHeadingRow">
            <th class="dataTableHeadingContent" colspan="2"><?php echo TABLE_HEADING_PRODUCTS; ?></th>
            <th class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS_QUANTITY; ?></th>
            <th class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS_MODEL; ?></th>
            <th class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_TAX; ?></th>
            <th class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_PRICE_EXCLUDING_TAX; ?></th>
            <th class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_PRICE_INCLUDING_TAX; ?></th>
            <th class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_TOTAL_EXCLUDING_TAX; ?></th>
            <th class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_TOTAL_INCLUDING_TAX; ?></th>
          </tr>
          </thead>
<?php

$order_products_ids = array();
foreach ($order->products as $value) {

  $order_products_ids[$value['products_id']] = $value['products_id'];

}

$is_local_products_query = tep_db_query("SELECT products_id, is_local FROM products WHERE products_id IN (".implode(',',array_keys($order_products_ids)).")");
while($row = tep_db_fetch_array($is_local_products_query)){

$order_products_ids[$row['products_id']] = $row['is_local'];

}

    for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {

      $is_local_product = isset($order_products_ids[$order->products[$i]['products_id']]) && $order_products_ids[$order->products[$i]['products_id']] == '1' ? 1 : 0;

      echo '          <tr class="dataTableRow'.( $is_local_product ? ' is_local_product' : '').'" >' . "\n" .

           '            <td class="dataTableContent" valign="top" align="right">' . $order->products[$i]['qty'] . '&nbsp;x</td>' . "\n" .
           '            <td class="dataTableContent" valign="top">' . $order->products[$i]['name'];

      if (isset($order->products[$i]['attributes']) && (sizeof($order->products[$i]['attributes']) > 0)) {
        for ($j = 0, $k = sizeof($order->products[$i]['attributes']); $j < $k; $j++) {
          echo '<br /><nobr><small>&nbsp;<i> - ' . $order->products[$i]['attributes'][$j]['option'] . ': ' . $order->products[$i]['attributes'][$j]['value'];
          if ($order->products[$i]['attributes'][$j]['price'] != '0') echo ' (' . $order->products[$i]['attributes'][$j]['prefix'] . $currencies->format($order->products[$i]['attributes'][$j]['price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . ')';
          echo '</i></small></nobr>';
        }
      }

      echo '            </td>' . "\n";


      if( $is_local_product ){

           echo '            <td class="dataTableContent text-center" valign="top">'.YOUR_PRODUCT_WAS_NOT_SENT_TO_GLORIA.'</td>' . "\n";

      } else {

           echo '            <td class="dataTableContent text-center" valign="top">'.$order->products[$i]['products_quantity_sent_to_gloria'].'</td>' . "\n";

      }

       echo     '            <td class="dataTableContent" valign="top">' . $order->products[$i]['model'] . '</td>' . "\n" .

           '            <td class="dataTableContent" align="right" valign="top">' . tep_display_tax_value($order->products[$i]['tax']) . '%</td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top"><strong>' . $currencies->format($order->products[$i]['final_price'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top"><strong>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax'], true), true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top"><strong>' . $currencies->format($order->products[$i]['final_price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top"><strong>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax'], true) * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n";
      echo '          </tr>' . "\n";
    }
?>
          <tr>
            <td align="right" colspan="9"><table border="0" cellspacing="0" cellpadding="2">
<?php
    for ($i = 0, $n = sizeof($order->totals); $i < $n; $i++) {
      echo '              <tr>' . "\n" .
           '                <td align="right" class="smallText">' . $order->totals[$i]['title'] . '</td>' . "\n" .
           '                <td align="right" class="smallText">' . $order->totals[$i]['text'] . '</td>' . "\n" .
           '              </tr>' . "\n";
    }
?>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>


      <tr>
        <td class="main">

          <div class="row">

            <div class="col-md-6">

              <div class="table-responsive">
                    <table class="table table-bordered table-hover table-striped">
              <thead>
              <tr><th><?php echo CHECKOUT_PAYMENT_PAYMENTS_METHODS_TITLE; ?></th><th class="text-right"><?php echo CHECKOUT_PAYMENT_PAYMENTS_METHODS_SHOW_DICOUNT_VALUE; ?></th></tr>
              </thead>
              <tbody>
              <?php foreach($payments as $p) {
              $exp = explode(':',$p['configuration_value']);
              $code = isset($exp[0]) ? $exp[0] : 0;
              $disc = isset($exp[1]) ? (float)$exp[1] : 0;
              $default = isset($exp[2]) ? (int)$exp[2] : 0;
              if($customers_flag==1 && (isset($exp[3]) ? (int)$exp[3] : 0) ) continue;
              if( $order->info['gloria_payment_method'] == $code ){
              ?>
                <tr>
                  <td><span><?php echo $p['configuration_title']; ?></span></td>
                  <td><span class="pull-right"><?php if((int)$disc>0) echo '-'.$disc.'%'; else echo ''; ?></span></td>
                </tr>
              <?php } ?>
              <?php } ?>
              </tbody>
              </table>
              </div>

            </div>

            <div class="col-md-6">

              <div class="table-responsive">
                    <table class="table table-bordered table-hover table-striped">
              <thead>
              <tr><th><?php echo CHECKOUT_PAYMENT_SENDS_METHODS_TITLE; ?></th><th class="text-right"><?php echo CHECKOUT_PAYMENT_SENDS_METHODS_SHOW_DICOUNT_VALUE; ?></th></tr>
              </thead>
              <tbody>
              <?php $default=0; foreach($sends as $p) {
              $exp = explode(':',$p['configuration_value']);
              $code = isset($exp[0]) ? $exp[0] : 0;
              $disc = isset($exp[1]) ? (float)$exp[1] : 0;
              $default = isset($exp[2]) ? (int)$exp[2] : 0;
              if( $order->info['gloria_send_method'] == $code ){
              ?>
                <tr>
                  <td><span><?php echo $p['configuration_title']; ?></span></td>
                  <td><span class="pull-right"><?php if((int)$disc>0) echo '-'.$disc.'%'; else echo ''; ?></span></td>
                </tr>
              <?php } ?>
              <?php } ?>
              </tbody>
              </table>
              </div>



            </div>


          </div>

<hr>


          <div class="row">

            <div class="col-md-6">

              <?php echo '<b>'.ORDERS_ADDRESS_STORE_OWNER_FROM_GLORIA.'</b><br><br>'.$address_html; ?>

            </div>
            <div class="col-md-6">

              <strong><?php echo TABLE_HEADING_COMMENTS; ?>:</strong><br><br>


<?php echo $order->info['gloria_comments']; ?>

            </div>

          </div>






          <div class="row">

            <div class="col-md-12 text-center" style="margin:100px auto;">

            <?php echo tep_draw_button(IMAGE_BACK, 'triangle-1-w', tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action')))); ?>

            </div>

          </div>






        </td>
      </tr>


    </table>



<?php
  }else if (($action == 'send_to_gloria') && ($order_exists == true)) {

    $order = new order($oID);


?>

<!--<form>-->
<?php echo tep_draw_form('status', FILENAME_ORDERS, tep_get_all_get_params(array('action')) . 'action=submit_order_to_gloria'); ?>


    <table border="0" width="100%" cellspacing="0" cellpadding="2">

      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE_SEND_TO_GLORIA; ?></td>

            <td class="smallText" align="right"><?php echo tep_draw_button(IMAGE_ORDERS_INVOICE, 'document', tep_href_link(FILENAME_ORDERS_INVOICE, 'oID=' . $_GET['oID']), null, array('newwindow' => true)) . tep_draw_button(IMAGE_ORDERS_PACKINGSLIP, 'document', tep_href_link(FILENAME_ORDERS_PACKINGSLIP, 'oID=' . $_GET['oID']), null, array('newwindow' => true)) . tep_draw_button(IMAGE_BACK, 'triangle-1-w', tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action')))); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table class="table table-bordered spacerTop30 spacerBottom30" width="100%" border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main" valign="top"><strong><?php echo ENTRY_CUSTOMER; ?></strong></td>
                <td class="main"><?php echo tep_address_format($order->customer['format_id'], $order->customer, 1, '', '<br />'); ?></td>
              </tr>
              <tr>
                <td class="main"><strong><?php echo ENTRY_TELEPHONE_NUMBER; ?></strong></td>
                <td class="main"><?php echo $order->customer['telephone']; ?></td>
              </tr>
              <tr>
                <td class="main"><strong><?php echo ENTRY_EMAIL_ADDRESS; ?></strong></td>
                <td class="main"><?php echo '<a href="mailto:' . $order->customer['email_address'] . '"><u>' . $order->customer['email_address'] . '</u></a>'; ?></td>
              </tr>
            </table></td>
            <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main" valign="top"><strong><?php echo ENTRY_SHIPPING_ADDRESS; ?></strong></td>
                <td class="main"><?php echo tep_address_format($order->delivery['format_id'], $order->delivery, 1, '', '<br />'); ?></td>
              </tr>
            </table></td>
            <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main" valign="top"><strong><?php echo ENTRY_BILLING_ADDRESS; ?></strong></td>
                <td class="main"><?php echo tep_address_format($order->billing['format_id'], $order->billing, 1, '', '<br />'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main"><strong><?php echo ENTRY_PAYMENT_METHOD; ?></strong> <?php echo $order->info['payment_method']; ?></td>
          </tr>
<?php
    if (tep_not_null($order->info['cc_type']) || tep_not_null($order->info['cc_owner']) || tep_not_null($order->info['cc_number'])) {
?>
          <tr>
            <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_TYPE; ?></td>
            <td class="main"><?php echo $order->info['cc_type']; ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_OWNER; ?></td>
            <td class="main"><?php echo $order->info['cc_owner']; ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_NUMBER; ?></td>
            <td class="main"><?php echo $order->info['cc_number']; ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_EXPIRES; ?></td>
            <td class="main"><?php echo $order->info['cc_expires']; ?></td>
          </tr>
<?php
    }
?>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table class="table table-bordered table-striped">
          <thead>
          <tr class="dataTableHeadingRow">
            <th class="dataTableHeadingContent" colspan="2"><?php echo TABLE_HEADING_PRODUCTS; ?></th>
            <th class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS_QUANTITY; ?></th>
            <th class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS_MODEL; ?></th>
            <th class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_TAX; ?></th>
            <th class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_PRICE_EXCLUDING_TAX; ?></th>
            <th class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_PRICE_INCLUDING_TAX; ?></th>
            <th class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_TOTAL_EXCLUDING_TAX; ?></th>
            <th class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_TOTAL_INCLUDING_TAX; ?></th>
          </tr>
          </thead>
<?php
//echo '<pre>';
//var_dump($order->products);

//echo '<pre>';
//var_dump($order->products);
$order_products_ids = array();
foreach ($order->products as $value) {

  $order_products_ids[$value['products_id']] = $value['products_id'];

}

$is_local_products_query = tep_db_query("SELECT products_id, is_local FROM products WHERE products_id IN (".implode(',',array_keys($order_products_ids)).")");
while($row = tep_db_fetch_array($is_local_products_query)){

$order_products_ids[$row['products_id']] = $row['is_local'];

}

    for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {

      $is_local_product = isset($order_products_ids[$order->products[$i]['products_id']]) && $order_products_ids[$order->products[$i]['products_id']] == '1' ? 1 : 0;

      echo '          <tr class="dataTableRow'.( $is_local_product ? ' is_local_product' : '').'" >' . "\n" .
           '            <td class="dataTableContent" valign="top" align="right">' . $order->products[$i]['qty'] . '&nbsp;x</td>' . "\n" .
           '            <td class="dataTableContent" valign="top">' . $order->products[$i]['name'];

      if (isset($order->products[$i]['attributes']) && (sizeof($order->products[$i]['attributes']) > 0)) {
        for ($j = 0, $k = sizeof($order->products[$i]['attributes']); $j < $k; $j++) {
          echo '<br /><nobr><small>&nbsp;<i> - ' . $order->products[$i]['attributes'][$j]['option'] . ': ' . $order->products[$i]['attributes'][$j]['value'];
          if ($order->products[$i]['attributes'][$j]['price'] != '0') echo ' (' . $order->products[$i]['attributes'][$j]['prefix'] . $currencies->format($order->products[$i]['attributes'][$j]['price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . ')';
          echo '</i></small></nobr>';
        }
      }

      echo '            </td>' . "\n" ;

      if( $is_local_product ){

           echo '            <td class="dataTableContent text-center" valign="top">'.YOUR_PRODUCT_WILL_NOT_BE_SEND_TO_GLORIA.'</td>' . "\n";

      } else {

           echo '            <td class="dataTableContent" valign="top"><input type="number" min="0" value="'.$order->products[$i]['qty'].'" name="products_quantity_sent_to_gloria['.$order->products[$i]['orders_products_id'].']" class="form-control">' . '</td>' . "\n";

      }

      echo '            <td class="dataTableContent" valign="top">' . $order->products[$i]['model'] . '</td>' . "\n" .

           '            <td class="dataTableContent" align="right" valign="top">' . tep_display_tax_value($order->products[$i]['tax']) . '%</td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top"><strong>' . $currencies->format($order->products[$i]['final_price'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top"><strong>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax'], true), true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top"><strong>' . $currencies->format($order->products[$i]['final_price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top"><strong>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax'], true) * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n";
      echo '          </tr>' . "\n";
    }
?>
          <tr>
            <td align="right" colspan="9"><table border="0" cellspacing="0" cellpadding="2">
<?php
    for ($i = 0, $n = sizeof($order->totals); $i < $n; $i++) {
      echo '              <tr>' . "\n" .
           '                <td align="right" class="smallText">' . $order->totals[$i]['title'] . '</td>' . "\n" .
           '                <td align="right" class="smallText">' . $order->totals[$i]['text'] . '</td>' . "\n" .
           '              </tr>' . "\n";
    }
?>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td class="main"><table class="table table-bordered hidden">
          <tr>
            <td class="smallText" align="center"><strong><?php echo TABLE_HEADING_DATE_ADDED; ?></strong></td>
            <td class="smallText" align="center"><strong><?php echo TABLE_HEADING_CUSTOMER_NOTIFIED; ?></strong></td>
            <td class="smallText" align="center"><strong><?php echo TABLE_HEADING_STATUS; ?></strong></td>
            <td class="smallText" align="center"><strong><?php echo TABLE_HEADING_COMMENTS; ?></strong></td>
          </tr>
<?php
    $orders_history_query = tep_db_query("select orders_status_id, date_added, customer_notified, comments from " . TABLE_ORDERS_STATUS_HISTORY . " where orders_id = '" . tep_db_input($oID) . "' order by date_added");
    if (tep_db_num_rows($orders_history_query)) {
      while ($orders_history = tep_db_fetch_array($orders_history_query)) {
        echo '          <tr>' . "\n" .
             '            <td class="smallText" align="center">' . tep_datetime_short($orders_history['date_added']) . '</td>' . "\n" .
             '            <td class="smallText" align="center">';
        if ($orders_history['customer_notified'] == '1') {
          echo tep_image(DIR_WS_ICONS . 'tick.gif', ICON_TICK) . "</td>\n";
        } else {
          echo tep_image(DIR_WS_ICONS . 'cross.gif', ICON_CROSS) . "</td>\n";
        }
        echo '            <td class="smallText">' . $orders_status_array[$orders_history['orders_status_id']] . '</td>' . "\n" .
             '            <td class="smallText">' . nl2br(tep_db_output($orders_history['comments'])) . '&nbsp;</td>' . "\n" .
             '          </tr>' . "\n";
      }
    } else {
        echo '          <tr>' . "\n" .
             '            <td class="smallText" colspan="5">' . TEXT_NO_ORDER_HISTORY . '</td>' . "\n" .
             '          </tr>' . "\n";
    }
?>
        </table></td>
      </tr>
      <tr>
        <td class="main">



          <div class="row">

            <div class="col-md-12">

              <?php if(isset($abook_discount['entry_discount_value'])){ ?>

              <div class="table-responsive">
                    <table class="table table-bordered table-hover table-striped">
              <thead>
              <tr>
                <th><?php echo CHECKOUT_PAYMENT_GENERAL_DISCOUNTS_TITLE; ?></th>
                <th class="text-right"><?php echo CHECKOUT_PAYMENT_SPECIFIC_DISCOUNT_SHOW_DICOUNT_VALUE; ?></th></tr>
              </thead>
              <tbody>
<?php if( $abook_discount['entry_discount_value'] > 0){ ?>
                <tr>
                  <td><span><?php echo ADDRESS_BOOK_SPECIFIC_DISCOUNT; ?></span></td>
                  <td class="text-right">
              <?php if($abook_discount['entry_discount_type']=='1') echo '-'.$abook_discount['entry_discount_value'].'%'; else echo $currencies->format($abook_discount['entry_discount_value'],false); ?>
                  </td>
                </tr>
<?php } ?>
                <tr>
                  <td><span><?php echo INTERNET_DISCOUNT; ?></span></td>
                  <td class="text-right">
                    -2%
                  </td>
                </tr>
                </tbody>
              </table>
              </div>

              <?php } ?>

              <?php if(count($cd['special'])>0){ ?>
              <div class="table-responsive">
                    <table class="table table-bordered table-hover table-striped">
              <thead>
              <tr><th><?php echo CHECKOUT_PAYMENT_SPECIAL_DISCOUNTS_SHOW_DICOUNT_TITLE; ?></th><th class="text-right"><?php echo CHECKOUT_PAYMENT_SPECIAL_DISCOUNTS_SHOW_DICOUNT_VALUE; ?></th><th></th></tr>
              </thead>
              <tbody>
              <?php foreach($cd['special'] as $cdg) { ?>
                <tr>
                  <td><span><?php echo $cdg['title']; ?></span></td>
                  <td><span class="pull-right"><?php if($cdg['type']=='1') echo '-'.$cdg['value'].'%'; else echo '-'.$currencies->format($cdg['value'],false); ?></span></td>
                  <td class="text-center"><input type="checkbox" name="special_discounts[<?php echo $cdg['id']; ?>]" value="1"></td>
                </tr>
              <?php } ?>
              </tbody>
              </table>
              </div>
              <?php } ?>

            </div>


            <div class="col-md-6">

              <div class="table-responsive">
                    <table class="table table-bordered table-hover table-striped">
              <thead>
              <tr><th><?php echo CHECKOUT_PAYMENT_PAYMENTS_METHODS_TITLE; ?></th><th class="text-right"><?php echo CHECKOUT_PAYMENT_PAYMENTS_METHODS_SHOW_DICOUNT_VALUE; ?></th><th></th></tr>
              </thead>
              <tbody>
              <?php foreach($payments as $p) {
              $exp = explode(':',$p['configuration_value']);
              $code = isset($exp[0]) ? $exp[0] : 0;
              $disc = isset($exp[1]) ? (float)$exp[1] : 0;
              $default = isset($exp[2]) ? (int)$exp[2] : 0;
              if($customers_flag==1 && (isset($exp[3]) ? (int)$exp[3] : 0) ) continue;
              ?>
                <tr>
                  <td><span><?php echo $p['configuration_title']; ?></span></td>
                  <td><span class="pull-right"><?php if((int)$disc>0) echo '-'.$disc.'%'; else echo ''; ?></span></td>
                  <td class="text-center"><input type="radio" <?php echo $default===1 ? 'checked="checked"' : '' ?> name="payment_method" value="<?php echo $code; ?>" required></td>
                </tr>
              <?php } ?>
              </tbody>
              </table>
              </div>

            </div>

            <div class="col-md-6">

              <div class="table-responsive">
                    <table class="table table-bordered table-hover table-striped">
              <thead>
              <tr><th><?php echo CHECKOUT_PAYMENT_SENDS_METHODS_TITLE; ?></th><th class="text-right"><?php echo CHECKOUT_PAYMENT_SENDS_METHODS_SHOW_DICOUNT_VALUE; ?></th><th></th></tr>
              </thead>
              <tbody>
              <?php $default=0; foreach($sends as $p) {
              $exp = explode(':',$p['configuration_value']);
              $code = isset($exp[0]) ? $exp[0] : 0;
              $disc = isset($exp[1]) ? (float)$exp[1] : 0;
              $default = isset($exp[2]) ? (int)$exp[2] : 0;
              ?>
                <tr>
                  <td><span><?php echo $p['configuration_title']; ?></span></td>
                  <td><span class="pull-right"><?php if((int)$disc>0) echo '-'.$disc.'%'; else echo ''; ?></span></td>
                  <td class="text-center"><input type="radio" <?php echo $default===1 ? 'checked="checked"' : '' ?> name="send_method" value="<?php echo $code; ?>" required></td>
                </tr>
              <?php } ?>
              </tbody>
              </table>
              </div>



            </div>


          </div>

<hr>


          <div class="row">

            <div class="col-md-6">

              <?php echo '<b>'.ORDERS_ADDRESS_STORE_OWNER_FROM_GLORIA.'</b><br><br>'.$address_html; ?>

            </div>
            <div class="col-md-6">

              <strong><?php echo TABLE_HEADING_COMMENTS; ?>:</strong><br><br>
<?php echo tep_draw_textarea_field('comments', 'soft', '60', '5'); ?>

            </div>

          </div>






          <div class="row">

            <div class="col-md-12 text-center" style="margin:100px auto;">

              <?php echo tep_draw_button(SEND_TO_GLORIA, 'disk', null, 'primary'); ?>

            </div>

          </div>






        </td>
      </tr>


    </table>

  </form>


<?php
    }else if (($action == 'edit') && ($order_exists == true)) {
    $order = new order($oID);

    $MerchantReference = '';

    if( MODULE_PAYMENT_PIRAEUSBANK_STATUS == 'True' ){

        $bank_info_query = tep_db_query("select MerchantReference, SupportReferenceID from piraeusbank_data where orders_id = '". (int)$_GET['oID'] . "'");
        $bank_info = tep_db_fetch_array($bank_info_query);
        if( tep_not_null($bank_info['MerchantReference']) ){

            $MerchantReference = ' | <strong>Κωδικός αναφοράς συναλλαγής:</strong> '.$bank_info['MerchantReference'];

        }
        if( tep_not_null($bank_info['SupportReferenceID']) ){

            $MerchantReference .= ' | <strong>Support Reference ID:</strong> '.$bank_info['SupportReferenceID'];

        }

    }

?>

<table border="0" width="100%" cellspacing="0" cellpadding="2">

      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading">

                <strong>Αριθμός παραγγελίας</strong> #<?php echo $_GET['oID'].$MerchantReference; ?>

            </td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
            <td class="smallText" align="right"><?php echo tep_draw_button(IMAGE_ORDERS_INVOICE, 'document', tep_href_link(FILENAME_ORDERS_INVOICE, 'oID=' . $_GET['oID']), null, array('newwindow' => true)) . tep_draw_button(IMAGE_ORDERS_PACKINGSLIP, 'document', tep_href_link(FILENAME_ORDERS_PACKINGSLIP, 'oID=' . $_GET['oID']), null, array('newwindow' => true)) . tep_draw_button(IMAGE_BACK, 'triangle-1-w', tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('action')))); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table width="100%" border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td colspan="3"><?php echo tep_draw_separator(); ?></td>
          </tr>
          <tr>
            <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main" valign="top"><strong><?php echo ENTRY_CUSTOMER; ?></strong></td>
                <td class="main"><?php echo tep_address_format($order->customer['format_id'], $order->customer, 1, '', '<br />'); ?></td>
              </tr>
              <tr>
                <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
              </tr>
              <tr>
                <td class="main"><strong><?php echo ENTRY_TELEPHONE_NUMBER; ?></strong></td>
                <td class="main"><?php echo $order->customer['telephone']; ?></td>
              </tr>
              <tr>
                <td class="main"><strong><?php echo ENTRY_EMAIL_ADDRESS; ?></strong></td>
                <td class="main"><?php echo '<a href="mailto:' . $order->customer['email_address'] . '"><u>' . $order->customer['email_address'] . '</u></a>'; ?></td>
              </tr>
            </table></td>
            <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main" valign="top"><strong><?php echo ENTRY_SHIPPING_ADDRESS; ?></strong></td>
                <td class="main"><?php echo tep_address_format($order->delivery['format_id'], $order->delivery, 1, '', '<br />'); ?></td>
              </tr>
            </table></td>
            <td valign="top"><table width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main" valign="top"><strong><?php echo ENTRY_BILLING_ADDRESS; ?></strong></td>
                <td class="main"><?php echo tep_address_format($order->billing['format_id'], $order->billing, 1, '', '<br />'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main"><strong><?php echo ENTRY_PAYMENT_METHOD; ?></strong></td>
            <td class="main"><?php echo $order->info['payment_method']; ?></td>
          </tr>
<?php
    if (tep_not_null($order->info['cc_type']) || tep_not_null($order->info['cc_owner']) || tep_not_null($order->info['cc_number'])) {
?>
          <tr>
            <td colspan="2"><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_TYPE; ?></td>
            <td class="main"><?php echo $order->info['cc_type']; ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_OWNER; ?></td>
            <td class="main"><?php echo $order->info['cc_owner']; ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_NUMBER; ?></td>
            <td class="main"><?php echo $order->info['cc_number']; ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo ENTRY_CREDIT_CARD_EXPIRES; ?></td>
            <td class="main"><?php echo $order->info['cc_expires']; ?></td>
          </tr>
<?php
    }
?>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr class="dataTableHeadingRow">
            <td class="dataTableHeadingContent" colspan="2"><?php echo TABLE_HEADING_PRODUCTS; ?></td>
            <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS_MODEL; ?></td>
            <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_TAX; ?></td>
            <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_PRICE_EXCLUDING_TAX; ?></td>
            <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_PRICE_INCLUDING_TAX; ?></td>
            <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_TOTAL_EXCLUDING_TAX; ?></td>
            <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_TOTAL_INCLUDING_TAX; ?></td>
          </tr>
<?php
    for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {
      echo '          <tr class="dataTableRow">' . "\n" .
           '            <td class="dataTableContent" valign="top" align="right">' . $order->products[$i]['qty'] . '&nbsp;x</td>' . "\n" .
           '            <td class="dataTableContent" valign="top">' . $order->products[$i]['name'];

      if (isset($order->products[$i]['attributes']) && (sizeof($order->products[$i]['attributes']) > 0)) {
        for ($j = 0, $k = sizeof($order->products[$i]['attributes']); $j < $k; $j++) {
          echo '<br /><nobr><small>&nbsp;<i> - ' . $order->products[$i]['attributes'][$j]['option'] . ': ' . $order->products[$i]['attributes'][$j]['value'];
          if ($order->products[$i]['attributes'][$j]['price'] != '0') echo ' (' . $order->products[$i]['attributes'][$j]['prefix'] . $currencies->format($order->products[$i]['attributes'][$j]['price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . ')';
          echo '</i></small></nobr>';
        }
      }

      echo '            </td>' . "\n" .
           '            <td class="dataTableContent" valign="top">' . $order->products[$i]['model'] . '</td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top">' . tep_display_tax_value($order->products[$i]['tax']) . '%</td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top"><strong>' . $currencies->format($order->products[$i]['final_price'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top"><strong>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax'], true), true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top"><strong>' . $currencies->format($order->products[$i]['final_price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '            <td class="dataTableContent" align="right" valign="top"><strong>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax'], true) * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n";
      echo '          </tr>' . "\n";
    }
?>
          <tr>
            <td align="right" colspan="8"><table border="0" cellspacing="0" cellpadding="2">
<?php
    for ($i = 0, $n = sizeof($order->totals); $i < $n; $i++) {
      echo '              <tr>' . "\n" .
           '                <td align="right" class="smallText">' . $order->totals[$i]['title'] . '</td>' . "\n" .
           '                <td align="right" class="smallText">' . $order->totals[$i]['text'] . '</td>' . "\n" .
           '              </tr>' . "\n";
    }
?>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td class="main"><table border="1" cellspacing="0" cellpadding="5">
          <tr>
            <td class="smallText" align="center"><strong><?php echo TABLE_HEADING_DATE_ADDED; ?></strong></td>
            <td class="smallText" align="center"><strong><?php echo TABLE_HEADING_CUSTOMER_NOTIFIED; ?></strong></td>
            <td class="smallText" align="center"><strong><?php echo TABLE_HEADING_STATUS; ?></strong></td>
            <td class="smallText" align="center"><strong><?php echo TABLE_HEADING_COMMENTS; ?></strong></td>
          </tr>
<?php
    $orders_history_query = tep_db_query("select orders_status_id, date_added, customer_notified, comments from " . TABLE_ORDERS_STATUS_HISTORY . " where orders_id = '" . tep_db_input($oID) . "' order by date_added");
    if (tep_db_num_rows($orders_history_query)) {
      while ($orders_history = tep_db_fetch_array($orders_history_query)) {
        echo '          <tr>' . "\n" .
             '            <td class="smallText" align="center">' . tep_datetime_short($orders_history['date_added']) . '</td>' . "\n" .
             '            <td class="smallText" align="center">';
        if ($orders_history['customer_notified'] == '1') {
          echo tep_image(DIR_WS_ICONS . 'tick.gif', ICON_TICK) . "</td>\n";
        } else {
          echo tep_image(DIR_WS_ICONS . 'cross.gif', ICON_CROSS) . "</td>\n";
        }
        echo '            <td class="smallText">' . $orders_status_array[$orders_history['orders_status_id']] . '</td>' . "\n" .
             '            <td class="smallText">' . nl2br(tep_db_output($orders_history['comments'])) . '&nbsp;</td>' . "\n" .
             '          </tr>' . "\n";
      }
    } else {
        echo '          <tr>' . "\n" .
             '            <td class="smallText" colspan="5">' . TEXT_NO_ORDER_HISTORY . '</td>' . "\n" .
             '          </tr>' . "\n";
    }
?>
        </table></td>
      </tr>
      <tr>
        <td class="main"><br /><strong><?php echo TABLE_HEADING_COMMENTS; ?></strong></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
      </tr>
      <tr><?php echo tep_draw_form('status', FILENAME_ORDERS, tep_get_all_get_params(array('action')) . 'action=update_order'); ?>
        <td class="main"><?php echo tep_draw_textarea_field('comments', 'soft', '60', '5'); ?></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" cellspacing="0" cellpadding="2">
          <tr>
            <td><table border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main"><strong><?php echo ENTRY_STATUS; ?></strong> <?php echo tep_draw_pull_down_menu('status', $orders_statuses, $order->info['orders_status']); ?></td>
              </tr>
              <tr>
                <td class="main"><strong><?php echo ENTRY_NOTIFY_CUSTOMER; ?></strong> <?php echo tep_draw_checkbox_field('notify', '', true); ?></td>
                <td class="main"><strong><?php echo ENTRY_NOTIFY_COMMENTS; ?></strong> <?php echo tep_draw_checkbox_field('notify_comments', '', true); ?></td>
              </tr>
            </table></td>
            <td class="smallText" valign="top"><?php echo tep_draw_button(IMAGE_UPDATE, 'disk', null, 'primary'); ?></td>
          </tr>
        </table></td>
      </form></tr>

    </table>

<?php
  } else {
?>



<table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%">

        <table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>

            <td align="right" style=""><table border="0" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td class="smallText">

                  <div class="row">

                    <div class="col-sm-3">


                        <h2><?php echo HEADING_TITLE; ?></h2>

                        <div style="font-size:12px;font-weight:normal">
                        <?php

                          $total_query = tep_db_query("select SUM(ot.value) as total_value, COUNT(ot.value) as total_count from " . TABLE_ORDERS . " o left join " . TABLE_ORDERS_TOTAL . " ot on (o.orders_id = ot.orders_id), " . TABLE_ORDERS_STATUS . " s where o.orders_status = s.orders_status_id and s.language_id = '" . (int)$languages_id . "' and ot.class = 'ot_total' order by o.orders_id DESC");
                          $total = tep_db_fetch_array($total_query);

                          echo 'Συνολική αξία παραγγελιών: <b>'.$currencies->format($total['total_value']).'</b>';
                          echo '<br>Σύνολο παραγγελιών: <b>'.$total['total_count'].'</b>';
                        ?>
                        </div>


                        <div style="font-size:12px;font-weight:normal">
                        <?php

                        $filteredWhere = [];

if( tep_not_null($from) && tep_not_null($to) ){

      $to.= ' 23:59:59';
      $filteredWhere[]  = " and o.date_purchased between '".$from."' and '".$to."'";

}

if( tep_not_null( $term ) ){

    $filteredWhere[] = " and ( o.orders_erp_doccode LIKE '%".$term."%' or o.customers_name LIKE '%".$term."%' ) ";

}

    $order_sent_status = isset($_GET['status_gloria']) && tep_not_null($_GET['status_gloria']) ? (int)tep_db_prepare_input($_GET['status_gloria']) : 2;

if( $order_sent_status !== 2 && ( $order_sent_status === 0 || $order_sent_status === 1 ) ){

    $filteredWhere[] = ' and o.sent = '.$order_sent_status;

}

$oID = tep_db_prepare_input($_GET['oID']);
if( $oID > 0 ){

    $filteredWhere[] = " and o.orders_id = '" . (int)$oID . "' ";

}

if (isset($_GET['status']) && is_numeric($_GET['status']) && ($_GET['status'] > 0)) {

$status = tep_db_prepare_input($_GET['status']);

$filteredWhere[] = " and s.orders_status_id = '" . (int)$status . "'";

}

//var_dump($filteredWhere);

$extraWhere = '';

if( (bool)$filteredWhere ){

    $extraWhere = implode(' ',$filteredWhere);

    $wraw = "select SUM(ot.value) as total_value, COUNT(ot.value) as total_count from " . TABLE_ORDERS . " o left join " . TABLE_ORDERS_TOTAL . " ot on (o.orders_id = ot.orders_id), " . TABLE_ORDERS_STATUS . " s where o.orders_status = s.orders_status_id and s.language_id = '" . (int)$languages_id . "' and ot.class = 'ot_total' ".$extraWhere."  order by o.orders_id DESC";

    $total_query = tep_db_query($wraw);

    $total = tep_db_fetch_array($total_query);

    echo '<hr>';
    echo 'Filtered Συνολική αξία παραγγελιών: <b>'.$currencies->format($total['total_value']).'</b>';
    echo '<br>Σύνολο παραγγελιών: <b>'.$total['total_count'].'</b>';


}

                        ?>
                        </div>


                    </div>


                    <div class="col-sm-9">

                        <div class="row">

                            <div class="col-sm-6 text-right">


                            </div>


                            <?php echo tep_draw_form('set_date_range', FILENAME_ORDERS,tep_get_all_get_params(array('from','to')), 'get'); ?>

                                <div class="col-sm-6 text-right">

                                  <?php echo 'Από ' . tep_draw_input_field('from', '', 'id="from"','text',true,'class="form-control form-control-inline"'); ?>
                                  <?php echo 'Μέχρι ' . tep_draw_input_field('to', '', 'id="to"','text',true,'class="form-control form-control-inline"'); ?>
                                  <?php echo tep_draw_hidden_field('action', 'edit'); ?>
                                  <?php echo tep_draw_hidden_field('status', $status); ?>

                                  <?php echo tep_hide_session_id(); ?>

                                <button type="submit" class="btn btn-info">Εύρεση</button>
            <?php if(tep_not_null($from) && tep_not_null($to)){ ?>
                                      <a href="<?php echo tep_href_link(FILENAME_ORDERS,tep_get_all_get_params(array('from','to'))); ?>" class="btn btn-danger">Επαναφορά</a>
            <?php } ?>


                                  <script>
                                  $(function() {
                                    $( "#from" ).datepicker({
                                      dateFormat: "yy-mm-dd",
                                      //defaultDate: "+1w",
                                      changeMonth: true,
                                      numberOfMonths: 2,
                                      onClose: function( selectedDate ) {
                                        $( "#to" ).datepicker( "option", "minDate", selectedDate );
                                      },
                                      onSelect : function(selectedDate){

                                        var d = selectedDate.split('-');

                                        var month = parseInt(d[1],10)+1;
                                        if(month<10) month='0'+month;

                                        var dt = d[0]+'-'+month+'-'+d[2];
                                        $('#to').val(dt);

                                      },
                                    });

                                    $( "#to" ).datepicker({
                                      dateFormat: "yy-mm-dd",
                                      //defaultDate: "+1w",
                                      changeMonth: true,
                                      numberOfMonths: 2,
                                      onClose: function( selectedDate ) {
                                        $( "#from" ).datepicker( "option", "maxDate", selectedDate );
                                      }
                                    });
                                  });
                                  </script>


                                </div>

                            </form>

                        </div>

                  <div class="row spacerTop20">


                    <div class="col-sm-4 text-right">

                              <?php echo tep_draw_form('orders', FILENAME_ORDERS, '', 'get'); ?><?php echo HEADING_TITLE_SEARCH . '<br>' . tep_draw_input_field('oID', '', '','text',true,'class="form-control form-control-inline"') . tep_draw_hidden_field('action', 'edit'); ?> <?php echo tep_hide_session_id(); ?></form>


                    </div>
                    <div class="col-sm-4 text-right">

                      <?php echo tep_draw_form('status', FILENAME_ORDERS, '', 'get'); ?><?php echo HEADING_TITLE_STATUS . ' ' . tep_draw_pull_down_menu('status', array_merge(array(array('id' => '', 'text' => TEXT_ALL_ORDERS)), $orders_statuses), '', 'onchange="this.form.submit();"'); ?> <?php echo tep_hide_session_id(); ?>

                        <?php echo tep_draw_hidden_field('from', $from); ?>
                        <?php echo tep_draw_hidden_field('to', $to); ?>

                      </form>

                    </div>
                    <div class="col-sm-4 text-right">

                  <?php echo tep_draw_form('status_gloria', FILENAME_ORDERS, '', 'get'); ?><?php echo HEADING_TITLE_STATUS_GLORIA . ' ' . tep_draw_pull_down_menu('status_gloria', array_merge(array(array('id' => '', 'text' => TEXT_ALL_GLORIA_STATUS)), array(

                  array('id'=>'0', 'text' => TEXT_GLORIA_STATUS_NOT_SENT),
                  array('id'=>'1', 'text' => TEXT_GLORIA_STATUS_SENT),

                )), '', 'onchange="this.form.submit();"'); ?> <?php echo tep_hide_session_id(); ?>

                        <?php echo tep_draw_hidden_field('from', $from); ?>
                        <?php echo tep_draw_hidden_field('to', $to); ?>

                    </form>

                    </div>

                  </div>


                    </div>


                </div>







                  </div>







                </td>
             </tr>

            </table></td>
          </tr>
        </table>


        </td>
      </tr>
      <tr>
        <td>
<hr>
        </td>
      </tr>
      <tr>
        <td>
            <div class="col-xs-12 col-sm-12 col-md-9">

            <table class="table table-striped table-bordered"><thead>
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_CUSTOMERS; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ORDER_TOTAL; ?></td>
                <td class="dataTableHeadingContent" align="center"><?php echo TABLE_HEADING_DATE_PURCHASED; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_STATUS; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_STATUS_SENT; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr></thead>
<?php

    if(tep_not_null($from) && tep_not_null($to)){

      $to.= ' 23:59:59';
      $date_range = "and o.date_purchased between '".$from."' and '".$to."'";

   }else{

      $date_range = "";

   }

    $order_sent_status = isset($_GET['status_gloria']) && tep_not_null($_GET['status_gloria']) ? (int)tep_db_prepare_input($_GET['status_gloria']) : 2;

    $order_sent_status_where = $order_sent_status !== 2 && ( $order_sent_status === 0 || $order_sent_status === 1 ) ? 'and o.sent = '.$order_sent_status : '';

    if (isset($_GET['cID'])) {
      $cID = tep_db_prepare_input($_GET['cID']);
      $orders_query_raw = "select o.orders_id, o.customers_name, o.customers_guest, o.customers_id, o.payment_method, o.date_purchased, o.last_modified, o.currency, o.currency_value, s.orders_status_name, ot.text as order_total, o.sent from " . TABLE_ORDERS . " o left join " . TABLE_ORDERS_TOTAL . " ot on (o.orders_id = ot.orders_id), " . TABLE_ORDERS_STATUS . " s where o.customers_id = '" . (int)$cID . "' and o.orders_status = s.orders_status_id and s.language_id = '" . (int)$languages_id . "' and ot.class = 'ot_total' ".$date_range." ".$order_sent_status_where." order by orders_id DESC";
    } elseif (isset($_GET['status']) && is_numeric($_GET['status']) && ($_GET['status'] > 0)) {
      $status = tep_db_prepare_input($_GET['status']);
      $orders_query_raw = "select o.orders_id, o.customers_name, o.customers_guest, o.customers_id, o.payment_method, o.date_purchased, o.last_modified, o.currency, o.currency_value, s.orders_status_name, ot.text as order_total, o.sent from " . TABLE_ORDERS . " o left join " . TABLE_ORDERS_TOTAL . " ot on (o.orders_id = ot.orders_id), " . TABLE_ORDERS_STATUS . " s where o.orders_status = s.orders_status_id and s.language_id = '" . (int)$languages_id . "' and s.orders_status_id = '" . (int)$status . "' and ot.class = 'ot_total' ".$date_range." ".$order_sent_status_where." order by o.orders_id DESC";
    } else {
      $orders_query_raw = "select o.orders_id, o.customers_name, o.customers_guest, o.customers_id, o.payment_method, o.date_purchased, o.last_modified, o.currency, o.currency_value, s.orders_status_name, ot.text as order_total, o.sent from " . TABLE_ORDERS . " o left join " . TABLE_ORDERS_TOTAL . " ot on (o.orders_id = ot.orders_id), " . TABLE_ORDERS_STATUS . " s where o.orders_status = s.orders_status_id and s.language_id = '" . (int)$languages_id . "' and ot.class = 'ot_total' ".$date_range." ".$order_sent_status_where." order by o.orders_id DESC";
    }
    $orders_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $orders_query_raw, $orders_query_numrows);
    $orders_query = tep_db_query($orders_query_raw);

        $clean_total_value_total = 0;

    while ($orders = tep_db_fetch_array($orders_query)) {
    if ((!isset($_GET['oID']) || (isset($_GET['oID']) && ($_GET['oID'] == $orders['orders_id']))) && !isset($oInfo)) {
        $oInfo = new objectInfo($orders);
      }


      //$customer_query_raw = "select c.customers_guest from customers c where c.customers_id = '" . (int)$orders['customers_id'] . "' ";
      //$customer_query_raw_query = tep_db_query($customer_query_raw);
      //$customer_query = tep_db_fetch_array($customer_query_raw_query);

      if (isset($oInfo) && is_object($oInfo) && ($orders['orders_id'] == $oInfo->orders_id)) {
        echo '              <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=edit') . '\'">' . "\n";
      } else {
        echo '              <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID')) . 'oID=' . $orders['orders_id']) . '\'">' . "\n";
      }
?>
                <td class="dataTableContent"><?php echo '<a href="' . tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $orders['orders_id'] . '&action=edit') . '">' . tep_image(DIR_WS_ICONS . 'preview.gif', ICON_PREVIEW) . '</a>&nbsp;' . $orders['customers_name']; ?>

<?php if( isset( $orders['customers_guest'] ) && $orders['customers_guest'] == '1' ){ ?>

                (GUEST)

<?php } ?>


                </td>
                <td class="dataTableContent" align="right"><?php echo strip_tags($orders['order_total']); ?>

<?php

$clean_total_value = substr(str_replace(',','',strip_tags($orders['order_total'])), 0, -1);
$clean_total_value_total+=$clean_total_value;

?>



                </td>
                <td class="dataTableContent" align="center"><?php echo tep_datetime_short($orders['date_purchased']); ?></td>
                <td class="dataTableContent" align="right"><?php echo $orders['orders_status_name']; ?></td>
                <td class="dataTableContent" align="right">

                  <?php

      if ($orders['sent'] == '1') {


          echo tep_image(DIR_WS_IMAGES . 'icon_status_green.gif', IMAGE_ICON_STATUS_GREEN, 10, 10);


      } else {


          echo tep_image(DIR_WS_IMAGES . 'icon_status_red.gif', IMAGE_ICON_STATUS_RED, 10, 10);


      }


                  ?>

                </td>
                <td class="dataTableContent" align="right"><?php if (isset($oInfo) && is_object($oInfo) && ($orders['orders_id'] == $oInfo->orders_id)) { echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID')) . 'oID=' . $orders['orders_id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>
<?php
    }
?>
              <tr class="dataTableRow">

                    <td class="smallText" valign="top"><?php echo $orders_split->display_count($orders_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_ORDERS); ?></td>
                    <td class="dataTableContent" align="right">

<?php echo '<strong>Σύνολο παραγγελιών: '.$clean_total_value_total.'€</strong>&nbsp;&nbsp;'; ?>

                    </td>
                    <td class="smallText"></td>
                    <td class="smallText"></td>
                    <td colspan="2" class="smallText" align="right"><?php echo $orders_split->display_links($orders_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], tep_get_all_get_params(array('page', 'oID', 'action'))); ?></td>

              </tr>
            </table>

            </div>


<?php
  $heading = array();
  $contents = array();

  switch ($action) {
    case 'delete':
      $heading[] = array('text' => '<strong>' . TEXT_INFO_HEADING_DELETE_ORDER . '</strong>');

      $contents = array('form' => tep_draw_form('orders', FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=deleteconfirm'));
      $contents[] = array('text' => TEXT_INFO_DELETE_INTRO . '<br /><br /><strong>' . $cInfo->customers_firstname . ' ' . $cInfo->customers_lastname . '</strong>');
      $contents[] = array('text' => '<br />' . tep_draw_checkbox_field('restock') . ' ' . TEXT_INFO_RESTOCK_PRODUCT_QUANTITY);
      $contents[] = array('align' => 'center', 'text' => '<br />' . tep_draw_button(IMAGE_DELETE, 'trash', null, 'primary') . tep_draw_button(IMAGE_CANCEL, 'close', tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id)));
      break;
    default:
      if (isset($oInfo) && is_object($oInfo)) {
        $heading[] = array('text' => '<strong>[' . $oInfo->orders_id . ']&nbsp;&nbsp;' . tep_datetime_short($oInfo->date_purchased) . '</strong>');

        $contents = array('form' => tep_draw_form('orders', FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=send'));
        $contents[] = array('align' => 'center', 'text' => tep_draw_button(IMAGE_EDIT, 'document', tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=edit'),' btn btn-success') .' '. tep_draw_button(IMAGE_DELETE, 'trash', tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=delete'),' btn btn-danger'));
        //$contents[] = array('align' => 'center', 'text' => '<br />'.tep_draw_button(IMAGE_ORDERS_INVOICE, 'document', tep_href_link(FILENAME_ORDERS_INVOICE, 'oID=' . $oInfo->orders_id), null, array('newwindow' => true)) . tep_draw_button(IMAGE_ORDERS_PACKINGSLIP, 'document', tep_href_link(FILENAME_ORDERS_PACKINGSLIP, 'oID=' . $oInfo->orders_id), null, array('newwindow' => true)));
        $contents[] = array('align' => 'center', 'text' => '<br />'.tep_draw_button(IMAGE_ORDERS_INVOICE, 'document', tep_href_link(FILENAME_ORDERS_INVOICE, 'oID=' . $oInfo->orders_id), null, array('newwindow' => true)));
        $contents[] = array('text' => '<br />' . TEXT_DATE_ORDER_CREATED . ' ' . tep_date_short($oInfo->date_purchased));
        if (tep_not_null($oInfo->last_modified)) $contents[] = array('text' => TEXT_DATE_ORDER_LAST_MODIFIED . ' ' . tep_date_short($oInfo->last_modified));
        $contents[] = array('text' => '<br />' . TEXT_INFO_PAYMENT_METHOD . ' '  . $oInfo->payment_method);

        if($oInfo->sent=='0') $contents[] = array('align' => 'center', 'text' => '<br />' . tep_draw_button(SEND_TO_GLORIA, 'document', tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=send_to_gloria'),' btn btn-info'));
        else $contents[] = array('align' => 'left', 'text' => '<br /><span class="text-success">'.ALREADY_SEND_TO_GLORIA.'</span><br><br>'.tep_draw_button(SEND_TO_GLORIA_VIEW, 'document0', tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=view_send_to_gloria'),' btn btn-info'));





      }
      break;
  }

  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    //echo '            <td valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

   // echo '            </td>' . "\n";
  }
?>
          </tr>
        </table></td>
      </tr>
<?php
  }
?>
    </table>

<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
