<?php

  require('includes/application_top.php');

  $q = isset($_GET['q']) ? (int)$_GET['q'] : 0;

  $sID = isset($_GET['sID']) ? (int)$_GET['sID'] : '0';

  if($sID>0){

    //update gloria store notify status to true
    $store_db_access=false;
    if(@tep_db_connect(DB_MAIN_SERVER,DB_MAIN_SERVER_USERNAME, DB_MAIN_SERVER_PASSWORD, DB_MAIN_DATABASE, DB_MAIN_LINK)) $store_db_access=true;

    if(!$store_db_access){

      $messageStack->add_session(UNABLE_TO_CONNECT_TO_DB);
      tep_redirect(tep_href_link(FILENAME_CATEGORIES, 'cPath=' . $_GET['cPath']));

    }

    tep_db_query("UPDATE stores_notify SET stores_notify_viewed=1 WHERE stores_id='".STORE_ID."' AND stores_notify_id='".$sID."' ",DB_MAIN_LINK);

    tep_db_close(DB_MAIN_LINK);

  }

  $action = (isset($_GET['action']) ? $_GET['action'] : '');

  if (tep_not_null($action)) {
    switch ($action) {

      case 'update_quantities':

        if($sID<=0){

          $messageStack->add_session(ERROR_SOMETHING_WENT_WRONG);
          tep_redirect(tep_href_link(FILENAME_STORES_NOTIFY, tep_get_all_get_params(array('sID','action'))));

        }

        //get selected categories
        $categories_category=isset($_POST['categories_category']) ? $_POST['categories_category'] : array();
        $cats = serialize($categories_category);
        //get selected products
        $categories_product=isset($_POST['categories_product']) ? $_POST['categories_product'] : array();
        $pids = serialize($categories_product);

        if(count($categories_product)<=0){

          $messageStack->add_session(STORES_NOTIFY_ERROR_NO_CATS_OR_PIDS_SELECTED);
          tep_redirect(tep_href_link(FILENAME_STORES_NOTIFY, tep_get_all_get_params(array('sID','action','q')).'sID='.$sID.'&q='.$q));

        }

        $set=array();
        if(isset($_POST['zero_quantities'])){
          $set[]='products_quantity=0';
        }

        if(isset($_POST['inactive_products'])){
          $set[]='products_status=0';
        }

        if(count($set)>0){

          tep_db_query("UPDATE products SET ".implode(',',$set)." WHERE products_id IN (".implode(array_values($categories_product)).") ");
          $messageStack->add_session(STORES_NOTIFY_SUCCESS,'success');
          tep_redirect(tep_href_link(FILENAME_STORES_NOTIFY, tep_get_all_get_params(array('action'))));

        }else{

          $messageStack->add_session(STORES_NOTIFY_NO_CHANGES_APPLIED,'warning');
          tep_redirect(tep_href_link(FILENAME_STORES_NOTIFY, tep_get_all_get_params(array('action'))));

        }

      break;

      case 'insert':

        $stores_id = isset($_POST['stores_id']) ? (int)tep_db_prepare_input($_POST['stores_id']) : 0;

        if($sID<=0){

          $messageStack->add_session(ERROR_SOMETHING_WENT_WRONG);
          tep_redirect(tep_href_link(FILENAME_STORES_NOTIFY, (isset($HTTP_GET_VARS['page']) ? 'page=' . $HTTP_GET_VARS['page'] : '')));

        }

        //get selected categories
        $categories_category=isset($_POST['categories_category']) ? $_POST['categories_category'] : array();
        $cats = serialize($categories_category);
        //get selected products
        $categories_product=isset($_POST['categories_product']) ? $_POST['categories_product'] : array();
        $pids = serialize($categories_product);

        if(count($categories_category)<=0 && count($categories_product)<=0){

          $messageStack->add_session(STORES_NOTIFY_ERROR_NO_CATS_OR_PIDS_SELECTED);
          $pg=isset($_GET['page']) ? '&page=' . $_GET['page'] : '';
          tep_redirect(tep_href_link(FILENAME_STORES_NOTIFY, 'sID='.$sID.$pg));

        }

        //var_dump(count($categories_category));
        //var_dump(count($categories_product));

        //die;

        $store_db_access=false;
        if(@tep_db_connect(DB_MAIN_SERVER,DB_MAIN_SERVER_USERNAME, DB_MAIN_SERVER_PASSWORD, DB_MAIN_DATABASE, DB_MAIN_LINK)) $store_db_access=true;

        if(!$store_db_access){

          $messageStack->add_session(SOMETHING_WENT_WRONG);
          tep_redirect(tep_href_link(FILENAME_STORES_NOTIFY, (isset($HTTP_GET_VARS['page']) ? 'page=' . $HTTP_GET_VARS['page'] . '&' : '')));

        }

        //get my store data
          $stores_query = tep_db_query("select * from stores s, stores_notify sn where s.stores_id=sn.stores_id and sn.stores_id='".STORE_ID."' order by stores_date_added desc", DB_MAIN_LINK);
          $store=tep_db_fetch_array($stores_query);

          if(count($categories_category)>0){

            $cats_query=tep_db_query("SELECT * FROM categories WHERE categories_id IN (".implode(',',$categories_category).") ",DB_MAIN_LINK);
            while($row=tep_db_fetch_array($cats_query)){

              tep_db_perform('categories', array(

                'categories_id'=>$row['categories_id'],
                'categories_image'=>$row['categories_image'],
                'parent_id'=>$row['parent_id'],
                'sort_order'=>$row['sort_order'],
                'last_modified'=>$row['last_modified']

              ),'insert') ;

            }

            $cats_description_query=tep_db_query("SELECT * FROM categories_description WHERE categories_id IN (".implode(',',$categories_category).") ",DB_MAIN_LINK);
            while($row=tep_db_fetch_array($cats_description_query)){

              tep_db_perform('categories_description', array(

                'categories_id'=>$row['categories_id'],
                'language_id'=>$row['language_id'],
                'categories_name'=>$row['categories_name']

              ),'insert') ;

            }

          }

          if(count($categories_product)>0){

            $pids_query=tep_db_query("SELECT * FROM products WHERE products_id IN (".implode(',',$categories_product).") ",DB_MAIN_LINK);
            while($row=tep_db_fetch_array($pids_query)){

              $rec_query=tep_db_query("SELECT * FROM products WHERE products_id='".$row['products_id']."' LIMIT 1");
              if(tep_db_num_rows($rec_query)>0) continue;



      //add 23% because of the f system
      $gloria_price = (float)$row['products_price'] + (((float)$row['products_price'] * 23)/100);

      if((float)$store['stores_prices_discount']>0){

        $products_price=$gloria_price-(($oprice*(float)$store['stores_prices_discount'])/100);

      }else $products_price=$gloria_price;

      $products_price = $products_price / 1.24;

      if((float)$store['stores_profit_threshold']>0){

      $products_price=$products_price+(($products_price*(float)$store['stores_profit_threshold'])/100);

      }

/*
$gloria_price = (float)$row['products_price'] + (((float)$row['products_price'] * 23)/100);

if((float)$store['stores_prices_discount']>0){

$products_price=$gloria_price-(($gloria_price*(float)$store['stores_prices_discount'])/100);

}else $products_price=$gloria_price;

if((float)$store['stores_profit_threshold']>0){

$products_price=$products_price+(($products_price*(float)$store['stores_profit_threshold'])/100);

}
*/

              $quantity = $store['stores_quantities_to_send'];//$row['products_quantity']


              tep_db_perform('products', array(

                'products_id'=>$row['products_id'],
                'products_quantity'=>$quantity,
                'products_model'=>$row['products_model'],
                'products_image'=>$row['products_image'],
                'products_price'=>$products_price,
                'products_date_added'=>$row['products_date_added'],
                'products_last_modified'=>$row['products_last_modified'],
                'products_date_available'=>$row['products_date_available'],
                'products_weight'=>$row['products_weight'],
                'products_status'=>$row['products_status'],
                'products_tax_class_id'=>$row['products_tax_class_id'],
                'manufacturers_id'=>$row['manufacturers_id'],
                'products_ordered'=>0

              ),'insert') ;

            }

            $pids_atts_query=tep_db_query("SELECT * FROM products_attributes WHERE products_id IN (".implode(',',$categories_product).") ",DB_MAIN_LINK);
            while($row=tep_db_fetch_array($pids_atts_query)){

              $rec_query=tep_db_query("SELECT * FROM products_attributes WHERE products_id='".$row['products_id']."' LIMIT 1");
              if(tep_db_num_rows($rec_query)>0) continue;

              tep_db_perform('products_attributes', array(

                'products_attributes_id'=>$row['products_attributes_id'],
                'products_id'=>$row['products_id'],
                'options_id'=>$row['options_id'],
                'options_values_id'=>$row['options_values_id'],
                'options_values_price'=>$row['options_values_price'],
                'price_prefix'=>$row['price_prefix'],

              ),'insert');

            }

            $pids_description_query=tep_db_query("SELECT * FROM products_description WHERE products_id IN (".implode(',',$categories_product).") ",DB_MAIN_LINK);
            while($row=tep_db_fetch_array($pids_description_query)){

              $rec_query=tep_db_query("SELECT * FROM products_description WHERE products_id='".$row['products_id']."' and language_id='".$row['language_id']."' LIMIT 1");
              if(tep_db_num_rows($rec_query)>0) continue;

              tep_db_perform('products_description', array(

                'products_id'=>$row['products_id'],
                'language_id'=>$row['language_id'],
                'products_name'=>$row['products_name'],
                'products_description'=>$row['products_description'],
                'products_url'=>$row['products_url'],
                'products_viewed'=>0,

              ),'insert') ;

            }
          //products docs
          $pids_docs_query=tep_db_query("SELECT * FROM products_docs WHERE products_id IN (".implode(',',$categories_product).") ",DB_MAIN_LINK);
          while($row=tep_db_fetch_array($pids_docs_query)){

            $rec_query=tep_db_query("SELECT * FROM products WHERE products_id='".$row['products_id']."' LIMIT 1");
            if(tep_db_num_rows($rec_query)>0) continue;

            tep_db_perform('products_docs', array(

              'products_docs_id'=>$row['products_docs_id'],
              'products_id'=>$row['products_id'],
              'products_docs_title'=>$row['products_docs_title'],
              'products_docs_status'=>$row['products_docs_status'],
              'products_docs_date'=>$row['products_docs_date'],

            ),'insert');

          }

          $pids_images_query=tep_db_query("SELECT * FROM products_images WHERE products_id IN (".implode(',',$categories_product).") ",DB_MAIN_LINK);
          while($row=tep_db_fetch_array($pids_images_query)){

            $rec_query=tep_db_query("SELECT * FROM products WHERE products_id='".$row['products_id']."' LIMIT 1");
            if(tep_db_num_rows($rec_query)>0) continue;

            tep_db_perform('products_images', array(

              'id'=>$row['id'],
              'products_id'=>$row['products_id'],
              'image'=>$row['image'],
              'htmlcontent'=>$row['htmlcontent'],
              'sort_order'=>$row['sort_order']

            ),'insert') ;

          }

          $pids_options_query=tep_db_query("SELECT * FROM products_options",DB_MAIN_LINK);
          while($row=tep_db_fetch_array($pids_options_query)){

            $rec_query=tep_db_query("SELECT * FROM products_options WHERE products_options_id='".$row['products_options_id']."' and language_id='".$row['language_id']."' LIMIT 1");
            if(tep_db_num_rows($rec_query)<=0){

              tep_db_perform('products_options', array(

                'products_options_id'=>$row['products_options_id'],
                'language_id'=>$row['language_id'],
                'products_options_name'=>$row['products_options_name']

              ),'insert');

            }

          }

          $pids_options_values_query=tep_db_query("SELECT * FROM products_options_values",DB_MAIN_LINK);
          while($row=tep_db_fetch_array($pids_options_values_query)){

            $rec_query=tep_db_query("SELECT * FROM products_options_values WHERE products_options_values_id='".$row['products_options_values_id']."' and language_id='".$row['language_id']."' LIMIT 1");
            if(tep_db_num_rows($rec_query)<=0){

              tep_db_perform('products_options_values', array(

                'products_options_values_id'=>$row['products_options_values_id'],
                'language_id'=>$row['language_id'],
                'products_options_values_name'=>$row['products_options_values_name']

              ),'insert');

            }

          }

          $pids_products_options_values_to_products_options_query=tep_db_query("SELECT * FROM products_options_values_to_products_options",DB_MAIN_LINK);
          while($row=tep_db_fetch_array($pids_products_options_values_to_products_options_query)){

            $rec_query=tep_db_query("SELECT * FROM products_options_values_to_products_options WHERE products_options_values_to_products_options_id='".$row['products_options_values_to_products_options_id']."' LIMIT 1");
            if(tep_db_num_rows($rec_query)>0) continue;

            tep_db_perform('products_options_values_to_products_options', array(

              'products_options_values_to_products_options_id'=>$row['products_options_values_to_products_options_id'],
              'products_options_id'=>$row['products_options_id'],
              'products_options_values_id'=>$row['products_options_values_id']

            ),'insert');

          }

          $pids_relatives_query=tep_db_query("SELECT * FROM products_relatives",DB_MAIN_LINK);
          while($row=tep_db_fetch_array($pids_images_query)){

            if(isset($categories_product[$row['products_id_main']]) && isset($categories_product[$row['products_id_relative']])){

              tep_db_perform('products_relatives', array(

                'products_relatives_id'=>$row['products_relatives_id'],
                'products_id_main'=>$row['products_id_main'],
                'products_id_relative'=>$row['products_id_relative'],
                'products_relatives_type'=>$row['products_relatives_type']

              ),'insert');

            }

          }

          $pids_products_to_categories_query=tep_db_query("SELECT * FROM products_to_categories",DB_MAIN_LINK);
          while($row=tep_db_fetch_array($pids_products_to_categories_query)){

            if(isset($categories_product[$row['products_id']]) && isset($categories_category[$row['categories_id']])){

              $rec_query=tep_db_query("SELECT * FROM products_to_categories WHERE products_id='".$row['products_id']."' AND categories_id='".$row['categories_id']."' LIMIT 1");
              if(tep_db_num_rows($rec_query)>0) continue;

              tep_db_perform('products_to_categories', array(

                'products_id'=>$row['products_id'],
                'categories_id'=>$row['categories_id']

              ),'insert');

            }

            if(isset($categories_product[$row['products_id']]) && !isset($categories_category[$row['categories_id']])){

              //search for parent category

              tep_db_perform('products_to_categories', array(

                'products_id'=>$row['products_id'],
                'categories_id'=>$row['categories_id']

              ),'insert');


            }



          }

        }

        tep_db_query("update stores_notify set stores_notify_categories_selected='".$cats."',  stores_notify_products_selected='".$pids."' where stores_id='".STORE_ID."' and stores_notify_id='".$sID."' ", DB_MAIN_LINK);

        tep_db_close(DB_MAIN_LINK);

        $messageStack->add_session(STORES_NOTIFY_SUCCESS,'success');
        tep_redirect(tep_href_link(FILENAME_STORES_NOTIFY, (isset($HTTP_GET_VARS['page']) ? 'page=' . $HTTP_GET_VARS['page'] . '&' : '')));
      break;

    }
  }

  require(DIR_WS_INCLUDES . 'template_top.php');
?>

<table border="0" width="100%" cellspacing="0" cellpadding="0" class="spacerBottom20">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right">
            <a href="<?php echo tep_href_link(FILENAME_STORES_NOTIFY,tep_get_all_get_params(array('q')).'q=1'); ?>" class="btn btn-default btn-sm btn hidden <?php echo $q==1?'active':''; ?>"><?php echo STORES_NOTIFY_NOTIFICATIONS_QUANTITY_CHECK; ?></a>
            <a href="<?php echo tep_href_link(FILENAME_STORES_NOTIFY); ?>" class="btn btn-default btn-sm btn hidden <?php echo $q==0?'active':''; ?>"><?php echo STORES_NOTIFY_NOTIFICATIONS; ?></a>
            </td>
          </tr>
        </table>
<?php if ($sID>0) { ?>
<div class="col-xs-12 col-md-9">
<?php }else{ ?>
<div class="col-xs-12 col-md-12">
<?php } ?>
            <table class="table table-striped table-hover table-bordered"><thead>
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_DIESI; ?></td>
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_STORES_TEXT; ?></td>
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_STORES_VIEWED; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_DATE; ?>&nbsp;</td>
              </tr></thead>
<?php

  //get my notifications from gloria

  $store_db_access=false;
  if(@tep_db_connect(DB_MAIN_SERVER,DB_MAIN_SERVER_USERNAME, DB_MAIN_SERVER_PASSWORD, DB_MAIN_DATABASE, DB_MAIN_LINK)) $store_db_access=true;

  if($store_db_access){

  $type=$q==1?'quantity_check':'default';

  $stores_query_raw = "select * from stores s, stores_notify sn where s.stores_id=sn.stores_id and sn.stores_id='".STORE_ID."' and sn.stores_notify_type='".$type."' order by stores_date_added desc";
  $stores_split = new splitPageResults($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $stores_query_raw, $stores_query_numrows, DB_MAIN_LINK);
  $stores_query = tep_db_query($stores_query_raw, DB_MAIN_LINK);

  $cnt=0;
  while ($stores = tep_db_fetch_array($stores_query)) {

    if ($stores['stores_notify_id'] == $sID) {
      echo '              <tr id="defaultSelected" class="dataTableRowSelected '.($stores['stores_notify_viewed']=='1'?'success':'danger').'" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_STORES_NOTIFY, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $stores['stores_notify_id'].'&q='.$q) . '\'">' . "\n";
    } else {
      echo '              <tr class="dataTableRow '.($stores['stores_status']=='0'?'danger':'').'" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_STORES_NOTIFY, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $stores['stores_notify_id'].'&q='.$q) . '\'">' . "\n";
    }
?>
                <td class="dataTableContent"><?php echo ++$cnt; ?></td>
                <td class="dataTableContent"><?php echo $stores['stores_notify_text']; ?></td>
                <td class="dataTableContent"><?php echo $stores['stores_notify_viewed']=='1' ? '<span class="glyphicon glyphicon-ok text-success"></span>' : '<span class="glyphicon glyphicon-remove text-danger"></span>'; ?></td>
                <td class="dataTableContent" align="right"><?php echo $stores['stores_notify_added']; ?></td>
              </tr>
<?php } ?>
              <tr>
                <td colspan="5"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $stores_split->display_count($stores_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $HTTP_GET_VARS['page'], TEXT_DISPLAY_NUMBER_OF_STORES); ?></td>
                    <td class="smallText" align="right"><?php echo $stores_split->display_links($stores_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $HTTP_GET_VARS['page']); ?></td>
                  </tr>
                </table></td>
              </tr>
<?php tep_db_close(DB_MAIN_LINK); } ?>
            </table>
</div>
<?php
  $heading = array();
  $contents = array();

  if($action=='new' || $action=='edit_categories_products'){

    $selected_products=unserialize($mInfo->stores_products);
    $selected_categories=unserialize($mInfo->stores_categories);

    $categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id='" . (int)$languages_id ."' order by sort_order, cd.categories_name");

    $items = array();

    while ($categories = tep_db_fetch_array($categories_query)) {
        $items[$categories['categories_id']] = array('name' => $categories['categories_name'], 'parent_id' => $categories['parent_id'], 'id' => $categories['categories_id']);
    }

     //GET ALL PRODUCTS
    $products_query = tep_db_query("select ptc.categories_id, p.products_id, p.products_model, pd.products_name
    FROM " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, ". TABLE_PRODUCTS_TO_CATEGORIES ." ptc
    WHERE p.products_id = pd.products_id AND ptc.products_id = pd.products_id AND ptc.products_id = p.products_id AND pd.language_id='".(int)$languages_id."' order by pd.products_id ");

    $products = array();

    while ($products_row = tep_db_fetch_array($products_query)) {
      $products[$products_row['categories_id']][] = $products_row;
    }

  }

  switch ($action) {
    default:
      if ($sID>0) {

  $store_db_access=false;
  if(@tep_db_connect(DB_MAIN_SERVER,DB_MAIN_SERVER_USERNAME, DB_MAIN_SERVER_PASSWORD, DB_MAIN_DATABASE, DB_MAIN_LINK)) $store_db_access=true;

  if($store_db_access){

        $stores_query_raw = "select * from stores s, stores_notify sn where s.stores_id=sn.stores_id and stores_notify_id='".$sID."' limit 1";
        $selected_store=tep_db_fetch_array(tep_db_query($stores_query_raw,DB_MAIN_LINK));

        $heading[] = array('text' => '<strong>' . $selected_store['stores_name'] . '</strong>');
        if(tep_not_null($selected_store['stores_notify_text'])) $contents[] = array('text' => '<strong>' . $selected_store['stores_notify_text'] . '</strong>');

        $selected_products=unserialize($selected_store['stores_notify_products']);
        $selected_categories=unserialize($selected_store['stores_notify_categories']);

        $selected_products_selected=unserialize($selected_store['stores_notify_products_selected']);
        $selected_categories_selected=unserialize($selected_store['stores_notify_categories_selected']);

        //$contents[] = array('text' => '<strong>' . STORES_NOTIFY_CATEGORIES_PROPOSED . '</strong> '.count($selected_categories));
        //$contents[] = array('text' => '<strong>' . STORES_NOTIFY_CATEGORIES_ADDED . '</strong> '.count($selected_categories_selected));

        //$contents[] = array('text' => '<strong>' . STORES_NOTIFY_PRODUCTS_PROPOSED . '</strong> '.count($selected_products));
        //$contents[] = array('text' => '<strong>' . STORES_NOTIFY_PRODUCTS_ADDED . '</strong> '.count($selected_products_selected));

        if($q){


        $categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id='" . (int)$languages_id ."' order by sort_order, cd.categories_name",DB_MAIN_LINK);
        $items = array();
        while ($categories = tep_db_fetch_array($categories_query)) $items[$categories['categories_id']] = array('name' => $categories['categories_name'], 'parent_id' => $categories['parent_id'], 'id' => $categories['categories_id']);

        $categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id='" . (int)$languages_id ."' order by sort_order, cd.categories_name");
        $categories_here = array();
        while ($categories = tep_db_fetch_array($categories_query)) $categories_here[$categories['categories_id']] = array('name' => $categories['categories_name'], 'parent_id' => $categories['parent_id'], 'id' => $categories['categories_id']);

         //GET ALL GLORIA PRODUCTS
        $products_query = tep_db_query("select ptc.categories_id, p.products_id, p.products_model, pd.products_name
        FROM " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, ". TABLE_PRODUCTS_TO_CATEGORIES ." ptc
        WHERE p.products_id = pd.products_id AND ptc.products_id = pd.products_id AND ptc.products_id = p.products_id AND pd.language_id='".(int)$languages_id."' order by pd.products_id ",DB_MAIN_LINK);
        $products = array();
        while ($products_row = tep_db_fetch_array($products_query)) $products[$products_row['categories_id']][] = $products_row;

        //GET ALL PRODUCTS
        $products_query = tep_db_query("select ptc.categories_id, p.products_id, p.products_model, pd.products_name
        FROM " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, ". TABLE_PRODUCTS_TO_CATEGORIES ." ptc
        WHERE p.products_id = pd.products_id AND ptc.products_id = pd.products_id AND ptc.products_id = p.products_id AND pd.language_id='".(int)$languages_id."' order by pd.products_id ");
        $products_here = array();
        while ($products_row = tep_db_fetch_array($products_query)) $products_here[$products_row['products_id']][] = $products_row;

        $pg=isset($_GET['page']) ? '&page=' . $_GET['page'] : '';
        $contents = array('form' => tep_draw_form('stores', FILENAME_STORES_NOTIFY, 'action=update_quantities&sID='.$sID.$pg.'&q='.$q, 'post', ''));
        $contents[] = array('text' => '<br />' . TEXT_STORES_NOTIFY_CATEGORIES_PRODUCTS_ASSIGNED . '<br />' . tep_draw_tree_with_checkboxes($categories_here,$products,$selected_categories,$selected_products,$categories_here,array()));

        $contents[] = array('text' => '<hr><label><input type="checkbox" name="zero_quantities">'.STORES_NOTIFY_MAKE_ZERO_QUANTITY_ON_SELECTED_PRODUCTS.'</label><br /><label><input type="checkbox" name="inactive_products">'.STORES_NOTIFY_MAKE_SELECTED_PRODUCTS_INACTIVE.'</label><br /><input type="submit" class="btn btn-success" value="'.STORES_NOTIFY_SUBMIT_ZEROFY_QUANTITIES.'">&nbsp;<a class="btn btn-danger" href="'.tep_href_link(FILENAME_STORES_NOTIFY).'">'.STORES_NOTIFY_CANCEL.'</a>');

        }else{


        $categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id='" . (int)$languages_id ."' order by sort_order, cd.categories_name",DB_MAIN_LINK);
        $items = array();
        while ($categories = tep_db_fetch_array($categories_query)) $items[$categories['categories_id']] = array('name' => $categories['categories_name'], 'parent_id' => $categories['parent_id'], 'id' => $categories['categories_id']);

        $categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id='" . (int)$languages_id ."' order by sort_order, cd.categories_name");
        $categories_here = array();
        while ($categories = tep_db_fetch_array($categories_query)) $categories_here[$categories['categories_id']] = array('name' => $categories['categories_name'], 'parent_id' => $categories['parent_id'], 'id' => $categories['categories_id']);

         //GET ALL GLORIA PRODUCTS
        $products_query = tep_db_query("select ptc.categories_id, p.products_id, p.products_model, pd.products_name
        FROM " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, ". TABLE_PRODUCTS_TO_CATEGORIES ." ptc
        WHERE p.products_id = pd.products_id AND ptc.products_id = pd.products_id AND ptc.products_id = p.products_id AND pd.language_id='".(int)$languages_id."' order by pd.products_id ",DB_MAIN_LINK);
        $products = array();
        while ($products_row = tep_db_fetch_array($products_query)) $products[$products_row['categories_id']][] = $products_row;

        //GET ALL PRODUCTS
        $products_query = tep_db_query("select ptc.categories_id, p.products_id, p.products_model, pd.products_name
        FROM " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, ". TABLE_PRODUCTS_TO_CATEGORIES ." ptc
        WHERE p.products_id = pd.products_id AND ptc.products_id = pd.products_id AND ptc.products_id = p.products_id AND pd.language_id='".(int)$languages_id."' order by pd.products_id ");
        $products_here = array();
        while ($products_row = tep_db_fetch_array($products_query)) $products_here[$products_row['products_id']][] = $products_row;

        $pg=isset($_GET['page']) ? '&page=' . $_GET['page'] : '';
        $contents = array('form' => tep_draw_form('stores', FILENAME_STORES_NOTIFY, 'action=insert&sID='.$sID.$pg, 'post', ''));
        $contents[] = array('text' => '<br />' . TEXT_STORES_NOTIFY_CATEGORIES_PRODUCTS_ASSIGNED . '<br />' . tep_draw_tree_with_checkboxes($items,$products,$selected_categories,$selected_products,$categories_here,$products_here));

        $contents[] = array('text' => '<br /><input type="submit" class="btn btn-success" value="'.STORES_NOTIFY_SUBMIT.'">&nbsp;<a class="btn btn-danger" href="'.tep_href_link(FILENAME_STORES_NOTIFY).'">'.STORES_NOTIFY_CANCEL.'</a>');

        }

        $contents[] = array('text' => '<br />' . TEXT_DATE_ADDED . ' ' . tep_date_short($selected_store['stores_notify_added']));

        tep_db_close(DB_MAIN_LINK);

        }
      }
      break;
  }

  if ( (tep_not_null($heading)) && (tep_not_null($contents))  && $sID>0) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
?>

<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
