<?php
  if ($messageStack->size('header') > 0) {
    echo '<div class="col-md-12">' . $messageStack->output('header') . '</div>';
  }
?>

<header class="navbar">

<?php if( is_file('images/'.STORE_LOGO) ){ ?>

  <a class="logo" href="<?php echo tep_href_link(FILENAME_DEFAULT); ?>" title="<?php echo strtolower(STORE_NAME); ?>">
    <?php echo '<img class="img-responsive center-block" src="images/'.STORE_LOGO.'" alt="'.STORE_NAME.'">'; ?>
  </a>

<?php } else { ?>

  <a class="logo" href="<?php echo tep_href_link(FILENAME_DEFAULT); ?>" title="<?php echo strtolower(STORE_NAME); ?>">
    <?php echo '<img class="img-responsive center-block" src="data:image/gif;base64,R0lGODlhAQABAIAAAAAAAP///yH5BAEAAAAALAAAAAABAAEAAAIBRAA7" alt="'.STORE_NAME.'">'; ?>
  </a>

<?php } ?>

      <nav id="topMenuButtons"  class="topMenuButtons-item-wrapper <?php echo $store_is_active ? '' : 'hidden'; ?>">

        <button type="button" class="navbar-toggle visible-xs topMenuButtons-item" data-rel="tooltip" data-placement="bottom" title="" data-original-title="Μενού" data-target="#navbar-collapse" data-toggle="collapse"><i class="fa fa-bars fa-3x"></i></button>

<?php if (STORE_ONLY_CATALOG == 'False') { ?>

<?php
    if (tep_session_is_registered('customer_id')) {
?>

                <a href="<?=tep_href_link("logoff.php")?>" class="topMenuButtons-item" data-rel="tooltip" data-placement="bottom" title="" data-original-title="Εξοδος&nbsp;Χρήστη"><i class="fa fa-sign-out fa-3x"></i></a>
                <a href="<?=tep_href_link("account.php")?>" class="topMenuButtons-item" data-rel="tooltip" data-placement="bottom" title="" data-original-title="Ρυθμίσεις Λογαριασμού"><i class="fa fa-user fa-3x"></i></a>

<?php
    }else{
?>

<?php if ( $display_prices_for_all ) { ?>

                <a href="<?=tep_href_link("create_account.php")?>" class="topMenuButtons-item" data-rel="tooltip" data-placement="bottom" title="" data-original-title="Εγγραφή&nbsp;Χρήστη"><i class="fa fa-user-plus fa-3x"></i></a>

<?php } ?>

                <a href="<?=tep_href_link("login.php")?>" class="topMenuButtons-item" rel="tooltip" data-placement="bottom" title="" data-original-title="Είσοδος&nbsp;Χρήστη"><i class="fa fa-sign-in fa-3x"></i></a>
<?php
    }
?>

<?php if ( $display_prices_for_all ) { ?>

            <a href="<?php echo tep_href_link("shopping_cart.php"); ?>" class="topMenuButtons-item"  data-rel="tooltip" data-placement="bottom" title="" data-original-title="Καλάθι&nbsp;Αγορών">
                <span class="fa-stack fa-badge-stack fa-3x">
                    <i class="fa fa-shopping-cart fa-stack-3x"></i>
                  <i class="fa-badge fa-badge-bottom-circle fa-inverse"><?php echo $cart->count_contents(); ?></i>
                </span>
            </a>

<?php } ?>

<?php } ?>

            <a class="topMenuButtons-item" id="searchOpenButton" data-rel="tooltip" data-placement="bottom" title="" data-original-title="Αναζήτηση">
                <i class="fa fa-search fa-3x"></i>
            </a>

<?php echo tep_draw_form('quick_find', tep_href_link('advanced_search_result.php', '', $request_type, false), 'get', ' id="searchpanel" class="form-horizontal0"'); ?>
                <input id="searchBox" name="keywords" maxlength="20" class="form form-control form-control-inline" type="text" size="20" placeholder="Αναζήτηση" required>
                <input type="submit" value="Αναζήτηση" class="btn btn-success hidden" onclick="this.form.keyword.focus();">
            </form>
<script>
  $(function() {
    var cache = {};
    $( "#searchBox" ).autocomplete({
      minLength: 2,
      source: function( request, response ) {
        var term = request.term;
        if ( term in cache ) {
          response( cache[ term ] );
          return;
        }

        $.getJSON( "fetch/products.php", request, function( data, status, xhr ) {
          cache[ term ] = data;
          response( data );
        });
      },
        appendTo: "#search_results",
      select: function( event, ui ) {
        window.location='product_info.php?products_id='+ui.item.id;
      },
      open: function() {
        var position = $("#searchBox").position(),
            left = $("#searchBox").offset().left, top = position.top, width= $("#searchBox").width(), acwidth= $("ul.ui-autocomplete").width();

        if( $(window).width() <= 1024 ){

          $("ul.ui-autocomplete").hide().css({width: "100%",'left' : '0px' }).show();

        } else {

          $("ul.ui-autocomplete").hide().css({left: left+"px" }).show();

        }

      }

    });
  });
</script>

      </nav>

</header>
<?php

    $OSCOM_CategoryTree = new category_tree();
    $OSCOM_CategoryTree->setCategoryPath($cPath, '<strong>', '</strong>');
    $OSCOM_CategoryTree->setSpacerString('&nbsp;&nbsp;', 1);

    $category_tree = '<li><a href="'.tep_href_link(FILENAME_DEFAULT).'">'.HEADER_TITLE_TOP.'</a></li>';
    $category_tree .= $OSCOM_CategoryTree->getTree();

    $category_tree = '<div class="visible-xs collapse navbar-collapse" id="navbar-collapse" role="navigation"><ul class="nav navbar-nav nav-stacked">'.$category_tree.'</ul><div class="clearfix"></div></div>';

    echo $category_tree;
