<?php

  $listing_split = new splitPageResults($listing_sql, MAX_DISPLAY_SEARCH_RESULTS, 'p.products_id');
?>

<?php
  if ($messageStack->size('product_action') > 0) {
    echo $messageStack->output('product_action');
  }
?>

  <div class="contentText">

<?php
  if ( ($listing_split->number_of_rows > 0) && ( (PREV_NEXT_BAR_LOCATION == '1') || (PREV_NEXT_BAR_LOCATION == '3') ) ) {
?>
<div class="well well-sm  pagenav">
    <div class="clearfix"></div>
  <div class="pagenumber pull-left hidden-xs">
    <?php echo $listing_split->display_count(TEXT_DISPLAY_NUMBER_OF_PRODUCTS); ?>
  </div>
    <div class="pull-right"><ul class="pagination"><?php echo $listing_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y'))); ?></ul></div>
    <span class="pull-right"><?php echo TEXT_RESULT_PAGE; ?> &nbsp;</span>
    <div class="clearfix"></div>
</div>
<?php
  }

  if ($listing_split->number_of_rows > 0) { ?>
    <div class="well well-sm">
      <div class="btn-group btn-group-sm pull-right">
        <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown">
          <?php echo TEXT_SORT_BY; ?><span class="caret"></span>
        </button>

        <ul class="dropdown-menu text-left">
          <?php
          $lc_show_model = false;
          $lc_show_manu = false;
          $lc_show_qty = false;
          $lc_show_lbs = false;
          for ($col=0, $n=sizeof($column_list); $col<$n; $col++) {
            switch ($column_list[$col]) {
              case 'PRODUCT_LIST_MODEL':
              $lc_text = TABLE_HEADING_MODEL;
              $lc_show_model = true;
              break;
              case 'PRODUCT_LIST_NAME':
              $lc_text = TABLE_HEADING_PRODUCTS;
              break;
              case 'PRODUCT_LIST_MANUFACTURER':
              $lc_text = TABLE_HEADING_MANUFACTURER;
              $lc_show_manu = true;
              break;
              case 'PRODUCT_LIST_PRICE':
              $lc_text = TABLE_HEADING_PRICE;
              break;
              case 'PRODUCT_LIST_QUANTITY':
              $lc_text = TABLE_HEADING_QUANTITY;
              $lc_show_qty = true;
              break;
              case 'PRODUCT_LIST_WEIGHT':
              $lc_text = TABLE_HEADING_WEIGHT;
              $lc_show_lbs = true;
              break;
              case 'PRODUCT_LIST_IMAGE':
              $lc_text = TABLE_HEADING_IMAGE;
              break;
              case 'PRODUCT_LIST_BUY_NOW':
              $lc_text = TABLE_HEADING_BUY_NOW;
              break;
              case 'PRODUCT_LIST_ID':
              $lc_text = TABLE_HEADING_LATEST_ADDED;
              break;
            }

            if ( ($column_list[$col] != 'PRODUCT_LIST_BUY_NOW') && ($column_list[$col] != 'PRODUCT_LIST_IMAGE') ) {
              $lc_text = tep_create_sort_heading($HTTP_GET_VARS['sort'], $col+1, $lc_text);
              echo '        <li>' . $lc_text . '</li>';
            }
          }
          ?>
        </ul>
      </div>

    <?php
    if (MODULE_HEADER_TAGS_GRID_LIST_VIEW_STATUS == 'True0') {
      ?>
      <strong><?php echo TEXT_VIEW; ?></strong>
      <div class="btn-group">
        <a href="#" id="list" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-th-list"></span><?php echo TEXT_VIEW_LIST; ?></a>
        <a href="#" id="grid" class="btn btn-default btn-sm"><span class="glyphicon glyphicon-th"></span><?php echo TEXT_VIEW_GRID; ?></a>
      </div>
      <?php
    }
    ?>
    <div class="clearfix"></div>
  </div>

  <?php
  $listing_query = tep_db_query($listing_split->sql_query);

  $prod_list_contents = NULL;

  while ($listing = tep_db_fetch_array($listing_query)) {

    //$thumb_exists = is_url_exist(tep_image_src(DIR_WS_IMAGES. $listing['products_image'],'thumbs'));

    $prod_list_contents .= '<div class="col-sm-6 col-lg-3"><div class="item list-group-item">';
    //if($thumb_exists){
    $prod_list_contents .= '
        <div class="fakos">
          <a href="'.tep_image_src(DIR_WS_IMAGES. $listing['products_image'],'large').'" class="FancyBox" data-fancybox-group="complex"><i class="fa fa-search fa-2x"></i></a>
        </div>
    ';
    //}
    $prod_list_contents .= '  <div class="equal-height">';

    if (isset($_GET['manufacturers_id'])  && tep_not_null($_GET['manufacturers_id'])) {
      $prod_list_contents .= '    <a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'manufacturers_id=' . $_GET['manufacturers_id'] . '&products_id=' . $listing['products_id']) . '">' . tep_image(DIR_WS_IMAGES . $listing['products_image'], $listing['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT, NULL, NULL, 'img-responsive thumbnail group list-group-image') . '</a>';
    } else {



                $prod_list_contents .= '
                              <a href="' . tep_href_link(FILENAME_PRODUCT_INFO, tep_get_all_get_params(array('action')) . 'products_id=' .  $listing['products_id']) . '" class="img-wrapper">
                                 '.tep_image(DIR_WS_IMAGES . $listing['products_image'], $listing['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT, NULL, NULL, 'img-responsive thumbnail group list-group-image') . '
                             </a>
                             ';

    }
    $prod_list_contents .= '    <div class="caption">';
    $prod_list_contents .= '      <h3 class="title ">';
    if (isset($_GET['manufacturers_id']) && tep_not_null($_GET['manufacturers_id'])) {
      $prod_list_contents .= '    <a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'manufacturers_id=' . $_GET['manufacturers_id'] . '&products_id=' . $listing['products_id']) . '">' . $listing['products_name'] . '</a>';
    } else {
      $prod_list_contents .= '    <a href="' . tep_href_link(FILENAME_PRODUCT_INFO, ($cPath ? 'cPath=' . $cPath . '&' : '') . 'products_id=' . $listing['products_id']) . '">' . $listing['products_name'] . '</a>';
    }

    $prod_list_contents .= '      </h3>';

    //$prod_list_contents .= '      <p class="group inner list-group-item-text">' . strip_tags($listing['products_description'], '<br>') . '&hellip;</p><div class="clearfix"></div>';

    // here it goes the extras, yuck
    $extra_list_contents = '';
    // manufacturer
    //if (($lc_show_manu == true) && ($listing['manufacturers_id'] !=  0)) $extra_list_contents .= '<dt>' . TABLE_HEADING_MANUFACTURER . '</dt><dd><a href="' . tep_href_link(FILENAME_DEFAULT, 'manufacturers_id=' . $listing['manufacturers_id']) . '">' . $listing['manufacturers_name'] . '</a></dd>';
    // model
    //if ( ($lc_show_model == true) && tep_not_null($listing['products_model']))
    //$extra_list_contents .= '<dt>' . TABLE_HEADING_MODEL . '</dt><dd>' . $listing['products_model'] . '</dd>';
    // stock
    //if (($lc_show_qty == true) && (tep_get_products_stock($listing['products_id'])!= 0) ) $extra_list_contents .= '<dt>' . TABLE_HEADING_QUANTITY . '</dt><dd>' . tep_get_products_stock($listing['products_id']) . '</dd>';
    // weight
    //if (($lc_show_lbs == true) && ($listing['products_weight'] != 0)) $extra_list_contents .= '<dt>' . TABLE_HEADING_WEIGHT . '</dt><dd>' . $listing['products_weight'] . '</dd>';

    if (tep_not_null($extra_list_contents)) {
       $prod_list_contents .= '    <dl class="dl-horizontal list-group-item-text">';
       $prod_list_contents .=  $extra_list_contents;
       $prod_list_contents .= '    </dl>';
    }

      $prod_list_contents .= '     <div class="row">';

      $price_without_tax_text = PRICE_DISPLAYED_WITH_FPA;

      if( DISPLAY_PRICE_WITH_TAX === 'false' ){

        $price_without_tax_text = PRICE_DISPLAYED_WITHOUT_FPA;

      }

if( $display_prices_for_all ){

    if (tep_not_null($listing['specials_new_products_price'])) {
      $prod_list_contents .= '<span class="price specialprice">' . $currencies->display_price($listing['products_price'], tep_get_tax_rate($listing['products_tax_class_id'])).$price_without_tax_text . '</span>
                                    <del>' .$currencies->display_price($listing['specials_new_products_price'], tep_get_tax_rate($listing['products_tax_class_id']))  . '<del>';
    } else {
      $prod_list_contents .= '
                                <span class="price">' . $currencies->display_price($listing['products_price'], tep_get_tax_rate($listing['products_tax_class_id'])) .$price_without_tax_text. '</span><div class="clearfix"></div>';

    }

}

        $prod_list_contents .= '        <div class="btn-group">';

$provoli_class = '';
if (STORE_ONLY_CATALOG == 'True') {

$provoli_class = 'full-width';

}

if( !$display_prices_for_all ){

$provoli_class = 'full-width';

}


        $prod_list_contents .='          <a href="' . tep_href_link(FILENAME_PRODUCT_INFO, tep_get_all_get_params(array('action')) . 'products_id=' .  $listing['products_id']) . '" class="btn btn-default btn-block '.$provoli_class.'" role="button"><i class="fa  fa-search "></i>' . SMALL_IMAGE_BUTTON_VIEW . '</a>';

if (STORE_ONLY_CATALOG == 'False' && $display_prices_for_all ) {

  if($listing['products_quantity']<=0 || $listing['products_price']<=0 ){

          $prod_list_contents .= '          <a href="' . tep_href_link($PHP_SELF, tep_get_all_get_params(array('action')) . 'action=buy_now&products_id=' . $listing['products_id'].'&q=0') . '" class="btn btn-danger btn-buy-now disabled" role="button"><i class="fa fa-cart-plus "></i>' . SMALL_IMAGE_BUTTON_BUY . '</a>';

  }else{

          $prod_list_contents .= '          <a href="' . tep_href_link($PHP_SELF, tep_get_all_get_params(array('action')) . 'action=buy_now&products_id=' . $listing['products_id'].'&q=1') . '" class="btn btn-success btn-buy-now" role="button"><i class="fa fa-cart-plus "></i>' . SMALL_IMAGE_BUTTON_BUY . '</a>';

  }

}

 $prod_list_contents .= '    </div>';
    $prod_list_contents .= ' <div class="clearfix"></div></div><div class="clearfix"></div>';


      $prod_list_contents .= '    </div>';
    $prod_list_contents .= '  </div>';
    $prod_list_contents .= '</div></div>';

  }

  echo '<div id="products" class="row list-group">' . $prod_list_contents . '</div>';
} else {
?>

  <div class="alert alert-info"><?php echo TEXT_NO_PRODUCTS; ?></div>

<?php
}

if ( ($listing_split->number_of_rows > 0) && ((PREV_NEXT_BAR_LOCATION == '2') || (PREV_NEXT_BAR_LOCATION == '3')) ) {
  ?>
<div class="well well-sm  pagenav">
    <div class="clearfix"></div>
  <div class="pagenumber pull-left hidden-xs">
    <?php echo $listing_split->display_count(TEXT_DISPLAY_NUMBER_OF_PRODUCTS); ?>
  </div>

    <div class="pull-right"><ul class="pagination"><?php echo $listing_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y'))); ?></ul></div>
    <span class="pull-right"><?php echo TEXT_RESULT_PAGE; ?> &nbsp;</span>
    <div class="clearfix"></div>
</div>
  <?php
  }
?>

</div>
