﻿<?php

  $oscTemplate->buildBlocks();

  if (!$oscTemplate->hasBlocks('boxes_column_left')) {
    $oscTemplate->setGridContentWidth($oscTemplate->getGridContentWidth() + $oscTemplate->getGridColumnWidth());
  }

  if (!$oscTemplate->hasBlocks('boxes_column_right')) {
    $oscTemplate->setGridContentWidth($oscTemplate->getGridContentWidth() + $oscTemplate->getGridColumnWidth());
  }
?>
<!DOCTYPE html>
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta charset="<?php echo CHARSET; ?>">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php echo tep_output_string_protected($oscTemplate->getTitle()); ?></title>
<?php if(isset($meta_content['description'])){ ?>
<meta name="description" content="<?php echo $meta_content['description']; ?>">
<?php } ?>

<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">

<link href="//cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.6/css/bootstrap.min.css" rel="stylesheet">
<link href='https://fonts.googleapis.com/css?family=Roboto+Condensed:400,700%7CRoboto:400,700' rel='stylesheet' type='text/css'>
<link href="custom.css" rel="stylesheet">
<link href="ext/cstm/css/style.css" rel="stylesheet">

<!--[if lt IE 9]>
   <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.min.js"></script>
   <script src="//cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.min.js"></script>
   <script src="ext/js/excanvas.min.js"></script>
<![endif]-->

<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/modernizr/2.8.3/modernizr.min.js"></script>

<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/font-awesome/4.5.0/css/font-awesome.min.css">

<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/jquery.fancybox.min.css">
<link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/malihu-custom-scrollbar-plugin/3.1.3/jquery.mCustomScrollbar.min.css">

<link rel="stylesheet" href="ext/cstm/css/jquery-ui.min.css">
<script src="ext/cstm/js/jquery-ui.min.js"></script>

<?php echo $oscTemplate->getBlocks('header_tags'); ?>


<link rel="stylesheet" type="text/css" href="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.css" />
<script src="//cdnjs.cloudflare.com/ajax/libs/cookieconsent2/3.0.3/cookieconsent.min.js"></script>
<script>
window.addEventListener("load", function(){
window.cookieconsent.initialise({
  "palette": {
    "popup": {
      "background": "#252e39"
    },
    "button": {
      "background": "#14a7d0"
    }
  },
  "theme": "edgeless",
  "content": {
    "message": "Στο <?php echo DOMAIN; ?> χρησιμοποιούμε cookies για να διασφαλίσουμε την καλύτερη εμπειρία πλοήγησης",
    "dismiss": "Το κατάλαβα",
    "link": "Μάθε περισσότερα",
    "href": "<?php echo tep_href_link(FILENAME_PAGES,'id=8'); ?>"
  }
})});
</script>


</head>
<body>

<div class="sidebar hidden-xs hidden-sm">
  <div class="sidebar-left">

    <div class="logo-icon">
      <img src="ext/cstm/img/logo-icon.png" class="img-responsive center-block" alt="">
    </div>
<?php if($store_is_active){ ?>
    <nav class="leftMenuButtons-item-wrapper">
<?php if(SOCIAL_LINK_FACEBOOK != '') { ?>
      <a href="<?php echo SOCIAL_LINK_FACEBOOK; ?>" target="_blank" class="leftMenuButtons-item" >
        <i class="fa fa-facebook fa-3x"></i>
      </a>
<?php } ?>
<?php if(SOCIAL_LINK_TWITTER != '') { ?>
      <a href="<?php echo SOCIAL_LINK_TWITTER; ?>" target="_blank" class="leftMenuButtons-item">
        <i class="fa fa-twitter fa-3x"></i>
      </a>
<?php } ?>
<?php if(SOCIAL_LINK_GOOGLE_PLUS != '') { ?>
      <a href="<?php echo SOCIAL_LINK_GOOGLE_PLUS; ?>" target="_blank" class="leftMenuButtons-item">
        <i class="fa fa-google-plus fa-3x"></i>
      </a>
<?php } ?>
    </nav>
<?php } ?>
  </div>
</div>

<div class="header-wrapper">
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
</div>


<div class="mainContent">

  <div id="bodyWrapper" class="container-fluid">
    <div class="row">

<?php
      if ($oscTemplate->hasBlocks('boxes_column_left')) {
?>

        <div class="hidden-xs" id="columnLeft">
          <?php if($store_is_active){ ?>
            <?php echo $oscTemplate->getBlocks('boxes_column_left'); ?>
          <?php } ?>
        </div>

<?php
      }
?>

      <div id="bodyContent">
