<?php

  require_once('includes/application_top.php');

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_DEFAULT);

  //$cid=isset($_GET['cid']) ? tep_db_prepare_input($_GET['cid']) : 0;
  $id=isset($_GET['id']) ? tep_db_prepare_input($_GET['id']) : null;

  if(tep_not_null($id)){

    $page_query = tep_db_query("SELECT id,cpc_id,title,msg,date,featured,pdf,pdf_title FROM custom_pages WHERE status=1 AND id='".$id."' ORDER BY date DESC");
    if(tep_db_num_rows($page_query)>0){

      $page = tep_db_fetch_array($page_query);

      $oscTemplate->setTitle(STORE_NAME.' - '.$page['title']);

      $meta_content['description'] = tep_truncate(strip_tags(stripslashes($page['msg'])));
      //$meta_content['description'] = strip_tags(stripslashes($page['msg']));

      require(DIR_WS_INCLUDES . 'template_top.php');
?>
<div class="page-header">
  <h1><?php echo stripslashes($page['title']); ?></h1>
</div>

<div class="contentContainer">
  <div class="contentText">

    <div class="panel panel-default">
      <div class="panel-body">
    <?php

      echo str_replace(

        array(
        '{DOMAIN}',
        '{BUSINESS_NAME}',
        '{ADDRESS}',
        '{AFM}',
        '{DOY}',
        '{TELEPHONE}',
        '{EMAIL}',
        '{FAX}',
        '{MOBILE}',
        '{BANK_IMAGE_ALPHA_BANK_1}',
        '{BANK_IMAGE_NATIONAL_1}',
        '{BANK_IMAGE_EUROBANK_1}',
        '{BANK_IMAGE_PIRAEUS_1}',

        '{BANK_IMAGE_ACS_1}',
        '{BANK_IMAGE_CREDIT_CARDS_1}',
        '{BANK_IMAGE_GENIKI_1}',
        '{BANK_IMAGE_PAYPAL_1}',
        '{BANK_IMAGE_SKROUTZ_1}',
        ),
        array(
        DOMAIN,
        BUSINESS_NAME,
        STORE_ADDRESS,
        AFM,
        DOY,
        STORE_PHONE,
        STORE_OWNER_EMAIL_ADDRESS,
        FAX,
        MOBILE,
        '<img src="images/banks/alpha-bank.png" alt="alpha-bank">',
        '<img src="images/banks/nbg.png" alt="national bank">',
        '<img src="images/banks/eurobank.png" alt="eurobank">',
        '<img src="images/banks/piraeus.png" alt="piraeus">',

        '<img src="images/general/acs.png" alt="acs">',
        '<img src="images/general/credit_cards_transparent.png" alt="credit cards">',
        '<img src="images/general/geniki.png" alt="geniki">',
        '<img src="images/general/paypal_logo.png" alt="paypal">',
        '<img src="images/general/skroutz_partner.png" alt="skroutz">',

        ),
        stripslashes($page['msg'])
      );

     ?>
      </div>
    </div>

  </div>



  <div class="buttonSet">
    <div class="text-right"><?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'glyphicon glyphicon-chevron-right', tep_href_link(FILENAME_DEFAULT)); ?></div>
  </div>
</div>
<?php

    }else{

      tep_redirect(tep_href_link(FILENAME_DEFAULT));

    }

  }else{

    tep_redirect(tep_href_link(FILENAME_DEFAULT));

  }

  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
