<?php
  chdir('../../');
  require('includes/application_top.php');

  $store_db_access=tep_db_connect(
  DB_MAIN_SERVER,
  DB_MAIN_SERVER_USERNAME,
  DB_MAIN_SERVER_PASSWORD,
  DB_MAIN_DATABASE,
  DB_MAIN_LINK);

  $store_is_active = true;

  if($store_db_access){

    $store_query=tep_db_query("SELECT * FROM stores WHERE stores_id='".STORE_ID."' LIMIT 1",DB_MAIN_LINK);
    $store=tep_db_fetch_array($store_query);
    if(tep_db_num_rows($store_query)<=0){

      tep_db_close(DB_MAIN_LINK);

      echo '<br>Not connected to store in Gloria db';

      die;

    }

    $query = tep_db_query("SELECT products_model FROM products WHERE is_local = 0");
    $products_models_in = array();
    while($row = tep_db_fetch_array($query)){

      //$products_models[] = $row['products_model'];
      $products_models_in[] = "'".$row['products_model']."'";

    }

    if( !(bool)$products_models_in ){

      tep_db_close(DB_MAIN_LINK);

      echo '<br>Not products in store';

      die;

    }

    echo '<br>UPDATE COMPLETED<br>';

    $gloria_products_query = tep_db_query("SELECT * FROM products WHERE products_model IN (".implode(',',$products_models_in).") ",DB_MAIN_LINK);
    $products_ids_in = array();
    $products_ids_to_local_products_ids = array();
    $products_models_to_local_products_ids = array();
    $products_models_in = array();
    echo '<br>UPDATED PRODUCTS: '.tep_db_num_rows($gloria_products_query).'<br><br>';
    $cnt = 0;
    while($row = tep_db_fetch_array($gloria_products_query)){

      $products_ids_in[] = $row['products_id'];

      $products_models_to_local_products_ids[ $row['products_model'] ] = $row['products_id'];

      $products_ids_to_local_products_ids[ $row['products_id'] ] = $row['products_id'];

      $products_models_in[] = "'".$row['products_model']."'";


      $mode = 0;

      if((int)$row['is_special'] === 1){

        if((float)$store['stores_stockhouse_markup']>0){

            $mode = 1;

        }

      }

        //we have stockhouse
        if( $mode === 1 ){

            //add 23% because of the f system
            $oprice = (float)$row['products_price_stockhouse'] + (((float)$row['products_price_stockhouse'] * 23)/100);

            $products_price = $oprice + (($oprice * (float)$store['stores_stockhouse_markup']) / 100);

            $products_price = $products_price / 1.24;

        } else {

            //add 23% because of the f system
            $oprice = (float)$row['products_price'] + (((float)$row['products_price'] * 23)/100);

            if((float)$store['stores_prices_discount']>0){

              $products_price=$oprice-(($oprice*(float)$store['stores_prices_discount'])/100);

            }else $products_price=$oprice;

            $products_price = $products_price / 1.24;

            //if((float)$store['stores_profit_threshold']>0){

              //$products_price=$products_price+(($products_price*(float)$store['stores_profit_threshold'])/100);

            //}

        }


      /*$root_price = $row['products_price'];

      if( (int)$row['is_special'] === 1 ){

        $root_price = $row['products_price_stockhouse'];

      }

      //add 23% because of the f system
      $oprice = (float)$root_price + (((float)$root_price * 23)/100);

      if((float)$store['stores_prices_discount']>0){

        $products_price=$oprice-(($oprice*(float)$store['stores_prices_discount'])/100);

      }else $products_price=$oprice;

      $products_price = $products_price / 1.24;

      //if((float)$store['stores_profit_threshold']>0){

      //  $products_price=$products_price+(($products_price*(float)$store['stores_profit_threshold'])/100);

      //}*/

      if( $row['inactive_for_eshop'] == '1' ) $product_status = 0;
      else $product_status = $row['products_status'];

      tep_db_perform(TABLE_PRODUCTS,array(
        'products_quantity' => $row['products_quantity'],
        'products_image' => $row['products_image'],
        'products_date_available' => $row['products_date_available'],
        'products_price' => $products_price,
        'products_status' => $product_status,
        ),'update', "products_model = '".$row['products_model']."'"
      );

      echo ++$cnt.' UPDATE PRODUCT :: Model: '.$row['products_model'].'&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;Quantity: '.$row['products_quantity'].'&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;Price: '.$products_price.'&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;Status: '.$product_status.'<br>';

    }

    $gpids_to_lpids = array();
    $lpids_to_gpids = array();

    if( (bool)$products_ids_to_local_products_ids ){

        $local_products_id_query = tep_db_query("SELECT products_id, products_model FROM products WHERE products_model IN (".implode(',',$products_models_in).") ");

        while($row = tep_db_fetch_array($local_products_id_query)){

            if( isset( $products_models_to_local_products_ids[ $row['products_model'] ] ) ){

                $tmp = $products_models_to_local_products_ids[ $row['products_model'] ];

                $gpids_to_lpids[ $tmp ] = $row['products_id'];
                $lpids_to_gpids[ $row['products_id'] ] = $tmp;

                //$products_models_to_local_products_ids[ $row['products_model'] ] = [ 'gpid' => $tmp , 'lpid' => $row['products_id'] ];

            }


        }

    }

    //var_dump( $products_models_to_local_products_ids );

    //die;

    if( (bool)$products_ids_in ){

      $gloria_products_docs_query = tep_db_query("SELECT products_id, products_docs_title, products_docs_link, products_docs_status, products_docs_date FROM products_docs WHERE products_id IN (".implode(',',$products_ids_in).") ",DB_MAIN_LINK);


        $pids_to_delete = [];

        while($row = tep_db_fetch_array($gloria_products_docs_query)){

            if( isset( $gpids_to_lpids[ $row['products_id'] ] ) ){

                //$pids_to_delete[] = $gpids_to_lpids[ $row['products_id'] ];

                tep_db_query("DELETE FROM products_docs WHERE products_id = ".$gpids_to_lpids[ $row['products_id'] ]." ");

                tep_db_perform('products_docs',array(
                  'products_id' => $gpids_to_lpids[$row['products_id']],
                  'products_docs_title' => $row['products_docs_title'],
                  'products_docs_link' => $row['products_docs_link'],
                  'products_docs_status' => $row['products_docs_status'],
                  )
                );

                echo '<br>UPDATE PRODUCTS DOCS :: Title: '.$row['products_docs_title'].' | Status: '.$row['products_docs_status'];

            }

        }

      //tep_db_query("DELETE FROM products_docs WHERE products_id IN (".implode(',',$pids_to_delete).") ");

      echo '<br>';

      $gloria_products_description_query = tep_db_query("SELECT products_id, products_name, products_description, products_attributes, products_alias FROM products_description WHERE products_id IN (".implode(',',$products_ids_in).") ",DB_MAIN_LINK);

      while($row = tep_db_fetch_array($gloria_products_description_query)){

        tep_db_perform(TABLE_PRODUCTS_DESCRIPTION,array(
          'products_name' => $row['products_name'],
          'products_description' => $row['products_description'],
          'products_attributes' => $row['products_attributes'],
          'products_alias' => $row['products_alias'],
          ),'update', "products_id = '".$gpids_to_lpids[$row['products_id']]."' AND language_id = 2"
        );

        //echo '<br>UPDATE PRODUCTS DESCRIPTION:: Name: '.$row['products_name'];

      }

      echo '<br>';



      $local_categories_query = tep_db_query("SELECT categories_id, categories_uid FROM categories");
      $local_cuid_to_cid = [];
      while($row = tep_db_fetch_array($local_categories_query)){
            $local_cuid_to_cid[ $row['categories_uid'] ] = $row['categories_id'];
      }


      $gloria_categories_query = tep_db_query("SELECT categories_id, categories_uid FROM categories",DB_MAIN_LINK);
      $gloria_cid_to_cuid = [];
      while($row = tep_db_fetch_array($gloria_categories_query)){
            $gloria_cid_to_cuid[ $row['categories_id'] ] = $row['categories_uid'];
      }


      $del_pids = array();

      foreach( $products_ids_in as $value ){

            if( isset( $gpids_to_lpids[ $value ] ) ){

                $del_pids[] = (int)$gpids_to_lpids[ $value ];

            }

      }

      if( (bool)$del_pids ){

        tep_db_query("DELETE FROM ".TABLE_PRODUCTS_TO_CATEGORIES." WHERE products_id IN (".implode(',',$del_pids).") ");

      }

      $gloria_products_to_categories_query = tep_db_query("SELECT products_id, categories_id FROM products_to_categories WHERE products_id IN (".implode(',',$products_ids_in).") ",DB_MAIN_LINK);

      while($row = tep_db_fetch_array($gloria_products_to_categories_query)){

          if( isset( $gloria_cid_to_cuid[$row['categories_id']] ) && $gpids_to_lpids[$row['products_id']] ){

              $gloria_category_uid = $gloria_cid_to_cuid[$row['categories_id']];

              if( isset( $local_cuid_to_cid[ $gloria_category_uid ] ) ){

                tep_db_perform(
                  TABLE_PRODUCTS_TO_CATEGORIES,
                  array(
                    'categories_id' => $local_cuid_to_cid[ $gloria_category_uid ],
                    'products_id' => $gpids_to_lpids[$row['products_id']],

                  ),'insert'
                );

            }

            echo '<br>UPDATE PRODUCT TO CATEGORY :: '.$gpids_to_lpids[$row['products_id']].' => '.$row['categories_id'];

        }

      }

    }

    //CATEGORIES CHECK
    $query = tep_db_query("SELECT categories_uid FROM categories WHERE is_local = 0");
    $categories_in = array();
    while($row = tep_db_fetch_array($query)){

      $categories_in[] = "'".$row['categories_uid']."'";

    }

    if( !(bool)$categories_in ){

      tep_db_close(DB_MAIN_LINK);

      echo '<br>Not categories in store';

      die;

    }

    $gloria_categories_query = tep_db_query("SELECT * FROM categories WHERE categories_uid IN (".implode(',',$categories_in).") ",DB_MAIN_LINK);
    $categories_ids_in = array();
    echo '<br>';
    while($row = tep_db_fetch_array($gloria_categories_query)){

        tep_db_perform(TABLE_CATEGORIES,array(
          'last_modified' => $row['last_modified'],
          'categories_status' => $row['categories_status'],
          'sort_order' => $row['sort_order'],
          ),'update', "categories_uid = '".$row['categories_uid']."'"
        );

        echo '<br>UPDATE CATEGORY :: '.$row['categories_id'].', LAST MODIFIED: ( '.$row['last_modified'].'  )';

    }



  }else{

    tep_db_close(DB_MAIN_LINK);
    echo 'Could not connect to Gloria db!';
    die;

  }

  tep_db_close(DB_MAIN_LINK);

  exit;
