<?php
  chdir('../../');
  require('includes/application_top.php');

  $store_db_access=tep_db_connect(
  DB_MAIN_SERVER,
  DB_MAIN_SERVER_USERNAME,
  DB_MAIN_SERVER_PASSWORD,
  DB_MAIN_DATABASE,
  DB_MAIN_LINK);

  $store_is_active = true;

  $welcomestores_refid = '297';//REQUIRED //branch ref id
  //$welcomestores_date = date("Ymd H:i:s", strtotime(date("Y-m-d", time()) . " - 1 year")); // 1 year back from present date
  $welcomestores_date = date("Ymd H:i:s", strtotime(date("Y-m-d", time()) . " - 1 month")); // 1 year back from present date

  if($store_db_access){

    $store_query=tep_db_query("SELECT * FROM stores WHERE stores_id='".STORE_ID."' LIMIT 1",DB_MAIN_LINK);
    $store=tep_db_fetch_array($store_query);
    if(tep_db_num_rows($store_query)<=0){

      tep_db_close(DB_MAIN_LINK);

      echo '>>COULD NOT CONNECT TO STORE IN Gloria db<br>';

      die;

    }

    $query = tep_db_query("SELECT products_model, products_price, products_quantity FROM products WHERE is_local = 1 AND is_welcomestores = 1");
    $products_models = array();
    $products_models_in = array();
    while($row = tep_db_fetch_array($query)){

      $products_models[ $row['products_model'] ] = $row;
      $products_models_in[] = "'".$row['products_model']."'";

    }

    if( !(bool)$products_models_in ){

      tep_db_close(DB_MAIN_LINK);

      echo '>>THERE ARE NO WELCOMESTORES PRODUCTS IN DB<br>';

      die;

    }

    echo '>>UPDATE START<br>';

      $store_query = tep_db_query("SELECT stores_id, customers_code, stores_welcomestores_username, stores_welcomestores_password, stores_welcomestores_appid FROM stores WHERE stores_id = '".STORE_ID."' LIMIT 1",DB_MAIN_LINK);

      $store = tep_db_fetch_array($store_query);

      $welcomestores = [];

      if( isset($store['stores_welcomestores_username']) && tep_not_null($store['stores_welcomestores_username']) && isset($store['stores_welcomestores_password']) && tep_not_null($store['stores_welcomestores_password']) && isset($store['stores_welcomestores_appid']) && tep_not_null($store['stores_welcomestores_appid']) ){

        $welcomestores = [

          'username' => $store['stores_welcomestores_username'],
          'password' => $store['stores_welcomestores_password'],
          'appid' => $store['stores_welcomestores_appid'],

        ];

      }

      if( (bool)$welcomestores ){


        echo '>>&nbsp;LOGIN TO WELCOMESTORES<br>';

        $post = [
            'service' => 'login',
            'username' => $welcomestores['username'],
            'password' => $welcomestores['password'],
            'appId'   => $welcomestores['appid'],
        ];

        $ch = curl_init('http://welcomestores.oncloud.gr/s1services');
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($post));
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('Accept: application/json'));
        curl_setopt($ch, CURLOPT_ENCODING ,"windows-1253");
        curl_setopt($ch, CURLOPT_HTTPHEADER, array('application/json; charset=windows-1253'));

        $response = curl_exec($ch);

        // close the connection, release resources used
        curl_close($ch);

        $result = iconv('windows-1253','utf-8',$response);

        $success = false;

        if( tep_not_null($result) ){

          $jsonObj = json_decode($result, true);

          if ($jsonObj === null && json_last_error() !== JSON_ERROR_NONE) {

          } else {

            if( isset( $jsonObj['success'] ) ){

              $success = true;

            }

          }

        } else {

        }

        //var_dump($jsonObj); die;

        if( !$success ){

          echo '>>&nbsp;COULD NOT CONNECT TO WELCOMESTORES :: PRODUCTS UPDATE ABORTED<br>';

          die;

        } else {

          $welcomestores_response = $jsonObj;

          $authentication_data =  null;

          foreach( $welcomestores_response['objs'] as $value ){

            if( $value['REFID'] === $welcomestores_refid ){

              $authentication_data = $value;

            }

          }

          if( !tep_not_null($authentication_data) ){

            tep_db_close(DB_MAIN_LINK);

            echo '>>&nbsp;COULD NOT AUTHENTICATE WITH REFID ('.$welcomestores_refid.') TO WELCOMESTORES :: PRODUCTS UPDATE ABORTED<br>';

            die;

          }

          echo '>>&nbsp;AUTHENTICATE TO WELCOMESTORES WITH REFID: <strong>'.$welcomestores_refid.'</strong><br>';

          $post = [
              'service' => 'authenticate',
              'clientID' => $welcomestores_response['clientID'],
              'COMPANY' => $authentication_data['COMPANY'],
              'BRANCH' => $authentication_data['BRANCH'],
              'MODULE' => $authentication_data['MODULE'],
              'REFID' => $authentication_data['REFID'],

          ];

          $ch = curl_init('http://welcomestores.oncloud.gr/s1services');
          curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
          curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($post));
          curl_setopt($ch, CURLOPT_HTTPHEADER, array('Accept: application/json'));
          curl_setopt($ch, CURLOPT_ENCODING ,"windows-1253");
          curl_setopt($ch, CURLOPT_HTTPHEADER, array('application/json; charset=windows-1253'));

          $response = curl_exec($ch);

          curl_close($ch);

          $result = iconv('windows-1253','utf-8',$response);

          $success = false;

          if( tep_not_null($result) ){

            $jsonObj = json_decode($result, true);

            if ($jsonObj === null && json_last_error() !== JSON_ERROR_NONE) {

            } else {

              if( isset( $jsonObj['success'] ) ){

                $success = true;

              }

            }

          } else {

          }

          if( !$success ){

            tep_db_close(DB_MAIN_LINK);

            echo '>>&nbsp;AUTHENTICATION FAILED:: PRODUCTS UPDATE ABORTED<br>';

            die;

          } else {

            $welcomestores_data_from_authentication = $jsonObj;

            //var_dump($welcomestores_data_from_authentication); die;

            //get products from welcomestores

            echo '>>&nbsp;GETTING PRODUCTS FROM WELCOMESTORES FROM '.$welcomestores_date.' TO PRESENT<br>';

              $post = [

                  'clientID' => $welcomestores_data_from_authentication['clientID'],
                  'whouse' => '1000',
                  'newf'  => 1,
                  "UpdDate" => $welcomestores_date,
              ];

              $ch = curl_init('http://welcomestores.oncloud.gr/s1services/js/dwhite/newproduct');
              curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
              curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($post));
              curl_setopt($ch, CURLOPT_HTTPHEADER, array('Accept: application/json'));
              curl_setopt($ch, CURLOPT_ENCODING ,"windows-1253");
              curl_setopt($ch, CURLOPT_HTTPHEADER, array('application/json; charset=windows-1253'));

              $response = curl_exec($ch);

              curl_close($ch);

              $result = iconv('windows-1253','utf-8',$response);

              $success = false;

              if( tep_not_null($result) ){

                $jsonObj = json_decode($result, true);

                if ($jsonObj === null && json_last_error() !== JSON_ERROR_NONE) {

                } else {

                  if( isset( $jsonObj['success'] ) ){

                    $success = true;

                  }

                }

              } else {

              }

              if( !$success ){

                tep_db_close(DB_MAIN_LINK);

                echo '>>&nbsp;COULD NOT GET ANY PRODUCTS FROM WELCOMESTORES:: PRODUCTS UPDATE ABORTED<br>';

                die;

              } else {

                echo '>>&nbsp;UPDATING LOCAL PRODUCTS FROM WELCOMESTORES PRODUCTS<br><br>';

                $welcomestores_products = $jsonObj['data'];

                //echo '<pre>';
                //var_dump( $jsonObj );

                //die;

                //loop through products and update

                //foreach( $products_models as $value )

                if( $welcomestores_products && tep_not_null($welcomestores_products) ){

                  foreach( $welcomestores_products as $value ){

                    if( isset($products_models[$value['CODE']]) ){

                      echo '>>&nbsp;START UPDATING PRODUCT WITH CODE: <strong>'.$value['CODE'].'</strong> ('.$value['NAME'].')<br>';

                      $quantity = (int)$value['REMAIN'];

                      $oprice = $value['PRICEW'];

                      $products_price = $oprice;

                      $is_active = (int)$value['ISACTIVE'];

                      $perform_array = array(
                        'products_quantity' => (int)$quantity,
                      );

                      if( $quantity <=0 && $is_active <= 0 ){

                        $perform_array['products_status'] = 0;

                      }

                      tep_db_perform(TABLE_PRODUCTS,$perform_array,'update', "products_model = '".$value['CODE']."'");

                      echo '>>&nbsp;&nbsp;UPDATED QUANTITY FROM '.$products_models[$value['CODE']]['products_quantity'].' TO '.$quantity.'<br>';
                      echo '>>&nbsp;&nbsp;UPDATED PRICE FROM '.$products_models[$value['CODE']]['products_price'].' TO '.$products_price.'<br>';

                      echo '>>&nbsp;END UPDATING PRODUCT WITH CODE: <strong>'.$value['CODE'].'</strong><br><br>';

                    }

                  }

                }


              }

          }

        }

      }//if bool welcomestores

    echo '>>UPDATE FINISHED<br>';

  }else{

    tep_db_close(DB_MAIN_LINK);
    echo '>>COULD NOT CONNECT TO Gloria db!';
    die;

  }

  tep_db_close(DB_MAIN_LINK);

  exit;