<?php

  require_once('includes/application_top.php');

  $breadcrumb->add('Ανεπιτυχής Συναλλαγή', tep_href_link('transaction_failed.php'));

    $code = isset($_GET['code']) ? (int)$_GET['code'] : 0;

    $message = '';

    switch( $code ){

        case 1:

            $message = 'Λυπούμαστε! Η πληρωμή της παραγγελίας σας ακυρώθηκε.';

        break;

        case 2:

            $message = 'Λυπούμαστε! Η εκδότρια τράπεζα της κάρτα σας απέρριψε τη συναλλαγή.';

        break;

        case 6:
        case 3:

            $message = 'Λυπούμαστε! Η εκτέλεση της συναλλαγής σας δεν ήταν εφικτή.';

        break;

        case 8:
        case 4:

            $message = 'Λυπούμαστε! Υπάρχει αδυναμία εκτέλεσης της συναλλαγής λόγω τεχνικού προβλήματος. Παρακαλούμε δοκιμάστε ξανά αργότερα.';

        break;

        case 5:

            $message = 'Λυπούμαστε! Η εκτέλεση της συναλλαγής σας δεν ήταν εφικτή λόγω εισαγωγής λανθασμένων στοιχείων κάρτας.';

        break;

        case 7:

            $message = 'Λυπούμαστε! Η εκτέλεση της συναλλαγής σας δεν ήταν εφικτή. Παρακαλούμε δοκιμάστε ξανά αργότερα.';

        break;

        default:

            tep_redirect(tep_href_link(FILENAME_DEFAULT));

        break;

    }

  require(DIR_WS_INCLUDES . 'template_top.php');
?>

<div class="page-header">
  <h1>Ανεπιτυχής Συναλλαγή</h1>
</div>

<div class="contentContainer">
  <div class="contentText">
    <?php echo $message; ?>
  </div>

  <div class="buttonSet">
    <div class="text-right"><?php echo tep_draw_button('Επιστροφή στο καλάθι μου', 'glyphicon glyphicon-chevron-right', tep_href_link(FILENAME_SHOPPING_CART)); ?></div>
  </div>
</div>

<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
