<?php

  require('includes/application_top.php');

  $action = (isset($_GET['action']) ? $_GET['action'] : '');

  if (tep_not_null($action)) {

    require DIR_WS_CLASSES . 'resize.php';

    switch ($action) {
      case 'add':

      $sql_data_array = array('chs_id' => (int)tep_db_prepare_input($_POST['chs_id']),
                        'chs_title' => tep_db_prepare_input($_POST['chs_title']),
                        'chs_order' => tep_db_prepare_input($_POST['chs_order']),
                        'chs_status' => tep_db_prepare_input($_POST['chs_status']),
                        'chs_default' => isset($_POST['chs_default']) ? 1 : 0,
                        'chs_image_quality' => tep_db_prepare_input($_POST['chs_image_quality'])
                      );

      $rnd=genRandomUid(10);

      $products_image = new upload('slider_image');
      $products_image->set_destination(DIR_FS_CATALOG_IMAGES.'catalog/slider/homepage');
      if ($products_image->parse() && $products_image->save()) {

          $ppif=pathinfo($products_image->filename);
          //$pif=slugit($ppif['filename']).'.'.$ppif['extension'];
          $pif=slugit($ppif['filename']).'-'.$rnd.'.jpg';
          $sql_data_array['chs_image'] = tep_db_prepare_input($pif);

        }

        $img=$products_image->destination.$products_image->filename;

        $resize= new resize($img);
        $resize -> resizeImage(1600, 600, 'crop');
        $resize -> saveImage($sql_data_array['chs_image_quality'],$products_image->destination.$pif);

        if($sql_data_array['chs_default']==1){

          $ppuf=pathinfo($products_image->destination.$products_image->filename);
          //$pif=slugit($ppif['filename']).'.'.$ppif['extension'];
          $puf=slugit($ppuf['filename']).'-'.$rnd.'_default.jpg';
          //$sql_data_array['chs_image'] = tep_db_prepare_input($pif);

          copy($products_image->destination.$products_image->filename , $products_image->destination.$puf);

          $resize = new resize($products_image->destination.$products_image->filename);
          $resize -> resizeImage(1600, 600, 'crop');
          $resize -> saveImage($sql_data_array['chs_image_quality'],$products_image->destination.$puf);

        }

        if((int)$sql_data_array['chs_default']==1) tep_db_query("UPDATE custom_homepage_slider SET chs_default='0' ");

        tep_db_perform('custom_homepage_slider', array(

        'chs_title'=>$sql_data_array['chs_title'],
        'chs_image'=>$sql_data_array['chs_image'],
        'chs_image_original'=>$products_image->filename,
        'chs_image_quality'=>$sql_data_array['chs_image_quality'],
        'chs_image_rnd'=>$rnd,
        'chs_order'=>$sql_data_array['chs_order'],
        'chs_default'=>$sql_data_array['chs_default'],
        'chs_status'=>$sql_data_array['chs_status']

        ), 'insert');

        tep_redirect(tep_href_link(FILENAME_HSLIDER));

      break;
      case 'edit':

      $sql_data_array = array('chs_id' => (int)tep_db_prepare_input($_POST['chs_id']),
                              'chs_title' => tep_db_prepare_input($_POST['chs_title']),
                              'chs_order' => tep_db_prepare_input($_POST['chs_order']),
                              'chs_status' => tep_db_prepare_input($_POST['chs_status']),
                              'chs_image_quality' => tep_db_prepare_input($_POST['chs_image_quality']),
                              'chs_image_original' => tep_db_prepare_input($_POST['chs_image_original']),
                              'chs_default' => isset($_POST['chs_default']) ? 1 : 0,
                              'chs_image_rnd' => tep_db_prepare_input($_POST['chs_image_rnd'])
                            );

      if(isset($_POST['delete'])){

        //check to see if it is default

        $def_check_query=tep_db_query("SELECT chs_default FROM custom_homepage_slider WHERE chs_id='".$sql_data_array['chs_id']."' LIMIT 1");
        $def_check=tep_db_fetch_array($def_check_query);

        if(tep_db_query("DELETE FROM custom_homepage_slider WHERE chs_id='".$sql_data_array['chs_id']."' ")){

          if((int)$def_check['chs_default']==1) tep_db_query("UPDATE custom_homepage_slider SET chs_default='1' ORDER BY chs_id ASC LIMIT 1");

          $destination=DIR_FS_CATALOG_IMAGES.'catalog/slider/homepage';
          if (substr($destination, -1) != '/') $destination .= '/';

            $ppif=pathinfo($sql_data_array['chs_image_original']);
            //$pif=slugit($ppif['filename']).'.'.$ppif['extension'];
            $pif=slugit($ppif['filename']).'-'.$sql_data_array['chs_image_rnd'].'.jpg';

            @unlink($destination.$pif);
            $exp=explode('.jpg',$pif);
            if(isset($exp[0])) @unlink($destination.$exp[0].'_default.jpg');
            @unlink($destination.$sql_data_array['chs_image_original']);

        }

        tep_redirect(tep_href_link(FILENAME_HSLIDER));

      }

      $fn='';
      if (isset($_FILES['slider_image'])) $fn=$_FILES['slider_image']['name'];
      elseif (isset($HTTP_POST_FILES['slider_image'])) $fn = $HTTP_POST_FILES['slider_image']['name'];

      if(tep_not_null($fn)){//when updating image

        $products_image = new upload('slider_image');
        $products_image->set_destination(DIR_FS_CATALOG_IMAGES.'catalog/slider/homepage');

        if ($products_image->parse() && $products_image->save()) {

          $rnd=genRandomUid(10);

          $ppif=pathinfo($products_image->filename);
          //$pif=slugit($ppif['filename']).'.'.$ppif['extension'];
          $pif=slugit($ppif['filename']).'-'.$rnd.'.jpg';
          $sql_data_array['chs_image'] = tep_db_prepare_input($pif);

          $fchs_query=tep_db_query("SELECT * FROM custom_homepage_slider WHERE chs_id='".$sql_data_array['chs_id']."' LIMIt 1 ");
          $fchs=tep_db_fetch_array($fchs_query);

          if(isset($fchs['chs_id'])){

            @unlink($products_image->destination.$fchs['chs_image']);
            $exp=explode('.jpg',$fchs['chs_image']);
            if(isset($exp[0])) @unlink($products_image->destination.$exp[0].'_default.jpg');
            @unlink($products_image->destination.$fchs['chs_image_original']);

          }

          $img=$products_image->destination.$products_image->filename;

          $resize= new resize($img);
          $resize -> resizeImage(1140, 450, 'crop');
          $resize -> saveImage($sql_data_array['chs_image_quality'],$products_image->destination.$pif);

          if($sql_data_array['chs_default']==1){

            $destination=DIR_FS_CATALOG_IMAGES.'catalog/slider/homepage';

            if (substr($destination, -1) != '/') $destination .= '/';

            //$ppuf=pathinfo($products_image->filename);
            //$pif=slugit($ppif['filename']).'.'.$ppif['extension'];
            //$puf=slugit($ppuf['filename']).'-'.$sql_data_array['chs_image_rnd'].'_def.jpg';
            //$sql_data_array['chs_image'] = tep_db_prepare_input($pif);

            //copy($img, $products_image->destination.$puf);

            $pif=slugit($ppif['filename']).'-'.$rnd.'_default.jpg';
            $resize = new resize($img);
            $resize -> resizeImage(1920, 1024, 'crop');
            $resize -> saveImage($sql_data_array['chs_image_quality'],$destination.$pif);

          }

          tep_db_query("UPDATE custom_homepage_slider SET chs_default='0' ");

          tep_db_perform('custom_homepage_slider', array(

           'chs_title'=>$sql_data_array['chs_title'],
           'chs_image'=>$sql_data_array['chs_image'],
           'chs_image_original'=>$products_image->filename,
           'chs_image_quality'=>$sql_data_array['chs_image_quality'],
           'chs_image_rnd'=>$rnd,
           'chs_order'=>$sql_data_array['chs_order'],
           'chs_status'=>$sql_data_array['chs_status'],
           'chs_default'=>$sql_data_array['chs_default'],

          ), 'update', "chs_id='".$sql_data_array['chs_id']."'" );

        }

      }else{

        $fchs_query=tep_db_query("SELECT * FROM custom_homepage_slider WHERE chs_id='".$sql_data_array['chs_id']."' LIMIt 1 ");
        $fchs=tep_db_fetch_array($fchs_query);

        if(isset($fchs['chs_image_quality'])){

          if((int)$fchs['chs_image_quality'] != (int)$sql_data_array['chs_image_quality']){

          $destination=DIR_FS_CATALOG_IMAGES.'catalog/slider/homepage';

          if (substr($destination, -1) != '/') $destination .= '/';

          $ppif=pathinfo($fchs['chs_image_original']);
          //$pif=slugit($ppif['filename']).'.'.$ppif['extension'];
          $pif=slugit($ppif['filename']).'-'.$fchs['chs_image_rnd'].'.jpg';

          $sql_data_array['chs_image'] = tep_db_prepare_input($pif);

          $resize = new resize($destination.$fchs['chs_image_original']);
          $resize -> resizeImage(1600, 600, 'crop');
          $resize -> saveImage($sql_data_array['chs_image_quality'],$destination.$pif);

          }

        }

        if($sql_data_array['chs_default']==1){

          $destination=DIR_FS_CATALOG_IMAGES.'catalog/slider/homepage';

          if (substr($destination, -1) != '/') $destination .= '/';

          $ppuf=pathinfo($sql_data_array['chs_image_original']);
          //$pif=slugit($ppif['filename']).'.'.$ppif['extension'];
          $puf=slugit($ppuf['filename']).'-'.$sql_data_array['chs_image_rnd'].'_default.jpg';
          //$sql_data_array['chs_image'] = tep_db_prepare_input($pif);

          //copy($destination.$sql_data_array['chs_image_original'] , $destination.$puf);

          $resize = new resize($destination.$sql_data_array['chs_image_original']);
          $resize -> resizeImage(1600, 600, 'crop');
          $resize -> saveImage($sql_data_array['chs_image_quality'],$destination.$puf);

        }

        tep_db_query("UPDATE custom_homepage_slider SET chs_default='0' ");

        tep_db_perform('custom_homepage_slider', array(

        'chs_title'=>$sql_data_array['chs_title'],
        'chs_image_quality'=>$sql_data_array['chs_image_quality'],
        'chs_order'=>$sql_data_array['chs_order'],
        'chs_status'=>$sql_data_array['chs_status'],
        'chs_default'=>$sql_data_array['chs_default'],

        ), 'update', "chs_id='".$sql_data_array['chs_id']."'" );


      }

      tep_redirect(tep_href_link(FILENAME_HSLIDER));

      break;
      default:
    }

  }

  $chs=tep_db_query("SELECT * FROM custom_homepage_slider");

  require(DIR_WS_INCLUDES . 'template_top.php');
?>

<h1>Slider εικόνων αρχικής σελίδας</h1>
<div class="tree-wrapper0">
<?php

  $items = array();
  while($chs_q=tep_db_fetch_array($chs)){
   $items[]=$chs_q;
  }

  $id=isset($_GET['id'])?(int)$_GET['id']:0;

$order=0;

?>
<table class="table table-bordered text-center" >
<tbody>
<?php foreach($items as $k => $item){

if((int)$item['chs_order']>$order) $order=$item['chs_order'];

?>

<?php echo tep_draw_form('slider', FILENAME_HSLIDER, 'action=edit', 'post', 'enctype="multipart/form-data"'); ?>
  <table class="table table-striped table-bordered table-hover">

<tbody>
<tr>
    <td class="text-center"><?php echo ++$k; ?></td>
    <td class="text-center">
      <div class="spacerTop10"></div>
      <?php echo tep_not_null($item['chs_image']) ? tep_image(DIR_WS_CATALOG_IMAGES.'catalog/slider/homepage/'.$item['chs_image'] , '', '150', '150')  : ''; ?>
      <div class="clear spacerTop10">Resized Image Size: <?php echo tep_filesize(filesize(DIR_FS_CATALOG_IMAGES.'catalog/slider/homepage/'.$item['chs_image'])); ?></div>
      <div class="clear spacerTop10">Original Image Size: <?php echo tep_filesize(filesize(DIR_FS_CATALOG_IMAGES.'catalog/slider/homepage/'.$item['chs_image_original'])); ?></div>
      <p class="spacerTop10"><input type="file" class="form-control form-control-inline" name="slider_image" <?php echo tep_not_null($item['chs_image']) ? '' : 'required'; ?> ></p>
    </td>
    <td>Quality:&nbsp;&nbsp;<input type="number"  class="form-control form-control-inline" name="chs_image_quality" min="0" max="100" value="<?php echo isset($item['chs_image_quality']) ? $item['chs_image_quality'] : '75'; ?>" required></td>
    <td><label>Default:&nbsp;&nbsp;<input class="chs_default" type="checkbox" name="chs_default" <?php echo $item['chs_default'] ? 'checked="checked"' : ''; ?>></label></td>
    <td>Title:&nbsp;&nbsp;<input type="text"  class="form-control form-control-inline" value="<?php echo isset($item['chs_title']) ? $item['chs_title'] : ''; ?>" placeholder="Keimeno" name="chs_title" required ></td>
    <td>Order:&nbsp;&nbsp;<input type="number"  class="form-control form-control-inline" min="0" max="1000" value="<?php echo isset($item['chs_order']) ? $item['chs_order'] : '0'; ?>" placeholder="Sort Order" name="chs_order" required ></td>
    <td>Status:&nbsp;&nbsp;
      <select name="chs_status" class="form-control form-control-inline">
        <option value="1" <?php echo $item['chs_status'] == '1' ? 'selected' : ''; ?> >Active</option>
        <option value="0" <?php echo $item['chs_status'] == '0' ? 'selected' : ''; ?> >Inactive</option>
      <select>
    </td>
    <td><input type="submit" class="btn btn-success" value="Submit">
    <input type="submit" class="btn btn-danger" value="X" name="delete">
    <input type="hidden" name="chs_id" value="<?php echo $item['chs_id']; ?>">
    <input type="hidden" name="chs_image_rnd" value="<?php echo $item['chs_image_rnd']; ?>">
    <input type="hidden" name="chs_image_original" value="<?php echo $item['chs_image_original']; ?>">
    </td>
</tr></tbody>
  </table>
</form>

</td>

</tr>

<?php } ?>
</tbody>
</table>

<?php echo tep_draw_form('slider-new', FILENAME_HSLIDER, 'action=add', 'post', 'enctype="multipart/form-data"'); ?>

  <table class="table table-bordered">
    <tbody>
    <tr>
      <td class="text-center">#</td>
      <td class="text-center">
      <p><input type="file" class="form-control form-control-inline" name="slider_image" required></p>
      </td>
      <td>Quality:&nbsp;&nbsp;<input type="number" class="form-control form-control-inline" name="chs_image_quality" min="0" max="100" value="75" required></td>
<td><label>Default:&nbsp;&nbsp;<input class="chs_default" class="form-control form-control-inline" type="checkbox" name="chs_default"></label></td>
      <td>Title:&nbsp;&nbsp;<input type="text" class="form-control form-control-inline" value="" placeholder="Keimeno" name="chs_title" required ></td>
      <td>Order:&nbsp;&nbsp;<input type="number" class="form-control form-control-inline" min="0" max="1000" value="<?php echo $order+1; ?>" placeholder="Sort Order" name="chs_order" required ></td>
      <td>Status:&nbsp;&nbsp;
      <select name="chs_status" class="form-control form-control-inline">
        <option value="1" selected>Active</option>
        <option value="0">Inactive</option>
      <select>
      </td>
      <td><input type="submit" class="btn btn-success" value="Submit">
      <input type="submit" class="btn btn-danger disable" disabled value="X" name="delete">
      <input type="hidden" name="chs_id" value="<?php echo $item['chs_id']; ?>">
      </td>
    </tr>
  </tbody>
  </table>
</form>

</div>

<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
