<?php

define('FILTERS_TITLE','Products Filters Management');
define('FILTERS_VERSION','version 1');
define('FILTERS_BACK','Back to default Administration panel');
define('FILTERS_MODE_SCFE','Mode: Sections - Categories - Filters - Exclude');
define('FILTERS_MODE_CSFE','Mode: Categories - Sections - Filters - Exclude');


//ALERT MESSAGES
define('FILTERS_ALERT_MSG_SUCCESS_ASSIGNED_SECTION_TO_SELECTED_CATEGORIES','Successfully assigned Section to selected Categories.');
define('FILTERS_ALERT_MSG_SUCCESS_RESET_OF_EXCLUDED_CATEGORIES_FOR_SELECTED_FILTER','Successfully reset of excluded categories for selected filter.');
define('FILTERS_ALERT_MSG_SUCCESS_ADDED_EXCLUDED_CATEGORIES_TO_SELECTED_FILTER','Successfully added excluded categories to selected filter.');
define('FILTERS_ALERT_MSG_SUCCESS_ADDED_NEW_SECTION','Successfully added new Section.');
define('FILTERS_ALERT_MSG_SUCCESS_EDITED_SECTION','Successfully edited Section.');
define('FILTERS_ALERT_MSG_SUCCESS_EDITED_FILTER','Successfully edited Filter.');
define('FILTERS_ALERT_MSG_SUCCESS_ADDED_NEW_FILTER','Successfully added new Filter.');
define('FILTERS_ALERT_MSG_SUCCESS_DELETED_SELECTED_FILTER','Successfully deleted selected Filter.');
define('FILTERS_ALERT_MSG_ERROR_DELETING_SELECTED_FILTER','Error deleting selected Filter, please try again!');
define('FILTERS_ALERT_MSG_SUCCESS_DELETED_SELECTED_SECTION_AND_ASSIGNED_FILTERS','Successfully deleted selected Section and assigned Filters.');
define('FILTERS_ALERT_MSG_ERROR_DELETING_SELECTED_SECTION','Error deleting selected Section, please try again!');
define('FILTERS_ALERT_MSG_SUCCESS_REMOVE_SECTION_FROM_SELECTED_CATEGORY','Successfully remove Section from selected category.');
define('FILTERS_ALERT_MSG_ERROR_REMOVING_SECTION_FROM_SELECTED_CATEGORY','Error removing Section from selected category, please try again!');
define('FILTERS_ALERT_MSG_SUCCESS_ASSIGNED_SECTION_TO_SELECTED_CATEGORY','Successfully assigned Section to selected category.');
define('FILTERS_ALERT_MSG_ERROR_CANNOT_ASSIGN_SECTION_TO_SELECTED_CATEGORY','Error, cannot assign Section to selected category, please try again!');
define('FILTERS_ALERT_MSG_SUCCESS_SUBMITTED_CHANGES','Successfully submitted changes.');

define('FILTERS_TABLE_HEADER_DIESI','#');
define('FILTERS_TABLE_HEADER_NAME','Name');
define('FILTERS_TABLE_HEADER_STATUS','Status');
define('FILTERS_TABLE_HEADER_LANG_STATUS','Lang Status');
define('FILTERS_TABLE_HEADER_ACTION','Action');

//sections.php
define('FILTERS_SECTIONS_TITLE','Sections <small>aka filters categories</small>');
define('FILTERS_SECTIONS_FOUND','Found %s  section/s.');
define('FILTERS_SECTIONS_NOTE_MESSAGE','Sections are groups of filters. For example, you may want in a category to display color filters such as Red, Green and Black. So you create a section named "Color".');

//add-edit-section.php
define('FILTERS_AES_EDIT_SECTION','Edit Section');
define('FILTERS_AES_ADD_SECTION','Add Section');
define('FILTERS_AES_REMOVE_FROM_SELECTED_CATEGORY','Remove from selected category');
define('FILTERS_AES_WARNING_DELETE_ACTION_CANNOT_BE_UNDONE','Warning: CANNOT be undone! Assigned Filters will also be deleted!');
define('FILTERS_AES_SECTION_NAME_HERE','section name here');
define('FILTERS_AES_SECTION_STATUS_PER_LANGUAGE','Section status per Language!');
define('FILTERS_AES_DO_NOT_ALLOW_FILTERS_COMBINATION','Do not allow filters combination!');
define('FILTERS_AES_SORT_ORDER_OF_SECTION_DISPLAY','Sort order of Section display. Lowest is displayed first.');
define('FILTERS_AES_SECTION_STATUS','Section status:');
define('FILTERS_AES_TYPE','type:');
define('FILTERS_AES_BUTTONS_LINKS','Buttons - Links');
define('FILTERS_AES_CHECKBOXES','Checkboxes');
define('FILTERS_AES_ENABLE_UNIQUE_FILTERS','Enable Unique filters:');
define('FILTERS_AES_DROPDOWN_MENU','Dropdown Menu');
define('FILTERS_AES_RADIO_BUTTONS','Radio Buttons');
define('FILTERS_AES_NON_APPLICABLE_FILTERS_STATE','Non applicable filters state:');
define('FILTERS_AES_DISABLED','Disabled');
define('FILTERS_AES_HIDDEN','Hidden');
define('FILTERS_AES_SUBMIT','Submit');

//sections-to-categories
define('FILTERS_STC_TITLE','Sections to Categories');
define('FILTERS_STC_MODE_1','Mode 1');
define('FILTERS_STC_MODE_1_EXPLAIN','All categories are checkable!');
define('FILTERS_STC_MODE_2','Mode 2');
define('FILTERS_STC_MODE_2_EXPLAIN','Only categories and subcategories that have products are checkable!');
define('FILTERS_STC_MODE_3','Mode 3');
define('FILTERS_STC_MODE_3_EXPLAIN','Only categories that have products are checkable!');
define('FILTERS_STC_ASSIGN_CHECKED_CATEGORIES','Assign Checked Categories');
define('FILTERS_STC_SELECTED_SECTION_IS_ASSIGNED_INTO','Selected section is assigned into %s categories.');

//filters.php
define('FILTERS_F_TITLE','Filters <small>for selected Section</small>');
define('FILTERS_F_ARE_ASSIGNED','filter/s are assigned to selected Section');

//add-edit-filter.php
define('FILTERS_AEF_EDIT_FILTER','Edit Filter');
define('FILTERS_AEF_ADD_FILTER','Add Filter');
define('FILTERS_AEF_DELETE','Delete');
define('FILTERS_AEF_WARNING_CANNOT_BE_UNDONE','Warning: CANNOT be undone!');
define('FILTERS_AEF_SORT_ORDER_OF_FILTER_DISPLAY','Sort order of Filter display. Lowest is displayed first.');
define('FILTERS_AEF_SUBMIT','Submit');

//filters-to-categories
define('FILTERS_FTC_TITLE','Exclude Filters from Categories <small>optional</small>');
define('FILTERS_FTC_EXCLUDE_CATEGORIES_FOR','Excluded categories for selected filter:');
define('FILTERS_FTC_RESET_EXCLUDE_NONE','Reset - Exclude none');
define('FILTERS_FTC_RESET_EXCLUDE_CHECKED_CATEGORIES','Exclude Checked Categories');
define('FILTERS_FTC_SELECTED_SECTION_IS_NOT_ASSIGNED','Selected Section is not assigned to any category');
define('FILTERS_FTC_NOTE_MESSAGE','Sometimes we want a specific filter not to be visible in a certain category but visible for others that are assigned into sections.');

//categories-list
define('FILTERS_CL_TITLE','Categories List');
define('FILTERS_CL_MODE_1','Mode 1');
define('FILTERS_CL_MODE_1_EXPLAIN','All categories are checkable!');
define('FILTERS_CL_MODE_2','Mode 2');
define('FILTERS_CL_MODE_2_EXPLAIN','Only categories and subcategories that have products are checkable!');
define('FILTERS_CL_MODE_3','Mode 3');
define('FILTERS_CL_MODE_3_EXPLAIN','Only categories that have products are checkable!');

//categories-sections.php
define('FILTERS_CS_TITLE','Sections <small>aka filters categories</small>');
define('FILTERS_CS_FOUND_SECTIONS','Found %s section/s.');
define('FILTERS_CS_NOTE_MESSAGE','Sections are groups of filters. For example, you may want in a category to display color filters such as Red, Green and Black. So you create a section named "Color"');

//assign_sections.php
define('FILTERS_AS_TITLE','Assign Sections <small>to selected category</small>');
define('FILTERS_AS_SECTIONS_ASSIGNED','%s section/s assigned');
define('FILTERS_AS_ASSIGNED','Assigned');
define('FILTERS_AS_ASSIGN','Assign');

?>
