<?php

define('HEADING_TITLE', 'Παραγγελίες');
define('HEADING_TITLE_SEARCH', 'Ταυτότητα Παραγγελίας:');
define('HEADING_TITLE_STATUS', 'Κατάσταση:');

define('TABLE_HEADING_COMMENTS', 'Σχόλια');
define('TABLE_HEADING_CUSTOMERS', 'Πελάτες');
define('TABLE_HEADING_ORDER_TOTAL', 'Σύνολο Παραγγελίας');
define('TABLE_HEADING_DATE_PURCHASED', 'Ημερομηνία Αγοράς');
define('TABLE_HEADING_STATUS', 'Κατάσταση');
define('TABLE_HEADING_ACTION', 'Ενέργεια');
define('TABLE_HEADING_QUANTITY', 'Ποσ.');
define('TABLE_HEADING_PRODUCTS_MODEL', 'Τύπος');
define('TABLE_HEADING_PRODUCTS', 'Προϊόντα');
define('TABLE_HEADING_TAX', 'Φ.Π.Α.');
define('TABLE_HEADING_TOTAL', 'Σύνολο');
define('TABLE_HEADING_PRICE_EXCLUDING_TAX', 'Τιμή (προ Φ.Π.Α.)');
define('TABLE_HEADING_PRICE_INCLUDING_TAX', 'Τιμή (με Φ.Π.Α.)');
define('TABLE_HEADING_TOTAL_EXCLUDING_TAX', 'Σύνολο (προ Φ.Π.Α.)');
define('TABLE_HEADING_TOTAL_INCLUDING_TAX', 'Σύνολο (με Φ.Π.Α.)');

define('TABLE_HEADING_CUSTOMER_NOTIFIED', 'Ο Πελάτης Ειδοποιήθηκε');
define('TABLE_HEADING_DATE_ADDED', 'Ημερομηνία Προσθήκης');

define('ENTRY_CUSTOMER', 'Πελάτης:');
define('ENTRY_SOLD_TO', 'ΠΩΛΗΘΗΚΕ ΣΕ:');
define('ENTRY_DELIVERY_TO', 'Παραδόθηκε Σε:');
define('ENTRY_SHIP_TO', 'ΑΠΕΣΤΑΛΗ ΣΕ:');
define('ENTRY_SHIPPING_ADDRESS', 'Διεύθυνση Αποστολής:');
define('ENTRY_BILLING_ADDRESS', 'Διεύθυνση Χρέωσης:');
define('ENTRY_PAYMENT_METHOD', 'Τρόπος Πληρωμής:');
define('ENTRY_CREDIT_CARD_TYPE', 'Τύπος Πιστωτικής Κάρτας:');
define('ENTRY_CREDIT_CARD_OWNER', 'Κάτοχος Κάρτας:');
define('ENTRY_CREDIT_CARD_NUMBER', 'Αριθμός Κάρτας:');
define('ENTRY_CREDIT_CARD_EXPIRES', 'Λήξη Κάρτας:');
define('ENTRY_SUB_TOTAL', 'Μερικό Σύνολο:');
define('ENTRY_TAX', 'Φ.Π.Α.:');
define('ENTRY_SHIPPING', 'Αποστολή:');
define('ENTRY_TOTAL', 'Συνολο:');
define('ENTRY_DATE_PURCHASED', 'Ημερομηνία Αγοράς:');
define('ENTRY_STATUS', 'Κατάσταση:');
define('ENTRY_DATE_LAST_UPDATED', 'Τελευταία Ενημέρωση:');
define('ENTRY_NOTIFY_CUSTOMER', 'Ειδοποίηση Πελάτη:');
define('ENTRY_NOTIFY_COMMENTS', 'Προσάρτηση Σχολίων:');
define('ENTRY_PRINTABLE', 'Εκτύπωση Τιμολογίου');

define('TEXT_INFO_HEADING_DELETE_ORDER', 'Διαγραφή Παραγγελίας');
define('TEXT_INFO_DELETE_INTRO', 'Διαγραφή αυτής της παραγγελίας;');
define('TEXT_INFO_RESTOCK_PRODUCT_QUANTITY', 'Επαναφορά της ποσότητας του προϊόντος στο απόθεμα');
define('TEXT_DATE_ORDER_CREATED', 'Ημερομηνία Δημιουργίας:');
define('TEXT_DATE_ORDER_LAST_MODIFIED', 'Τελευταία Τροποποίηση:');
define('TEXT_INFO_PAYMENT_METHOD', 'Τρόπος Πληρωμής:');

define('TEXT_ALL_ORDERS', 'Όλες Οι Παραγγελίες');
define('TEXT_NO_ORDER_HISTORY', 'Δεν Υπάρχει Διαθέσιμο Ιστορικό Αγορών');

define('EMAIL_SEPARATOR', '------------------------------------------------------');
define('EMAIL_TEXT_SUBJECT', 'Ενημέρωση Παραγγελίας');
define('EMAIL_TEXT_ORDER_NUMBER', 'Αριθμός Παραγγελίας:');
define('EMAIL_TEXT_INVOICE_URL', 'Η παραγγελία μου:');
define('EMAIL_TEXT_DATE_ORDERED', 'Ημερομηνία Παραγγελίας:');
define('EMAIL_TEXT_STATUS_UPDATE', 'Η κατάσταση της παραγγελίας έχει αλλάξει:' . ' %s'."\n");
define('EMAIL_TEXT_COMMENTS_UPDATE', 'Σχόλια για την παραγγελία σας:' . "\n%s\n");

define('ERROR_ORDER_DOES_NOT_EXIST', 'Σφάλμα: Η παραγγελία δεν υπάρχει.');
define('SUCCESS_ORDER_UPDATED', 'Επιτυχία: Η παραγγελία ενημερώθηκε.');
define('WARNING_ORDER_NOT_UPDATED', 'Προειδοποίηση: Δεν υπάρχει κάτι για να αλλαχθεί. Η παραγγελία δεν ενημερώθηκε.');
define('SEND_TO_GLORIA', 'Αποστολή στο Κεντρικό κατάστημα Gloria');
define('ALREADY_SEND_TO_GLORIA', 'Η παραγγελία έχει ήδη αποσταλεί στο Κεντρικό κατάστημα Gloria.');

define('TABLE_HEADING_PRODUCTS_QUANTITY', 'Διαθεσιμότητα προς αποστολή στο Gloria');
define('ERROR_COULD_NOT_CONNECT_TO_GLORIA', 'Αδύνατη η σύνδεση με το Gloria. Παρακαλώ, δοκιμάστε αργότερα.');
define('ORDERS_ADDRESS_STORE_OWNER_FROM_GLORIA', 'Διεύθυνση Τιμολόγισης:');


define('INTERNET_DISCOUNT','Αγορά μέσω Internet: (εφαρμόζεται στην έκπτωση 3)');
define('CHECKOUT_PAYMENT_GENERAL_DISCOUNTS_TITLE','Εκπτώσεις');
define('ADDRESS_BOOK_SPECIFIC_DISCOUNT','Ειδική Έκπτωση Καταστήματος: ');
define('HEADING_TITLE_SEND_TO_GLORIA','Παραγγελίες: <i class="text-success">Αποστολή παραγγελίας στο Gloria:</i>');

define('ERROR_VALID_DATA_SUBMITTED','Σφάλμα εισαγωγής δεδομένων. Παρακαλώ προσπαθήστε ξανά.');
define('SUCCESS_ORDER_SEND_TO_GLORIA','Η παραγγελία εστάλη στο Gloria.');

define('SEND_TO_GLORIA_VIEW','Δείτε την παραγγελία η οποία εστάλη στο Gloria.');
define('YOUR_PRODUCT_WILL_NOT_BE_SEND_TO_GLORIA','<b>Δικό σας προϊόν. Δεν θα αποσταλεί στο Gloria.</b>');
define('YOUR_PRODUCT_WAS_NOT_SENT_TO_GLORIA','<b>Δικό σας προϊόν. Δεν αποστάλθηκε στο Gloria.</b>');

define('NOT_ALLOWED_NO_GLORIA_PRODUCTS_FOUND_IN_ORDER','Η παραγγελία δεν περιέχει προϊόντα του Gloria. Επομένως δεν χρειάζεται να την αποστείλετε στο κεντρικό κατάστημα Gloria.');

define('TABLE_HEADING_STATUS_SENT', 'Κατάσταση αποστολής στο Gloria');
define('HEADING_TITLE_STATUS_GLORIA', 'Κατάσταση αποστολής στο Gloria');

define('TEXT_ALL_GLORIA_STATUS', 'Όλες οι καταστάσεις');
define('TEXT_GLORIA_STATUS_NOT_SENT', 'Μη αποσταλθέντες');
define('TEXT_GLORIA_STATUS_SENT', 'Αποσταλθέντες');

define('HEADING_TITLE_GLORIA_ORDER_STATUS', 'Η παραγγελία σας έχει αποσταλεί στο Gloria.');
define('HEADING_TITLE_GLORIA_ORDER_STATUS_UNDER_PROCESS', ' Κατάσταση παραγγελίας: <b><i class="fa fa-circle-o-notch fa-spin"></i> σε αναμονή.</b>');
define('HEADING_TITLE_GLORIA_ORDER_STATUS_PROCESSED', ' Κατάσταση παραγγελίας: <b class="text-success"><i class="fa fa-circle-o-notch fa-spin"></i> υπο επεξεργασία.</b>');
define('CHECK_ERP_ORDER_STATUS', ' Δείτε την εξέλιξη της παραγγελίας.');



define('TABLE_HEADING_BILLING_ADDRESS', 'Διεύθυνση Χρέωσης');
define('TEXT_SELECTED_BILLING_DESTINATION', 'Επιλέξτε από το βιβλίο διευθύνσεών σας πού θέλετε να αποσταλεί το τιμολόγιο.');
define('TITLE_BILLING_ADDRESS', 'Διεύθυνση Χρέωσης:');
define('TEXT_ADDRESS_BOOK_CODE_TITLE', 'Κωδικός καταστήματος: ');

define('TABLE_HEADING_PAYMENT_METHOD', 'Τρόπος Πληρωμής');
define('TEXT_SELECT_PAYMENT_METHOD', 'Επιλέξτε τον προτιμώμενο τρόπο πληρωμής για αυτήν την παραγγελία.');
define('TITLE_PLEASE_SELECT', 'Επιλέξτε');
define('TEXT_ENTER_PAYMENT_INFORMATION', 'Αυτός είναι ο μόνος διαθέσιμος τρόπος πληρωμής για αυτήν την παραγγελία.');

define('TABLE_HEADING_COMMENTS', 'Σχόλια για την παραγγελία');

define('TITLE_CONTINUE_CHECKOUT_PROCEDURE', 'Συνέχεια Διαδικασίας Ολοκλήρωσης Αγορών');
define('TEXT_CONTINUE_CHECKOUT_PROCEDURE', 'για επιβεβαίωση αυτής της παραγγελίας.');

define('CHECKOUT_PAYMENT_GENERAL_DISCOUNTS_SHOW_TITLE', 'Γενικές Προσφόρες');
define('CHECKOUT_PAYMENT_GENERAL_DISCOUNTS_SHOW_DICOUNT_TITLE', 'Γενική Προσφορά');
define('CHECKOUT_PAYMENT_GENERAL_DISCOUNTS_SHOW_DICOUNT_VALUE', 'Ποσό/Ποσοστό Προσφοράς');

define('CHECKOUT_PAYMENT_SPECIFIC_DISCOUNT_SHOW_DICOUNT_TITLE', 'Συγκεκριμμένη Προσφορά');
define('CHECKOUT_PAYMENT_SPECIAL_DISCOUNTS_SHOW_DICOUNT_TITLE', 'Ειδικές Προσφορές');
define('CHECKOUT_PAYMENT_SPECIFIC_DISCOUNT_SHOW_DICOUNT_VALUE', 'Ποσό/Ποσοστό Προσφοράς');
define('CHECKOUT_PAYMENT_SPECIAL_DISCOUNTS_SHOW_DICOUNT_VALUE', 'Ποσό/Ποσοστό Προσφορών');

define('CHECKOUT_PAYMENT_PAYMENTS_METHODS_TITLE', 'Μέθοδος Πληρωμής (εφαρμόζεται στην έκπτωση 3)');
define('CHECKOUT_PAYMENT_PAYMENTS_METHODS_SHOW_DICOUNT_VALUE', 'Ποσό/Ποσοστό Έκπτωσης');

define('CHECKOUT_PAYMENT_SENDS_METHODS_TITLE', 'Τρόπος Αποστολής');
define('CHECKOUT_PAYMENT_SENDS_METHODS_SHOW_DICOUNT_VALUE', 'Ποσό/Ποσοστό Έκπτωσης');


define('STORE_NEW_ORDER_SENT_FROM', 'Νέα αποστολή παραγγελίας από το eshop');
define('STORE_NEW_ORDER_ID', 'Aριθμός παραγγελίας ');
define('STORE_NEW_ORDER_SUBJECT', 'Νέα αποστολή παραγγελίας από eshop στο Gloria.');


