<?php

  require('includes/application_top.php');

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();

  $oID = tep_db_prepare_input($_GET['oID']);
  //$orders_query = tep_db_query("select orders_id from " . TABLE_ORDERS . " where orders_id = '" . (int)$oID . "'");

  include(DIR_WS_CLASSES . 'order.php');
  $order = new order($oID);

  //echo '<pre>';
  //var_dump( $order );

    $date_purchased = strtotime( $order->info['date_purchased'] );
    $date_purchased = date( 'd-m-Y H:i:s',  $date_purchased );

?>
<!DOCTYPE html>
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<link rel="stylesheet" type="text/css" href="ext/invoice/css/sheets-of-paper-a4.css">
<style></style>
</head>
<body class="document">

    <div class="page">

            <table style="width:100%;font-size:90%" border="0" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <td><img src="<?php echo HTTP_CATALOG_SERVER . DIR_WS_CATALOG_IMAGES . STORE_LOGO; ?>" alt="<?php echo STORE_NAME; ?>" style="max-width:150px;"></td>
                        <td style="text-align:right">

                            <div style="text-align:right;">INVOICE</div>
                            <div style="text-align:right;margin-top:10px">#: <?php echo $oID; ?></div>
                            <div style="text-align:right;margin-top:10px">Date: <?php echo $date_purchased; ?></div>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <div style="margin-top:10px;list-style:none">

                                <!--<strong><?php echo STORE_NAME; ?></strong><br>-->
                                <?php echo STORE_ADDRESS . '<br>' . STORE_PHONE; ?>

                            </div>
                        </td>

                    </tr>
                </tbody>
            </table>

            <div style="width:100%;border-top:1px solid #ddd;margin:20px auto;"></div>


    <table style="width:100%;font-size:90%" border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td style="vertical-align:top">

            <table width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td><strong><?php echo ENTRY_SOLD_TO; ?></strong></td>
              </tr>
              <tr>
                <td><?php echo tep_address_format($order->customer['format_id'], $order->billing, 1, '', '<br />'); ?></td>
              </tr>
              <tr>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '5'); ?></td>
              </tr>
              <tr>
                <td><?php echo $order->customer['telephone']; ?></td>
              </tr>
              <tr>
                <td><?php echo '<a href="mailto:' . $order->customer['email_address'] . '"><u>' . $order->customer['email_address'] . '</u></a>'; ?></td>
              </tr>
            </table>
        </td>
        <td style="vertical-align:top">
            <table width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td><strong><?php echo ENTRY_SHIP_TO; ?></strong></td>
              </tr>
              <tr>
                <td><?php echo tep_address_format($order->delivery['format_id'], $order->delivery, 1, '', '<br />'); ?></td>
              </tr>
            </table>
        </td>
        <td style="vertical-align:top">
            <table width="100%" border="0" cellspacing="0" cellpadding="2">
              <tr>
                <td><strong><?php echo ENTRY_PAYMENT_METHOD; ?></strong></td>
              </tr>
              <tr>
                <td><?php echo $order->info['payment_method']; ?></td>
              </tr>
            </table>
        </td>
      </tr>
    </table>

    <div style="width:100%;border-top:1px solid #ddd;margin:20px auto;"></div>

    <table style="width:100%;font-size:90%" border="0" cellspacing="0" cellpadding="5">
        <thead>
      <tr>
        <th style="border-bottom:1px solid #ddd;width:100px;text-align:left;" colspan="2"><?php echo TABLE_HEADING_PRODUCTS; ?></th>
        <th style="border-bottom:1px solid #ddd;width:100px;text-align:left;"><?php echo TABLE_HEADING_PRODUCTS_MODEL; ?></th>
        <th style="border-bottom:1px solid #ddd;width:100px;text-align:center;"><?php echo TABLE_HEADING_TAX; ?></th>
        <th style="border-bottom:1px solid #ddd;width:100px;text-align:center;"><?php echo TABLE_HEADING_PRICE_EXCLUDING_TAX; ?></th>
        <th style="border-bottom:1px solid #ddd;width:100px;text-align:center;"><?php echo TABLE_HEADING_PRICE_INCLUDING_TAX; ?></th>
        <th style="border-bottom:1px solid #ddd;width:100px;text-align:center;"><?php echo TABLE_HEADING_TOTAL_EXCLUDING_TAX; ?></th>
        <th style="border-bottom:1px solid #ddd;width:100px;text-align:right;"><?php echo TABLE_HEADING_TOTAL_INCLUDING_TAX; ?></th>
      </tr>
      </thead>
<?php
    for ($i = 0, $n = sizeof($order->products); $i < $n; $i++) {
      echo '      <tr >' . "\n" .
           '        <td style="vertical-align:top">' . $order->products[$i]['qty'] . '&nbsp;x</td>' . "\n" .
           '        <td style="vertical-align:top">' . $order->products[$i]['name'];

      if (isset($order->products[$i]['attributes']) && (($k = sizeof($order->products[$i]['attributes'])) > 0)) {
        for ($j = 0; $j < $k; $j++) {
          echo '<br /><nobr><small>&nbsp;<i> - ' . $order->products[$i]['attributes'][$j]['option'] . ': ' . $order->products[$i]['attributes'][$j]['value'];
          if ($order->products[$i]['attributes'][$j]['price'] != '0') echo ' (' . $order->products[$i]['attributes'][$j]['prefix'] . $currencies->format($order->products[$i]['attributes'][$j]['price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . ')';
          echo '</i></small></nobr>';
        }
      }

      echo '        </td>' . "\n" .
           '        <td style="vertical-align:top">' . $order->products[$i]['model'] . '</td>' . "\n";
      echo '        <td style="vertical-align:top;text-align:center;">' . tep_display_tax_value($order->products[$i]['tax']) . '%</td>' . "\n" .
           '        <td style="vertical-align:top;text-align:center;"><strong>' . $currencies->format($order->products[$i]['final_price'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '        <td style="vertical-align:top;text-align:center;"><strong>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax'], true), true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '        <td style="vertical-align:top;text-align:center;"><strong>' . $currencies->format($order->products[$i]['final_price'] * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n" .
           '        <td style="vertical-align:top;text-align:right;"><strong>' . $currencies->format(tep_add_tax($order->products[$i]['final_price'], $order->products[$i]['tax'], true) * $order->products[$i]['qty'], true, $order->info['currency'], $order->info['currency_value']) . '</strong></td>' . "\n";
      echo '      </tr>' . "\n";
    }
?>
    </table>

    <div style="width:100%;border-top:1px solid #ddd;margin:20px auto;"></div>

<table style="width:100%;font-size:90%" border="0" cellspacing="0" cellpadding="5">
<?php
  for ($i = 0, $n = sizeof($order->totals); $i < $n; $i++) {
    echo '          <tr>' . "\n" .
         '            <td align="right">' . $order->totals[$i]['title'] . '</td>' . "\n" .
         '            <td align="right">' . $order->totals[$i]['text'] . '</td>' . "\n" .
         '          </tr>' . "\n";
  }
?>
        </table>

    </div>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
