<?php

require('includes/application_top.php');

$time = time();

$data = array('categories'=>array(),'products'=>array());


if( isset($_GET['action']) ){

  if( $_GET['action'] === 'save' ){


    $categories = $_POST['category'];
    $products = $_POST['product'];

    foreach( $products as $key => $value ){

        tep_db_query("UPDATE products SET products_availability = '".$value."' WHERE products_id = '".$key."' ");

    }

    foreach( $categories as $key => $value ){

        tep_db_query("UPDATE categories SET categories_availability = '".$value."' WHERE categories_id = '".$key."' ");

    }

    tep_redirect(tep_href_link('products_availability_skroutz.php'));

  }

}


$categories_query = tep_db_query("select c.categories_id, cd.categories_name, c.parent_id, c.categories_availability from " . TABLE_CATEGORIES . " c, " . TABLE_CATEGORIES_DESCRIPTION . " cd where c.categories_id = cd.categories_id and cd.language_id='" . (int)$languages_id ."' order by sort_order, cd.categories_name");

$items = array();

while ($categories = tep_db_fetch_array($categories_query)) {

    $items[$categories['categories_id']] = array('name' => $categories['categories_name'], 'parent_id' => $categories['parent_id'], 'id' => $categories['categories_id'], 'availability' => $categories['categories_availability']);

}

 //GET ALL PRODUCTS
$products_query = tep_db_query("select ptc.categories_id, p.products_id, p.products_model, p.products_availability, pd.products_name
FROM " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, ". TABLE_PRODUCTS_TO_CATEGORIES ." ptc
WHERE p.products_id = pd.products_id AND ptc.products_id = pd.products_id AND ptc.products_id = p.products_id AND pd.language_id='".(int)$languages_id."' order by pd.products_id ");

$products = array();

while ($products_row = tep_db_fetch_array($products_query)) {

  $products[$products_row['categories_id']][] = $products_row;

}

//var_dump($items);

//echo tep_draw_tree_with_checkboxes($items,$products,$selected_categories,$selected_products,2,true,$selected_categories_selected,$selected_products_selected);

require(DIR_WS_INCLUDES . 'template_top.php'); ?>

  <div class="pageHeading">
    <h2>Skroutz Availability Προιόντων</h2>
  </div>
  <hr>

<?php

      echo tep_draw_form('products_availability_skroutz', 'products_availability_skroutz.php', 'action=save', 'post', '');

?>


  <div class="row">

    <div class="col-sm-6">

<?php

      echo tep_draw_checkboxes_tree($items,$products,$data['categories'],$data['products']); ;


?>

    </div>

    <div class="col-sm-6">

        <button class="btn btn-success spacerTop10">&laquo;&nbsp;Αποθήκευση Αλλαγών</button>

        <hr>

        <h3>Αρχή λειτουργίας:</h3>

        <p>Η διαθεσιμότητα υπολογίζεται με συγκεκριμένη σειρά προτεραιότητας, η οποία έχει ως εξής:</p>

        <ol>

            <li>Επιλογή από προϊόν αν έχει</li>
            <li>Επιλογή από κατηγορία αν έχει</li>
            <li>Επιλογή από parent κατηγορία αν έχει</li>
            <li>Επιλογή από parent parent κατηγορία αν έχει</li>
            <li>Default ( αν έχει quantity τότε 1 to 3 days αλλιώς Upon order  )</li>

        </ol>

        <p>Μη επιλεγμένο σημαίνει ότι θα πάρει την τιμή ( Delivery 1 to 3 days ).</p>

        <div class="alert alert-danger">

            Προσοχή: αν ένα προιόν έχει μηδενικό quantity τότε στο skroutz θα σταλθεί τιμή "Upon order".

        </div>

    </div>

  </div>

</form>

<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>

<?php

function tep_draw_checkboxes_tree($items=array(),$products=array(),$checked_categories=array(),$checked_products=array(),$root_id = 0,$mainUlClass='ol-tree',$submenuUlClass='submenu'){

    $stc_view=0;
    $citems=count($items);


    if($citems<=0) return '';
    elseif($citems==1) $children[] = $items; //in case we have one category item without subcategories, rare but possible
    else foreach( $items as $item ) $children[$item['parent_id']][] = $item;


    //var_dump($root_id);
    //var_dump($children);
    //var_dump($children[$root_id]);

    // loop will be false if the root has no children (i.e., an empty categories!)
    $loop = !empty( $children[$root_id] );

    $parent = $root_id;
    $parent_stack = array();
    $html=array();//store html code
    $stack=array();//helper array so to know the current level

    $pic=''; //products_in_category string

    $av = [

        '0' => '',
        '1' => 'Available in store / Delivery 1 to 3 days',
        '2' => 'Delivery 1 to 3 days',
        '3' => 'Delivery 4 to 10 days',
        '4' => 'Upon order',

    ];

    $html[]='<ol id="store_tree" class="'.$mainUlClass.'">';
    while ( $loop && ( ( $option = each( $children[$parent] ) ) || ( $parent > $root_id ) ) ){

      if ( $option === false ){

        $parent = array_pop( $parent_stack );

        $html[] = str_repeat( "\t", ( count( $parent_stack ) + 1 ) * 2 ) . '</ol>';
        $html[] = str_repeat( "\t", ( count( $parent_stack ) + 1 ) * 2 - 1 ) . '</li>';//END OF LAST LEAF

        array_pop( $stack );

      }elseif ( !empty( $children[$option['value']['id']] ) ){

//      if(isset($into_categories[$option['value']['id']])){

        $tab = str_repeat( "\t", ( count( $parent_stack ) + 1 ) * 2 - 1 );
        $stack[]=$option['value']['id'];

          $rt=$root_id>0 ? $root_id.'_' : '';

          $html[]=$tab.'<li>';

          $foundPids = tep_products_in_category_count($option['value']['id']);

          $plusIcon=isset($products[$option['value']['id']]) && (bool)$products[$option['value']['id']] ? '' : '&nbsp;<span class="toggleSubmenu glyphicon glyphicon-plus-sign"></span>';

          $ht = '<select name="category['.$option['value']['id'].']" value="'.$option['value']['availability'].'" class="form-control form-control-inline">';

          foreach( $av as $k => $v ){

              $ht .= '<option value="'.$k.'" '.( $k == $option['value']['availability'] ? 'selected' : '' ).'>'.$v.'</option>';

          }

          $ht .= '</select>';

          $html[]='<label>'.$ht.'&nbsp;<span class="'.(isset($selected_categories[$option['value']['id']])?'text-success' : '').'">'.stripslashes($option['value']['name']).'</span></label>&nbsp;&raquo;&nbsp;(' . $foundPids . ')&nbsp;'.$plusIcon;

          if(isset($products[$option['value']['id']]) && (bool) $products[$option['value']['id']] ){

            $html[]='&nbsp;<span class="toggleSubmenu glyphicon glyphicon-plus-sign"></span>&nbsp;<ol id="products_submenu_'.$option['value']['id'].'" class="'.$submenuUlClass.'">';

            foreach($products[$option['value']['id']] as $product){ //if(!isset($into_products[$product['products_id']])) continue;

              $ht = '<select name="product['.$product['products_id'].']" value="'.$product['products_availability'].'" class="form-control form-control-inline">';

              foreach( $av as $k => $v ){

                  $ht .= '<option value="'.$k.'" '.( $k == $product['products_availability'] ? 'selected' : '' ).'>'.$v.'</option>';

              }

              $ht .= '</select>';

              $html[]='<li><label>'.$ht.'&nbsp;<span class="'.(isset($selected_products[$product['products_id']])?'text-success':'').'">'.$product['products_name'].'&nbsp;<i class="small">[&nbsp;'.$product['products_model'].'&nbsp;]</i></span></label></li>';

            }

            $html[]='</ol>';

          }


         // $html[]='&nbsp;<span class="toggleSubmenu glyphicon glyphicon-plus-sign"></span>';

        $html[] = $tab . "\t" . '<ol id="submenu_'.$option['value']['id'].'" class="'.$submenuUlClass.'" >';

        $parent_stack[]=$option['value']['parent_id'];
        $parent = $option['value']['id'];
//}

      } else {

       //if(isset($into_categories[$option['value']['id']])){

        $rt=$root_id>0 ? $root_id.'_' : '';

        $html[]=str_repeat( "\t", ( count( $parent_stack ) + 1 ) * 2 - 1 ).'<li>';

          $foundPids = tep_products_in_category_count($option['value']['id']);

          $plusIcon=isset($products[$option['value']['id']]) && (bool)$products[$option['value']['id']] ? '' : '&nbsp;<span class="toggleSubmenu glyphicon glyphicon-plus-sign"></span>';

          $ht = '<select name="category['.$option['value']['id'].']" value="'.$option['value']['availability'].'" class="form-control form-control-inline">';

          foreach( $av as $k => $v ){

              $ht .= '<option value="'.$k.'" '.( $k == $option['value']['availability'] ? 'selected' : '' ).'>'.$v.'</option>';

          }

          $ht .= '</select>';

          $html[]='<label>'.$ht.'&nbsp;<span class="'.(isset($selected_categories[$option['value']['id']])?'text-success' : '').'">'.stripslashes($option['value']['name']).'</span></label>&nbsp;&raquo;&nbsp;(' . $foundPids . ')&nbsp;'.$plusIcon;


          if(isset($products[$option['value']['id']]) && (bool) $products[$option['value']['id']] ){
            $html[]='&nbsp;<span class="toggleSubmenu glyphicon glyphicon-plus-sign"></span>&nbsp;<ol id="products_submenu_'.$option['value']['id'].'" class="'.$submenuUlClass.'">';

            foreach($products[$option['value']['id']] as $product){

              $ht = '<select name="product['.$product['products_id'].']" value="'.$product['products_availability'].'" class="form-control form-control-inline">';

              foreach( $av as $k => $v ){

                  $ht .= '<option value="'.$k.'" '.( $k == $product['products_availability'] ? 'selected' : '' ).'>'.$v.'</option>';

              }

              $ht .= '</select>';

              $html[]='<li><label>'.$ht.'&nbsp; &nbsp;<span class="'.(isset($selected_products[$product['products_id']])?'text-success':'').'">'.$product['products_name'].'&nbsp;<i class="small">[&nbsp;'.$product['products_model'].'&nbsp;]</i></span></label></li>';

            }

            $html[]='</ol>';

          }

          //$html[]='&nbsp;<span class="toggleSubmenu glyphicon glyphicon-plus-sign"></span>';

        $html[]='</li>';
      //}

      }

    }
    $html[]='</ol>';

    //var_dump($html);

    return implode( "\r\n", $html );

}


?>

<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>