<?php

  require('includes/application_top.php');

  if(STORE_SEND_PRODUCTS_TO_GLORIA == 'False'){

    tep_redirect(tep_href_link(FILENAME_DEFAULT));

  }

  $sID = isset($_GET['sID']) ? $_GET['sID'] : '0';

  if((int)$sID>0){

    $store_db_access=false;
    if(@tep_db_connect(DB_MAIN_SERVER,DB_MAIN_SERVER_USERNAME, DB_MAIN_SERVER_PASSWORD, DB_MAIN_DATABASE, DB_MAIN_LINK)) $store_db_access=true;

    if($store_db_access){

    tep_db_query("UPDATE ".TABLE_STORES_MESSAGES." SET stores_messages_viewed=1 WHERE (stores_messages_parent_id='".$sID."' and stores_messages_by=0) OR stores_messages_id='".$sID."' ",DB_MAIN_LINK);

    }

    tep_db_close(DB_MAIN_LINK);

  }

  $action = (isset($_GET['action']) ? $_GET['action'] : 'default');

  $store_db_access=false;
  if(@tep_db_connect(DB_MAIN_SERVER,DB_MAIN_SERVER_USERNAME, DB_MAIN_SERVER_PASSWORD, DB_MAIN_DATABASE, DB_MAIN_LINK)) $store_db_access=true;
  if(!$store_db_access){

    $messageStack->add_session(SPN_CANNOT_CONNECT_WITH_GLORIA);
    tep_redirect(tep_href_link(FILENAME_DEFAULT));

  }




  $admins_query_raw = "select id,user_fullname from administrators";
  $admin_query = tep_db_query($admins_query_raw, DB_MAIN_LINK);
  $admins=array();
  while ($admin_row = tep_db_fetch_array($admin_query)) {
    $admins[$admin_row['id']] = $admin_row['user_fullname'];
  }


  if (tep_not_null($action)) {
    switch ($action) {

      case 'insert_product':

        $sql_data_array = array('quantity' => (int)tep_db_prepare_input($_POST['products_quantity']),
                                'price' => tep_db_prepare_input($_POST['products_price']),
                                'comments' => tep_db_prepare_input($_POST['products_comments']),
                                'stores_id' => STORE_ID,
                                'name' => tep_db_prepare_input($_POST['products_name']));

        $images=array();

        for($i=1;$i<=5;$i++){

          $products_image = new upload('products_image_'.$i);
          $products_image->set_destination(DIR_FS_CATALOG_GLORIA.'images/products_notifications');
          if ($products_image->parse() && $products_image->save()) {
            $images[]=tep_db_prepare_input($products_image->filename);
          }

        }

        $sql_data_array['images'] = implode(',',$images);

        if ($action == 'insert_product') {
          $insert_sql_data = array('date_added' => 'now()');

          $sql_data_array = array_merge($sql_data_array, $insert_sql_data);

          tep_db_perform('stores_products_notifications', $sql_data_array, 'insert','',DB_MAIN_LINK);
          $products_id = tep_db_insert_id();

        } elseif ($action == 'update_product') {

          $sql_data_array = array_merge($sql_data_array, $update_sql_data);
          tep_db_perform(TABLE_PRODUCTS, $sql_data_array, 'update', "id = '" . (int)$id . "'",DB_MAIN_LINK);

        }


        $messageStack->add_session(SPN_SUCCESS,'success');
        tep_redirect(tep_href_link(FILENAME_STORES_PRODUCTS_NOTIFICATIONS, (isset($HTTP_GET_VARS['page']) ? 'page=' . $HTTP_GET_VARS['page'] . '&' : '')));
      break;

    }
  }

  $stores_query_raw = "select * from stores_products_notifications where stores_id='".STORE_ID."' order by date_added desc";
  $stores_split = new splitPageResults($HTTP_GET_VARS['page'], MAX_DISPLAY_SEARCH_RESULTS, $stores_query_raw, $stores_query_numrows, DB_MAIN_LINK);
  $stores_query = tep_db_query($stores_query_raw, DB_MAIN_LINK);

  require(DIR_WS_INCLUDES . 'template_top.php');





?>

        <table border="0" width="100%" cellspacing="0" cellpadding="0" class="spacerBottom20">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right">
              <a href="<?php echo tep_href_link(FILENAME_STORES_PRODUCTS_NOTIFICATIONS,tep_get_all_get_params(array('action')).'action=new'); ?>"><?php echo SPN_NEW; ?></a>
            </td>
          </tr>
        </table>

<?php if($action=='new'){ ?>
<?php echo tep_draw_form('stores', FILENAME_STORES_PRODUCTS_NOTIFICATIONS, 'action=insert_product', 'post', 'enctype="multipart/form-data"'); ?>
        <table class="table table-bordered table-striped">
          <tr>
            <td class="main"><?php echo TEXT_PRODUCTS_NAME; ?></td>
            <td class="main"><?php echo tep_draw_input_field('products_name','','required'); ?></td>
          </tr>

          <tr>
            <td class="main"><?php echo TEXT_PRODUCTS_QUANTITY; ?></td>
            <td class="main"><?php echo tep_draw_input_field('products_quantity', '0','required'); ?></td>
          </tr>

          <tr bgcolor="#ebebff">
            <td class="main"><?php echo TEXT_PRODUCTS_PRICE_NET; ?></td>
            <td class="main"><?php echo tep_draw_input_field('products_price', '0','required'); ?></td>
          </tr>

          <tr>
            <td class="main" valign="top"><?php echo TEXT_PRODUCTS_COMMENTS; ?></td>
            <td class="main"><?php echo tep_draw_textarea_field('products_comments', 'soft', '70', '15', ''); ?></td>
          </tr>

          <tr>
            <td class="main" valign="top"><?php echo TEXT_PRODUCTS_IMAGES; ?></td>
            <td class="main">
              <ol>
                <li><?php echo tep_draw_file_field('products_image_1','','required'); ?></li>
                <li><?php echo tep_draw_file_field('products_image_2'); ?></li>
                <li><?php echo tep_draw_file_field('products_image_3'); ?></li>
                <li><?php echo tep_draw_file_field('products_image_4'); ?></li>
                <li><?php echo tep_draw_file_field('products_image_5'); ?></li>
              </ol>
            </td>
          </tr>
          <tr>
            <td></td>
            <td class="smallText">
              <?php
                echo tep_draw_bs_button(SPN_SUBMIT, 'disk', null, 'primary',null,'btn-success');
                echo '&nbsp;'.tep_draw_bs_button(SPN_CANCEL, 'close', tep_href_link(FILENAME_STORES_PRODUCTS_NOTIFICATIONS), 'primary',null,'btn-danger');
              ?>
            </td>
          </tr>
        </table>
</form>
<?php }else{ ?>

            <table class="table table-striped table-hover table-bordered"><thead>
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_NAME; ?></td>
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_ADMIN_RESPONSE; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_DATE; ?>&nbsp;</td>
              </tr></thead>
<?php

  while ($stores = tep_db_fetch_array($stores_query)) {

    echo '              <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_STORES_PRODUCTS_NOTIFICATIONS, 'page=' . $HTTP_GET_VARS['page'] . '&sID=' . $stores['id']) . '\'">' . "\n";

?>
                <td class="dataTableContent"><?php echo $stores['name']; ?></td>
                <td class="dataTableContent"><?php echo $stores['admin_response']; ?></td>
                <td class="dataTableContent" align="right"><?php echo $stores['date_added']; ?></td>
              </tr>
<?php
  }
?>
              <tr>
                <td colspan="5"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"></td>
                    <td class="smallText" align="right"><?php echo $stores_split->display_links($stores_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $HTTP_GET_VARS['page']); ?></td>
                  </tr>
                </table></td>
              </tr>

            </table>
<?php } ?>
       </div>
<?php

  //tep_db_close(DB_MAIN_LINK);

  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
