<!DOCTYPE HTML>
<html lang="el">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
	<title>Επικοινωνία - Template-2 - Eshop Ειδών Υγιεινής</title>
	<meta name="description" content="Επικοινωνία - Template-2 - Eshop Ειδών Υγιεινής" />

	<?php include_once( "inc/style.php"); ?>
</head>

<body id="contact">
	<?php include_once( "header.php"); ?>
	<?php include_once( "inc/floating-bar.php"); ?>
	<div class="content container">

			<div class="col-xs-12">
				<h1>Επικοινωνία</h1>

                    <div id="map" class="map-content"></div>
                    <hr />
				</div>

                 <div class="col-sm-5">
                    <h3>Στοιχεια Επικοινωνίας</h3>
                    <address class="contact-list address-list">
						
                        <h4>Ταχυδρομική Διεύθυνση</h4>
                        <i class="fa fa-home"></i> Νίκος Σιάγκρης<br />
                        <i class="fa fa-map-marker"></i> Ακρωτήρι, 29100 Ζάκυνθος<br />
						
                        <h4>Υπεύθυνος</h4>
                        <i class="fa fa-user"></i> κος Νίκος Σιάγκρης<br />
						
                        <h4>Τηλέφωνα</h4>
                        <i class="fa fa-phone"></i> Τηλ: 26950 24444<br />
                        <i class="fa fa-fax"></i> Φαξ: 210 2626532<br />
						<i class="fa fa-mobile"></i>Κιν: 6936 836444<br />
						
                        <h4>Online</h4>
                        <i class="fa fa-globe"></i> <a href="/">www.siemens-pbx.com</a><br />
                        <i class="fa fa-envelope"></i> <a href="mailto:siagris@siemens-pbx.com">siagris@siemens-pbx.com</a>
						
                    </address>
                    
                </div>
				
                <div class="col-sm-7">
                    <h3>Φόρμα Επικοινωνίας</h3>

                    <form role="form" name="contact-form" id="contact-form" action="#contact" method="post">
                    <fieldset>
                        <input type="hidden" id="language" name="language" value="el">
                        <div class="form-group control-group row">
                            <div class="col-xs-12">
                                <label for="name">Όνομα *</label>
                                    <input type="text" class="form-control" id="name" name="name" placeholder="Όνομα" required>
                            </div>
                        </div>
                        <div class="form-group control-group row">
                            <div class="col-xs-12">
                                <label for="email">Email *</label>
                                    <input type="email" class="form-control" id="email" name="email" placeholder="Email" required>
                            </div>
                        </div>
                        <div class="form-group control-group row">
                            <div class="col-xs-6">
                                <label for="phone">Τηλέφωνο</label>
                                    <input type="tel" class="form-control" id="phone" name="phone" placeholder="Τηλέφωνο">
                            </div>
                            <div class="col-xs-6">
                                <label for="country">Χώρα</label>
                                    <input type="text" class="form-control" id="country" name="country" placeholder="Χώρα">
                            </div>
                        </div>

                        <div class="form-group control-group row">
                            <div class="col-xs-12">
                                <label for="info">Επιπλέον Πληροφορίες</label>
                                <textarea class="form-control " name="info" id="info" placeholder="Επιπλέον Πληροφορίες" rows="5"></textarea>
                            </div>
                        </div>
                        <div class="form-group control-group row">
                            <div class="col-xs-6">
                                <button type="reset" class="button btn form-control  btn-default">Καθαρισμός</button>
                            </div>
                            <div class="col-xs-6">
                                <button type="submit" name="submit" class="button btn form-control  btn-default" id="submit-contact-form" value="Send Request">Αποστολή</button>
                            </div>
                        </div>
                    </fieldset>
                </form>
                <hr />
				
                </div>

                <div class="clearfix"></div>


	</div>

	<?php include_once( "footer.php"); ?>
	<?php include_once( "inc/scripts.php"); ?>
</body>

</html>