<?php

  $stoxo_products_query = tep_db_query("select c.products_id from custom_stoxo c where c.status = 1");

  $stoxo_products = array();

  while ($row = tep_db_fetch_array($stoxo_products_query)) {

    $stoxo_products[] = $row['products_id'];

  }

  if( (bool)$stoxo_products ){

    $new_products_query = tep_db_query("select p.products_id,p.products_quantity,p.products_model, p.products_image, p.products_tax_class_id, pd.products_name, p.products_price, IF(s.status, s.specials_new_products_price, NULL) as specials_new_products_price, IF(s.status, s.specials_new_products_price, p.products_price) as final_price from " . TABLE_PRODUCTS . " p left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_price > 0 and p.products_id = pd.products_id and p.products_id in (".implode(',',$stoxo_products).") and pd.language_id = '" . (int)$languages_id . "' order by rand() limit " . MAX_DISPLAY_NEW_PRODUCTS);

    $num_new_products = tep_db_num_rows($new_products_query);

    if ($num_new_products > 0) {

      $title_heading = 'Οι προτάσεις μας';

      $new_prods_content = NULL;

      while ($new_products = tep_db_fetch_array($new_products_query)) {
        $new_prods_content .= '<div class="col-xs-12 col-sm-6 col-lg-3"><div class="item list-group-item">';

        if($new_products['products_image']==''){
          $new_products['products_image'] = 'catalog/large/'.$new_products['products_model'].'.jpg';
        }

        $new_prods_content .= '<div class="fakos">
            <a href="'.tep_image_src(DIR_WS_IMAGES. $new_products['products_image'],'large').'" class="FancyBox" data-fancybox-group="complex"><i class="fa fa-search fa-2x"></i></a>
          </div>
        ';

       $new_prods_content .= '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, tep_get_all_get_params(array('action','products_id')) . 'products_id=' . $new_products['products_id']) . '" class="img-wrapper">'.tep_image(DIR_WS_IMAGES. $new_products['products_image'],$new_products['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT, NULL, NULL, 'img-responsive thumbnail group list-group-image') . '</a>';

        $new_prods_content .= '    <div class="clearfix"></div><div class="caption">';
        $new_prods_content .= '      <p class="title"><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, tep_get_all_get_params(array('action','products_id')).'products_id=' . $new_products['products_id']) . '">' . $new_products['products_name'] . '</a></p>';

        $price_without_tax_text = PRICE_DISPLAYED_WITH_FPA;

        if( DISPLAY_PRICE_WITH_TAX === 'false' ){

          $price_without_tax_text = PRICE_DISPLAYED_WITHOUT_FPA;

        }

       $new_prods_content .= '      <div class="row">';
        //$new_prods_content .= '      <span class="price">' . $currencies->display_price($new_products['products_price'], tep_get_tax_rate($new_products['products_tax_class_id'])).$price_without_tax_text . '</span>';

if( $display_prices_for_all ){

    if (tep_not_null($new_products['specials_new_products_price'])) {
      $new_prods_content .= '<span class="price specialprice">' . $currencies->display_price($new_products['specials_new_products_price'], tep_get_tax_rate($new_products['products_tax_class_id'])).$price_without_tax_text . '
                                    <del>' .$currencies->display_price($new_products['products_price'], tep_get_tax_rate($new_products['products_tax_class_id']))  . '<del></span>';
    } else {
      $new_prods_content .= '
                                <span class="price">' . $currencies->display_price($new_products['products_price'], tep_get_tax_rate($new_products['products_tax_class_id'])) .$price_without_tax_text. '</span>';

    }

}

      $new_prods_content .= '
                                <div class="clearfix"></div>';

        $new_prods_content .= '        <div class="btn-group">';

  $provoli_class = '';
  if (STORE_ONLY_CATALOG == 'True') {

  $provoli_class = 'full-width';

  }

if( !$display_prices_for_all ){

$provoli_class = 'full-width';

}

        $new_prods_content .= '          <a href="' . tep_href_link(FILENAME_PRODUCT_INFO, tep_get_all_get_params(array('action','products_id')) . 'products_id=' . $new_products['products_id']) . '" class="btn btn-default btn-block '.$provoli_class.'" role="button"><i class="fa  fa-search "></i>' . SMALL_IMAGE_BUTTON_VIEW . '</a>';

  if (STORE_ONLY_CATALOG == 'False' && $display_prices_for_all) {

    if($new_products['products_quantity']<=0){

          $new_prods_content .= '          <a href="' . tep_href_link($PHP_SELF, tep_get_all_get_params(array('action','products_id')) . 'action=buy_now&products_id=' . $new_products['products_id']) . '" class="btn btn-danger disabled" role="button"><i class="fa fa-cart-plus "></i>' . SMALL_IMAGE_BUTTON_BUY . '</a>';

    }else{

          $new_prods_content .= '          <a href="' . tep_href_link($PHP_SELF, tep_get_all_get_params(array('action','products_id')) . 'action=buy_now&products_id=' . $new_products['products_id']) . '" class="btn btn-success" role="button"><i class="fa fa-cart-plus "></i>' . SMALL_IMAGE_BUTTON_BUY . '</a>';

    }

  }


        $new_prods_content .= '<div class="clearfix"></div></div><div class="clearfix"></div>';
        $new_prods_content .= '      </div>';
        $new_prods_content .= '    </div>';
        $new_prods_content .= '  </div>';
        $new_prods_content .= '</div>';
      }
  ?>

    <h2><?php echo $title_heading; ?></h2>

    <div class="row list-group">
      <?php echo $new_prods_content; ?>
    </div>

  <?php
    }

  }
