<?php
  chdir('../../');
  require('includes/application_top.php');

  $store_db_access=tep_db_connect(
  DB_MAIN_SERVER,
  DB_MAIN_SERVER_USERNAME,
  DB_MAIN_SERVER_PASSWORD,
  DB_MAIN_DATABASE,
  DB_MAIN_LINK);

  $store_is_active = true;

  if($store_db_access){

    $store_query=tep_db_query("SELECT * FROM stores WHERE stores_id='".STORE_ID."' LIMIT 1",DB_MAIN_LINK);
    $store=tep_db_fetch_array($store_query);
    if(tep_db_num_rows($store_query)<=0){

      tep_db_close(DB_MAIN_LINK);

      echo '<br>Not connected to store in Gloria db';

      die;

    }

    $query = tep_db_query("SELECT products_model FROM products WHERE is_local = 0");
    $products_models_in = array();
    while($row = tep_db_fetch_array($query)){

      //$products_models[] = $row['products_model'];
      $products_models_in[] = "'".$row['products_model']."'";

    }

    if( !(bool)$products_models_in ){

      tep_db_close(DB_MAIN_LINK);

      echo '<br>Not products in store';

      die;

    }

    $gloria_products_query = tep_db_query("SELECT * FROM products WHERE products_model IN (".implode(',',$products_models_in).") ",DB_MAIN_LINK);
    $products_ids_in = array();
    while($row = tep_db_fetch_array($gloria_products_query)){

      $products_ids_in[] = "'".$row['products_id']."'";

      //add 23% because of the f system
      $oprice = (float)$row['products_price'] + (((float)$row['products_price'] * 23)/100);

      if((float)$store['stores_prices_discount']>0){

        $products_price=$oprice-(($oprice*(float)$store['stores_prices_discount'])/100);

      }else $products_price=$oprice;

      $products_price = $products_price / 1.24;

      //if((float)$store['stores_profit_threshold']>0){

      //  $products_price=$products_price+(($products_price*(float)$store['stores_profit_threshold'])/100);

      //}

      if( $row['inactive_for_eshop'] == '1' ) $product_status = 0;
      else $product_status = $row['products_status'];

      tep_db_perform(TABLE_PRODUCTS,array(
        'products_quantity' => $row['products_quantity'],
        'products_image' => $row['products_image'],
        'products_date_available' => $row['products_date_available'],
        'products_price' => $products_price,
        'products_status' => $product_status,
        ),'update', "products_model = '".$row['products_model']."'"
      );

      echo 'UPDATE PRODUCT:: Model: '.$row['products_model'].'&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;Quantity: '.$row['products_quantity'].'&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;Price: '.$products_price.'&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;Status: '.$product_status.'<br>';

    }

    if( (bool)$products_ids_in ){

      $gloria_products_docs_query = tep_db_query("SELECT products_id, products_docs_title, products_docs_link, products_docs_status, products_docs_date FROM products_docs WHERE products_id IN (".implode(',',$products_ids_in).") ",DB_MAIN_LINK);

      tep_db_query("DELETE FROM products_docs WHERE products_id IN (".implode(',',$products_ids_in).") ");

      while($row = tep_db_fetch_array($gloria_products_docs_query)){

        tep_db_perform('products_docs',array(
          'products_id' => $row['products_id'],
          'products_docs_title' => $row['products_docs_title'],
          'products_docs_link' => $row['products_docs_link'],
          'products_docs_status' => $row['products_docs_status'],
          )
        );

        echo '<br>UPDATE PRODUCTS DOCS:: Title: '.$row['products_docs_title'].' | Status: '.$row['products_docs_status'];

      }

      echo '<br>';

      $gloria_products_description_query = tep_db_query("SELECT products_id, products_name, products_description, products_attributes, products_alias FROM products_description WHERE products_id IN (".implode(',',$products_ids_in).") ",DB_MAIN_LINK);

      while($row = tep_db_fetch_array($gloria_products_description_query)){

        tep_db_perform(TABLE_PRODUCTS_DESCRIPTION,array(
          'products_name' => $row['products_name'],
          'products_description' => $row['products_description'],
          'products_attributes' => $row['products_attributes'],
          'products_alias' => $row['products_alias'],
          ),'update', "products_id = '".$row['products_id']."' AND language_id = 2"
        );

        //echo '<br>UPDATE PRODUCTS DESCRIPTION:: Name: '.$row['products_name'];

      }

      //echo '<br>';

      $gloria_products_to_categories_query = tep_db_query("SELECT products_id, categories_id FROM products_to_categories WHERE products_id IN (".implode(',',$products_ids_in).") ",DB_MAIN_LINK);

      while($row = tep_db_fetch_array($gloria_products_to_categories_query)){

        tep_db_perform(
          TABLE_PRODUCTS_TO_CATEGORIES,
          array(
            'categories_id' => $row['categories_id'],
          ),'update', "products_id = '".$row['products_id']."'"
        );

        echo '<br>UPDATE PRODUCT TO CATEGORY:: '.$row['products_id'].' => '.$row['categories_id'];

      }

      echo '<br><br>UPDATE COMPLETED';;

    }

    //PRODUCTS TO CATEGORIES CHECK

  }else{

    tep_db_close(DB_MAIN_LINK);
    echo 'Could not connect to Gloria db!';
    die;

  }

  tep_db_close(DB_MAIN_LINK);

  exit;